Torchmate CAD Reference Guide

November 2014


Introduction

The Torchmate CAD Reference Guide

Copyright Notice

Contact Information


The Torchmate CAD Reference Guide

The Torchmate Reference Guide

This Reference Guide is the full context-sensitive help that is installed with Torchmate, which can be accessed in the following ways:

  1. From the Help menu, choose Index. This will open to the help title page.

  2. Press [F1] to open the help to whatever task you are currently doing. If the cursor is over a button or menu item, then pressing [F1] will open help about that feature.

  3. Press [Shift + F1] to activate What’s This help. A question mark will appear next to the cursor, and you can then click a button or menu item to learn more about that feature.

  4. From the Help menu, choosing Context Sensitive Help is the same as pressing [Shift + F1].

Performing Help Topic Searches

  1. From the Help menu, choose Index. This will open to the help title page.

  2. Click the Search tab.

  3. In the search field, type a word that indicates the topic of interest.

    • For a precise term that has two-or-more words, enclose the term in quotes (e.g., "pattern fill").

    • Wildcard characters can be used, such as a question mark ( ? ) to represent a single variable letter, or an exclamation mark ( * ) to represent one-or-more variable letters.

    • For example, the search phrase " ??port " would return topics that concerned both "import" and "export"

    • For example, the search phrase " shad* " would return topics that concerned both "shadows" and "shades"


Copyright Notice

PANTONE® Colors displayed in the software application or in the user documentation may not match PANTONE-identified standards. Consult current PANTONE Color Publications for accurate color. PANTONE® and other Pantone, Inc. trademarks are the property of Pantone, Inc., 2014.

Pantone, Inc. is the copyright owner of color data and/or software which are licensed to CADlink Technology Corp. to distribute for use only in combination with CADlink products. PANTONE Color Data and/or Software shall not be copied onto another disk or into memory unless as part of the execution of ProfileLab.

No part of this publication may be reproduced mechanically or electronically or in any form without the prior written permission of CADlink. The software described in this online help is furnished under license and may only be used or copied in accordance with the terms of such license. The information in this help is for informational use only, is subject to change without notice and should not be construed as a commitment by CADlink. CADlink assumes no responsibility or liability for any errors or inaccuracies that may appear in this document. ProfileLab®, ProfileLab 2D®, and ProfileLab 3D® are registered trademarks of CADlink Technology Corporation.

Written and designed at CADlink

2150 Thurston Drive

Ottawa, ON CANADA K1G 5T9

Phone (613) 247-0850 Fax (613) 247-1488

Manual & Package Design by CADlink Marketing and Customer Support.

Printed in Canada. Product of Canada.

© November 2014, CADlink Technology Corporation


Contact Information

Torchmate CNC Cutting Systems

Internet

www.torchmate.com

support@torchmate.com

sales@torchmate.com

Mail

Lincoln Electric Cutting Systems

1170 Trademark Drive #101

Reno, NV 89521

USA

Phone

Toll free: 866-571-1066

International: 775-673-2200

Fax: 775-673-2206


The Design Workspace

Workspace Elements

Multiple Document Windows

Material Size

Material Blank Object

Zoom Tools

Order of Workspace Objects

Custom Toolbars

SmartBar Controls

Guidelines

Align Palette

Workspace Options


Workspace Elements - Torchmate

Workspace Elements

The workspace is arranged to simulate a working area, where the Sign Blank can be set as a visual cue of the available space for the printing and/or cutting area.

The basic display of workspace objects may be modified from the View menu.

The View menu items are summarized as follows:

  • Show Sign Blank - Show an outline that can be used to represent the dimensions of the finished design. The print/cut area is not dependent upon the sign blank area.

  • Show Fill - Toggle the use of wire frames to improve the screen refresh time.

  • Show Bitmap Outlines - Display outlines in place of bitmaps in order to improve the screen refresh time.

  • Link Show Fill and Bitmap Outlines - When Show Fill is toggled, also causes wire frames to be shown instead of bitmap image.

  • Show Tool Diameter - For a shape that has been applied with a tool path, toggle the display of the tool diameter. Also toggles the display of line styles.

  • Show Tool Paths - For a shape that has been applied with a tool path, toggle display of the tool movements.

  • Show Tool Path Viewer - Toggle the display of color-coded paths that indicate tool path type, depth of cut, type of material, etc. Please refer to the following sub-section for more information.

  • Show Rulers - Toggle the display of workspace rulers.

  • Show Bridges - Visually indicate the temporary points where two pieces will remain joined for stability.

  • Show 3D - Simulate cutting depth by creating an on-screen 3D effect.

  • Show Bitmaps Only - Hide all objects that are not bitmaps.

  • Show Reduced Bitmaps - For display purposes only, reduce the color depth and resolution of bitmaps. This will improve the screen refresh time.

  • Show Grid - Toggle the display of grid lines.

  • Show Guide Labels - Toggle the display of guideline labels.

  • Palettes - Choose the color palettes that are visible.

  • Window Position - Set how the Torchmate window will appear when launching the application.

  • Toolbars - Choose the custom toolbars that are visible.

  • Show InstantReplay - Show the InstantReplay window.

  • Show Storage Bin - Show the Storage Bin window.


Multiple Document Windows

Options menu >> Multiple Instance

To have more than one workspace open at the same time, enable the Multiple Instance option and restart the application. To help manage these windows, there will be two additional commands under the File menu: Close and Close All.

  • Close – Close the current workspace (prompt to save)

  • Close All – Close all of the workspace windows

Having extra workspace windows allows components of the design to be edited separately and then combined. To move a selected object between workspaces, use the Copy and Paste commands. In addition, an object can be drag-and-dropped between workspace windows.


Workspace Colors

Select Options >> Workspace Colors

The Workspace Colors dialog is used to customize the appearance of the workspace.

  • The Background Color refers to the entire workspace area.

  • The Grid Color refers to the grid lines on the workspace.

  • The Guideline Color refers to the guides.

  • The Sign Blank Color refers to the edge of the sign blank area.


Plate Size

Sign Blank Area

  • The sign blank is a rectangular bounds that can be used to represent the size of the finished job. Alternatively, the sign blank can be set to represent the available cutting area.

  • If the sign blank is not visible, then it can be toggled via View menu >> Show Sign Blank.

  • When creating badges (Layout menu >> Badges), badges can be arrayed across the sign blank.

  • The sign blank can be customized using the Blank Size dialog (Layout menu >> Blank Size).

  • Origin Selection - The Origin Selection is used to indicate the zero position of the sign blank. By default, the zero position is set to the lower-left corner of the sign blank.

  • Orientation - The Orientation refers to the rotation of the blank (i.e. the document orientation). This Orientation is independent of the page size orientation that is used when sending output.

  • Current Selection - The Current Selection drop-list is used to choose the size (width by height) of the sign blank. If the Custom size is chosen, then the Width and Height fields may be entered.

  • Dimensions - Displays the current dimensions of the sign blank. If the Landscape option is enabled, then these values will be swapped (i.e., height by width).

  • Material Selection - This drop-list provides a selection of common material. The Thickness field can be set for each material type, which can be used as a reminder when setting tool path depths.

  • Show Shadow - Add a shadow effect to the sign blank, so that it appears to have depth.

See also Advanced Settings


Advanced Settings

Click the Advanced button to toggle the display of advanced sign blank controls. These controls are used to create a sign blank size that can be added to the Current Selection drop-list.

The advanced controls have two lists of blank sizes. The top list contains blank sizes that have yet to be added to the Current Selection drop-list. The bottom list contains blank sizes that are available in the Current Selection drop-list.

Create and add new blank size

If the "Create and add new blank size" button is clicked, then the advanced sign blank size controls will be temporarily replaced with controls for entering the new blank size.

After entering the Name, Width, Height, and Units for the new blank size, click the Add New Blank button. The blank size will be added to the bottom list of blank sizes (i.e., it will be available from the Current Selection drop-list.

  • Add to List - For a selected blank size in the top list, click the Add to List button to include the blank size in the bottom list (i.e., add the blank size to the Current Selection drop-list).

  • Delete - For a selected blank size in the top list, click the Delete button to remove the blank size.

  • Remove From List - For a selected blank size in the bottom list, click the Remove From List button to remove the blank size (i.e. remove it from the Current Selection drop-list). However, the blank size will remain available in the top list.

  • Display at start up - If the Display at start up option is enabled, then the Blank Size dialog will open when a new workspace is created.

  • Sign Blank Object - Create a shape that has the same dimensions as the blank size. This is equivalent to choosing the Layout menu >> Sign Blank Object command.


Plate Object

Sign Blank Object

Layout menu >> Sign Blank Object

The Sign Blank Object menu item will create a shape that has the same dimensions and coordinates as the blank size. The newly created shape will be placed at the bottom layer order, such that is will appear under other workspace shapes. A color may then be assigned to the shape for use as a background.


Zoom Tools

As a tip, pressing the F8 function key will return the view to the sign blank, which is equivalent to 100% zoom.

The zoom functions are summarized as follows:

Zoom In | [F5] | Focus on marquee drawn by cursor. Right-click to zoom out.
Zoom Out | [F6] | Display more area of the workspace.
Zoom In | [Shift+F6] | Alternative method to focus on workspace area.
Zoom to Selected Object | [F7] | Fit the viewing area to the selected objects. If no objects are selected, then fit to all objects.
Zoom to Sign Blank | [F8] | Fit the viewing area to the sign blank.
Zoom to Previous View | [F9] | Toggle between the current and previous zoom levels.
Pan Workspace | [Middle Button] | Click-and-hold on workspace, then drag view.
Percent Zoom | [Mouse Wheel] | View workspace at a specific zoom level.


Order of Workspace Objects

Arrange menu >> Order

Circle has a higher layer order than the square | Circle has a lower layer order than the square

Though objects are usually edited in terms of their width and height, workspace objects also have a layering order that determines whether an object will appear to be on top of another object. The order of individual objects may be modified using the following commands:

To Front | [Ctrl + F] | Position the selected object before all other objects
To Back | [Ctrl + B] | Position the selected object behind all other objects
Forward | [Ctrl + U] | Increase the relative position of the object
Backward | [Ctrl + L] | Decrease the relative position of the object
To Position |  | Enter the order or layer number of the position you want the object placed in.
Reverse | [Ctrl + M] | Invert the relative order for a group of selected objects


Custom Toolbars

View menu >> Toolbars

New toolbars can be created, or existing toolbars edited, in order to have your frequently used controls available. The configuration (i.e., buttons and placement) of your toolbars can be saved, so that preferred configurations can be loaded when needed.

  • System - The System toolbar provides a selection of controls for loading and saving files.

  • Operation - The Operation toolbar contains common controls for manipulating workspace objects.

  • Workspace - The Workspace toolbar has controls that modify the workspace appearance.

  • Tools - The Tools toolbar is special because its buttons are not editable.

Creating and/or Editing a Toolbar

  1. From the View menu, choose Toolbars >> Customize.

  2. The Toolbars dialog will open.

  3. To create a new toolbar, click New and then enter an appropriate toolbar name.

  4. In the Toolbars list, select the toolbar and click Customize.

  5. The Customize Toolbar dialog will open.

  6. From the Available Toolbar Buttons list, select a button and then click Add.

Saving a Toolbar Profile

Once your toolbars have been customized to your satisfaction, their size and placement can be saved as a Toolbar Profile.

  1. From the View menu, choose Toolbars >> Save Toolbar.

  2. The Save Toolbar dialog will open.

  3. Type a meaningful name and then click Save.

To load a previously saved profile, use View menu >> Toolbars >> Load Toolbar.

The Customize Toolbar Dialog

When a new toolbar has been created, the Customize Toolbar dialog is used to add, remove and rearrange the available commands.

The Customize Toolbar controls are described as follows:

  • Available Toolbar Buttons - This list displays the buttons that are not currently on the given toolbar. To add a button to the palette, first select the button from this list, and then click the Add button.

  • Add - To add a button, select from the Available toolbar buttons list and click the Add button.

  • Current Toolbar Buttons - This list displays the buttons that are currently on the toolbar that is being edited. To remove a button from this list, click the Remove button.

  • Remove - To remove a button, select a button from the Current toolbar buttons list and click the Remove button.

  • Close - Click the Close button to finish editing toolbars.

  • Reset - The Reset button will discard changes that have been made to the given toolbar.

  • Help - Press the Help button to access the Online Help.

  • Move Up - Change the order of the toolbar buttons. Select from the Current toolbar buttons list and click the Move Up button.

  • Move Down - Change the order of the toolbar buttons. Select from the Current toolbar buttons list and click the Move Down button.


SmartBar Controls

The SmartBar is a special toolbar that provides context-sensitive controls according to the type of operation that is being edited. When a shape is selected, the SmartBar displays information such as the shape size and position.

Objects Selected

Current Nub

X & Y Coordinates of Mouse/Cursor

Object Coordinates

Object Width and Height

Object Scale

Aspect Ratio

Rotation

Object Color


Objects Selected

The shape type is listed at the far-left of the SmartBar. Next to the shape type, the number indicates the database order of the shape. When pressing [TAB] to advance between different shapes, the [TAB] order is the same as the database order.


Current Nub

Selecting a shape will reveal its bounding-box, which has nine square nubs that are used for moving, scaling and resizing the shape. Within the SmartBar, the anchor controls indicate the current nub. When the SmartBar is used to move or resize a shape, the current nub is used as the reference. For example, clicking the lower-left nub in the SmartBar will indicate that shapes should be resized with respect to their lower-left bounding box.

Selected object | Anchor controls

Anchor Nub

If the anchor nub is clicked in the SmartBar, then a small, "anchor" icon will appear within the bounding box. To use the anchor nub, position the anchor over a specific part of the shape. Then, type new X and Y coordinates in the SmartBar. The anchor will be moved to the new coordinates, and the shape will be moved with the anchor.


X & Y Coordinates of Mouse/Cursor

Below the Objects Selected field, the X and Y coordinates of the cursor are displayed, as well as the current units of measurement that are being used on the workspace.


Object Coordinates

The X and Y fields display the coordinates of the selected object.

These coordinates may be changed by either dragging the object with the mouse, or by entering a new value in one of the fields. If entering new data in a field, then the data will not be accepted until the Enter key is pressed.


Object Width and Height

The Width and Height fields display the size of the selected object.

These dimensions may be changed by either resizing the object with the mouse, or by entering a new value in one of the fields. If entering new data in a field, then the data will not be accepted until the Enter key is pressed.


Object Scale

The Object Scale fields are used to resize the object as a percentage of its original dimensions.

The Object Scale arrows will resize the object in 5% increments. Alternatively, the scale may be changed by entering a new value in one of the fields. If entering new data in a field, then the data will not be accepted until the Enter key is pressed.


Aspect Ratio

When an object is either resized or scaled, the Aspect Ratio button may be maintained by activating this button:


Rotation

The Rotation field indicates the degrees through which the object will be rotated.

The Rotation arrows will rotate the object in 15 degree increments. Alternatively, the rotation may be changed by entering a new value in the field. If entering new data in the field, then the data will not be accepted until the Enter key is pressed.


Object Color

At the far-right of the SmartBar, the fill and stroke color for the selected object is displayed. If no object is selected, then the default fill and stroke colors are displayed.


Guidelines

Options menu >> Guides

View menu >> Show Guide Labels

A guide is a vertical or horizontal reference that is used for placing objects. To create a guideline, right-click on the desired ruler location. Objects will then "snap" to the location as they pass over the guideline.

Note: As many as sixty guidelines in either direction can be displayed on the screen.

Guidelines may be edited by either right-clicking the workspace, or accessing the Guides flyout (Options menu). As an example, the following steps will create a guideline between two points:

  1. Right-click the workspace to open the Edit Guides dialog

  2. Set the guideline orientation to diagonal

  3. Choose "2 points" from the drop-down list

  4. Set the coordinates for both Point 1 and Point 2

  5. Click the Add button

The resulting guideline will pass through the indicated points. Please note that the Edit Guides dialog will automatically simplify the coordinates that were entered.

Opening the Edit Guides Dialog

  • When there is no selection, right-clicking on the workspace will open the Edit Guides dialog.

  • Under the Options menu, choosing Guides >> Edit Guides will open the Edit Guides dialog.

  • Double-click a guide for editing within the Edit Guides dialog.

Creating a Guide

  • Use the Edit Guides dialog.

  • Right-clicking a ruler will create a guide.

  • For a selected shape, press [Shift] and right-click the shape nubs to create guides (not when editing a parametric shape).

  • To add guides when node editing, press [Shift] and right-click the node.

Moving, Locking, and Hiding Guides

  • When dragging a guide, press [Shift] to constrain the guide to the nearest ruler increments.

  • To lock guides in place, right-click the workspace to open the Edit Guides dialog and tick Lock Guides.

  • To temporarily hide the guides, choose Options menu >> Guides >> Use Guides. The default shortcut to toggle guides On/Off is [Alt + W].

  • To remove a guide, press [Shift] and right-click the guide (when there are no objects selected).

Guide Labels

  • To edit font labels, open the Edit Guides dialog, click either the horizontal or vertical guide button, then click the Label Font button.


Locking the Guidelines

Options menu >> Guides >> Edit Guides

From the Edit Guides dialog, enable the Lock Guides option to prevent guides from being moved or deleted using the mouse. Please note that the Edit Guides dialog may still be used to change a guideline position.

Locking the guidelines does not prevent them from being deleted from the Edit Guides dialog, or via the Options >> Guides >> Remove All Guides command.


Align Palette

Holding the [Control] key while right-clicking on the workspace will display the Align Palette, which provides tools for aligning objects with respect to the grid lines. Typically, these tools are applied to an object nub, though they may also be used when node editing.

  • If necessary, the origin may be reset by choosing Reset Origin from the Options menu.

  • The Grid Size may also be set from the General Preferences dialog.

Set Origin | Set the grid origin to selected location.
Resize grid | Resize the grid increments based on the distance between the selected location and the grid origin.
Snap to Grid Intersection | Move the object, such that the nub is at the nearest grid intersection.
Snap Vertically | Move the object, such that the nub is at the nearest horizontal grid line.
Snap Horizontally | Move the object, such that the nub is at the nearest vertical grid line.


Workspace Options

All the preferences settings for the workspace are available from the Options menu.

General Preferences

Other Options and Preferences


General Preferences

The General Preferences dialog contains basic workspace settings that are generally common to all features. Select the Options menu >> Torchmate Setup >> General Preferences to access the General Preferences dialog.

General

Duplicates

Grid Size

Snap Angle

Polyarc / Polygon

Warning Dialogs


General

Units

Unless otherwise specified, the Units set here will be used throughout the workspace and feature settings. Clicking on the workspace rulers may also be used to change the units.

Speed Units

If the Engraving module is installed, then the Speed Units are used to specify feed and plunge rates for tool paths.

Weed Offset

This is the border distance that is maintained around shapes when adding a weed border.

HPGL Scale

Set the HPGL Scale to the desired plotter resolution. In the majority of cases, the required setting will be 1016. However, consult the manufacturer specifications to verify the required value.

Layer Number

The Layer Number toggles the display of color plate numbers.

Speed Scroll

If Speed Scroll is active, then dragging over the workspace edges will scroll the workspace.

  • Off - Disable speed scrolling

  • Object Move - Only perform speed scrolling when dragging an object.

  • Full - Perform speed scrolling when dragging an object, or when dragging a marquee.


Duplicates

When using the Duplicate command (Edit menu), the Offsets specified here will be used to place the new object with respect to the original.


Grid Size

The grid lines are the horizontal and vertical lines that are used for positioning objects with respect to the rulers.


Snap Angle

The Snap Angle is used when the [Control] is held during certain operations, such as rotating objects, or editing line segments and corners.


Polyarc / Polygon

The Polyarc/Polygon setting indicates the type of shape that is produced by certain features, such as welds, shadows, or outlines.


Warning Dialogs

  • Warning dialogs are used to allow a new user to consider pertinent details before continuing with an operation.

  • As a user becomes more proficient with a given operation, that user can choose to ignore further warning dialogs for that operation. A warning dialog can be hidden by clicking its "Do not show this dialog box in the future" option.

  • However, for a new user that is not familiar with the available features, clicking the Reset button will force all warning dialogs to again be shown during operations.


Other Options - ProfileLab

Other Options

The following sections describe other options and preferences.

Export Error Tolerance

Undo Setup

Dialog Box Font Setup

Selection Tool Settings

Sketching Tool Settings

Import Bitmap Setup

Display Units Dialog

Tool Path Preferences


Export Error Tolerance

When exporting a file, the file sometimes contains a very large number of nodes. This is especially true of artwork that was originally imported from other software. As a solution, files can be exported using a certain tolerance level. This will make the exported artwork smoother, as well as substantially reduce the number of required nodes.

The Error Tolerance is specified in the current workspace units. We caution against a high Error Tolerance value, since this may introduce distortions of the exported objects. Generally, the default values (0.001 or 1/1,000 of an inch) will work very well with most files.


Undo Setup

The Undo Setup dialog is used to limit the resources that are used for storing undo operations. Limiting the resources can prevent the loss of system performance that could occur when large quantities of image data are on the undo stack.


Dialog Box Font Setup

The Font Settings dialog is used to specify the font type and point size that are used in workspace dialogs.

  • Use Default - Indicates that the standard Windows font should be used.

  • Automatic - Chooses the most appropriate font to be used.

  • Select - Enables the dialog font to be chosen.


Selection Tool Settings

The Selection Settings determines the workspace behavior when shapes are selected and moved using the cursor.

Use Live Cursor

The Live Cursor will recognize when it passes over an object. Note that the workspace must be restarted for changes to this option to take effect.

Use Live Cursor (off)

Use Live Cursor turned (on)

Use Filled Region to Select

By default, clicking within the filled region of a shape will cause that shape to become selected. However, this may not be desirable where a complex workspace has multiple overlapping shapes. If the Use Filled Region to Select option is disabled, then a shape may then only be selected by clicking the edge of that shape.

Use Default Snapping Range

The Snapping Range determines how close a mouse click must be before it snaps to the nearest grid or line. The default range is three pixels, though a custom range may be set.

Highlight Selected Objects

The Highlight selected objects option is used to draw a Highlight Border around selected objects. The Highlight size field may be used to make the highlight more prominent, and the Color Picker is used to choose the highlight color.

Speed Scrolling

If Speed Scrolling is active, then dragging off the edges of the workspace will cause the workspace to scroll.

Preview Smoothing

When a workspace object is being dragged, an image or "ghost" of the object is typically shown. In cases where the object is extraordinarily large or complex, only the bounding box for the object will be shown.

The Preview Smoothing option may be used to modify whether bounding boxes or ghost preview are shown. However, note that creating a ghost preview for large objects may impact the responsiveness when dragging the object.


Sketching Tool Settings

Sketch Tool Settings

The Sketch Tool Settings are used with the Graphic Edit Tools, as when editing vector graphics.

Lines pass through nodes as stated will cause the lines to pass directly through the center of a given node. Lines pass near nodes will cause the line to pass near but not touching or over the node. Note that the workspace must be restarted for changes to take effect.

Lines pass through nodes | Lines pass near nodes


Import Bitmap Setup

For Monochrome bitmaps, note that Windows defines a monochrome bitmap as a two-color image, where white is the default background color, and black is the default foreground color. However, these defaults can be modified via Options menu >> Setup >> Import Bitmap Setup.


Display Units Dialog

The Toggle Units dialog specifies the units and precision that are displayed for workspace controls.

If Show units on controls is enabled, then the current units will be displayed within edit fields, such as on the SmartBar.

Toggle Units

To change the units from inches to millimeters (and vice versa), select Options menu >> Toggle Units.


Tool Path Preferences

Options menu >> Torchmate Setup >> Tool Path Preferences

Cut 3D Bridges

Bridges are small tabs that are used to anchor a piece in place, whilst the remaining portion of the piece is cut. Tick this option to have bridges removed at the conclusion of a job. Otherwise, the expectation is that tabs are manually cut (and filed off).

3D Chisel – Single Versus Double Cut

There are two methods by which the 3D Chisel tool can be applied to a contour. The Single Cut method will form the chisel effect by simply following the indicated contour. The Double Cut method will perform twice as many passes, though the passes will be offset slightly (i.e., to the left and right) from the contour. As such, the Single Cut method is faster, but the Double Cut method produces a higher quality result.

Group Tool Paths With Originals

If this option is checked, then whenever a tool path is created for a shape, the tool path will be automatically grouped with the shape. To ungroup a tool path that has been grouped with its shape, use the Layout menu >> Ungroup command.

Apply Separately

By default, the Apply Separately option is ON. If there are several objects selected when applying a tool path, then this will force the creation of individual tool paths for each object. Otherwise, if the Apply Separately option is OFF, then a single toolpath will be created for the entire selection.


Automatic Saves

The Automatic Save feature is used to store the current workspace at preset intervals. This protects against the loss of work due to system failure, such as Microsoft Windows generating an unrecoverable error.

The preferred settings are to enable Automatic Save and set the Time between saves to a reasonable value. By doing so, the work will be saved periodically in the event of a system failure.

If a system failure does occur, then restarting the workspace will restore the most recently saved design. The amount of work recovered will depend on the Time Between Saves setting. If the time interval is too large, then a significant amount of work could be potentially lost when a system failure occurs. However, setting a time interval that is too small will cause interruptions due to the frequent saves that will occur.

Automatic Load Enabled

Automatic Load is only valid when the Automatic save option is also enabled. When active, restarting the workspace will automatically restore the last design that had been stored by the Automatic Save option.

Create Backup Files When Saving

When the Save or Save as commands are used, the backup (.BAK) file will also be created. The backup file will have the same preface name as the workspace (.CDL) file, and it will be stored in the same directory.

Note: Back up files are a good safety measure against losing work. However, old backup files must be periodically purged from the system, since they can potentially consume tremendous amounts of hard disk space.


Snap To Sign Plate

Snap To Sign Blank

Selecting this option causes objects to snap to the edges of the sign blank if placed within six pixels of it. Selected objects will snap to the sign blank at their outer edges, and at their vertical and horizontal centers. A small check mark beside this option indicates that it is selected.


Working with Line Art

Basic Shape Creation

Basic Shape Types

Clip Art

Path Editing

Object Types

Polygon Editing

Free Edit Tool

Polyarc Editing

Weld Tools


Basic Shape Creation

Basic parametric shapes are available from the Shape Tools flyout.

As an alternative to parametric shapes, polygon and polyarc are created using the Graphics Edit Tools flyout.

Node Edit Flyout tool (Polygon editing)

Free Edit Flyout tool (Polygon sketching)

Arc Edit Flyout tool (Polyarc editing)

Print Shapes versus Cut Shapes

Basic Shape Types


Print Shapes versus Cut Shapes

By default, newly created shapes are considered to be print objects (i.e., File menu >> Print) that do not have cut information assigned to them. Cut information can be assigned in the following ways:

  • Cut menu >> Create Tool Path flyout - These controls are the common means of assigning cut information, which will open dialogs for setting tool parameters.

  • Tools toolbar >> Tool Path Tools flyout - Left-click these tools to open a dialog for setting tool parameters. Right-click to apply the previously used parameters.

  • Cut menu >> Plotting Defaults >> Output Tool Paths - Clear this checkbox, and then tick it to open the Tool Path Options dialog, which is used for setting default tool path information.

  • Cut menu >> Contour Cut - Score material with a cut path of zero depth. Ignored by the Output Tool Paths option, unless contour paths are enabled on the Tool Path Options dialog.


Basic Shape Types - ProfileLab

Basic Shape Types

The basic shape types are described in the following sections.

Circle Tool

Ellipse Tool

Rectangle Tool

Polygon Tool

Star Tool

Arrow Tool

Fan Tool

Monument Tool

The Operations on Shapes chapter provides descriptions for the following:

Decorative Border

The Advanced Cutting and Routing chapter provides descriptions for the following:

Weed Border

Power Weed

Registration Mark Tool

Multi-Registration Marks


Circle Tool

Click-and-drag to form the diameter of a parametric circle shape. The further the drag, the larger the circle that will be created.

Pressing [Shift] will constrain the circle with respect to its center. For example, the following screenshot shows two guidelines being used as a starting point. For circle A, the [Shift] key was pressed, such that dragging will extend the radius of the circle. In comparison, circle B is being formed without pressing the [Shift] key.


SmartBar – Circle Controls

The following circle properties can be edited from the SmartBar:

  • X Coordinate

  • Y Coordinate

  • Radius


Ellipse Tool

Unlike the Circle tool, the Ellipse tool will not create a parametric shape. Instead, the Ellipse tool will create a Polygon shape that can be node edited.

There are no SmartBar controls for the Ellipse tool. Simply click-and-drag to form the ellipse. The further the drag, the larger the ellipse that will be created.

Like the Circle tool, pressing [Shift] will constrain the ellipse with respect to its center. In addition, pressing the [Ctrl] key will force the ellipse to form a perfect circle.


Rectangle Tool

Click-and-drag to form a parametric rectangle. The further the drag, the larger the rectangle that will be created.

Press [Shift] to constrain the rectangle with respect to its center. In addition, press the [Ctrl] key to form a perfect square.

There are special handles when editing a parametric rectangle. As per the following screenshot, the upper-left handle (A) is used to create notched corners. The upper-right handle (B) is used to create rounded corners.


SmartBar – Rectangle Controls

The following rectangle properties can be edited from the SmartBar:

  • X Coordinate

  • Y Coordinate

  • Angle

  • Width

  • Height


Polygon Tool

Click-and-drag to form a parametric polygon. The further the drag, the larger the polygon that will be created.

Press [Shift] to constrain the polygon with respect to its center. In addition, press [Ctrl] to prevent the polygon from rotating as it is being created.

There are special handles when editing a parametric polygon. As per the following screenshot, the circular handle will round the corners of the polygon (A). The semi-circular handle is used to adjust the "Side Bulge Amount".


SmartBar – Polygon Controls

The following polygon properties can be edited from the SmartBar:

  • X Coordinate

  • Y Coordinate

  • Angle

  • Number of Sides

  • Polygon Radius (size)

  • Corner Rounding

  • Side Bulge Amount


Star Tool

Click-and-drag to form a parametric star. The further the drag, the larger the star that will be created.

Press [Shift] to constrain the star with respect to its center. In addition, press [Ctrl] to prevent the star from rotating as it is being created.

There are special handles when editing a parametric star. As per the following screenshot, the circular handles will round the corners of the star (A). The semi-circular handles are used to adjust the side bulge amount. The square handles are used to adjust the proportions of the star, which may also be set using Star Radius #1 and Star Radius #2 fields in the SmartBar.

By experimenting with the editing handles, a variety of interesting star shapes can be created.


SmartBar – Star Controls

The following star properties can be edited from the SmartBar:

  • X Coordinate

  • Y Coordinate

  • Angle

  • Number of Points

  • Inside Radius

  • Outside Radius

  • Point Rounding

  • Corner Rounding

The outside "radius" is the distance from the center to each point of the star. The inside "radius" is the distance from the center to each (inside) corner of the star. If the "padlock" icon is active, then the inside radius may be set as a percentage of the outside radius.

Both the points and corners of the star can be rounded. These controls are referred to as Corner Radius #1 and Corner Radius #2.


Arrow Tool

Click-and-drag to form a parametric arrow. The arrow shape is composed of an arrowhead at the end of a shaft. The further the drag, the larger the shaft and arrowhead that will be created. The arrow will point in the direction that it is drawn, (i.e. dragging from left-to-right will create an arrowhead that points right).

Press [Shift] to constrain the arrow with respect to its center. In addition, press the [Ctrl] key to constrain the angle of the arrow.

There are special handles when editing a parametric arrow, such that the length, width, and barb of the arrow can be adjusted. If the SmartBar is used to increase the Rounded Tip Radius, then two small handles will also become available for adjusting the arrow tip.

By experimenting with the editing handles, the head and shaft can be adjusted to form a variety of interesting arrow shapes.


SmartBar – Arrow Controls

The following arrow properties can be edited from the SmartBar:

  • X Coordinate

  • Y Coordinate

  • Angle

  • Total Length

  • Shaft Length

  • Total Width

  • Shaft Width

  • Head Angle

  • Forward Bulge of Barb

  • Read Bulge of Barb

  • Tip Rounding

To edit the barb bulge using the cursor, hold the cursor over the edge of the arrowhead. Then click-and-drag to adjust the bulge.


Fan Tool

Click-and-drag to form a parametric fan. The further the drag, the larger the fan that will be created. The fan is useful for creating arches, bowls, and rainbows to emphasize text shapes that are on an arc. In addition, the ends of the fan can be overlapped to form a ring.

Press [Shift] to constrain the fan with respect to its center. In addition, press the [Ctrl] key to constrain the angle of the fan.

There are special handles when editing a parametric fan, which are used to adjust the size, position, rotation, thickness, and arc of the fan.


SmartBar – Fan Controls

The following fan properties can be edited from the SmartBar:

  • X Coordinate

  • Y Coordinate

  • Angle

  • Arc of Fan

  • Radius of Fan

  • Thickness of Fan

  • Length of Fan


Monument Tool

Click and drag to form a parametric monument shape, as would be constructed onsite before a large corporate. The further the drag, the larger the rectangle that will be created.

Press [Shift] to constrain the rectangle with respect to its center. In addition, press the [Ctrl] key to form a perfect square.

There are special handles when editing a parametric monument shape. As per the following screenshot, the top-center handle (A) is used to adjust the bulge amount. In the SmartBar, the Arch checkbox (B) will add a slope to the bulge.

SmartBar – Monument Shape Controls

The following monument shape properties can be edited from the SmartBar:

  • X Coordinate

  • Y Coordinate

  • Width

  • Height

  • Bulge

  • Arch


Clip_Art

Layout menu >> Clip Art Viewer

The Clip Art Viewer is a quick means of browsing and selecting images and clip art. A variety of common image formats are supported, and CADlink Drawing files (.CDL) can also be viewed.

Installing Your Clip Art

Loading Clip Art

Setting Clip Art Categories


Installing_Your_Clip_Art

Note: During product installation, you were given the option of automatically copying the Fonts & Sign Clip-Art CD to your hard drive. If the clip art was not copied during installation, then the following procedure shows how to copy the clip art manually.

Included with your package is the Fonts & Sign Clip-Art CD. This CD contains a variety of sign art that you can load and edit. The following steps show how to copy the clip art files from the CD to your hard drive for easy access:

  1. Insert the Fonts & Sign Clip-Art CD into your CD-ROM drive.

  2. If Windows does not automatically open a browse window for the CD contents, then open Windows Explorer and manually browse to the CD contents.

  3. The CD has two top directories: Clipart and Fonts. Browse the Clipart directory and copy its directories to the "ClipArt" directory that was created when installing your product.

  4. When copying directories, if you are asked to Confirm Folder Replace, then click Yes to All.


Setting_Clip_Art_Categories

The following steps show how to setup clip art categories that can be opened from the Layout menu.

  1. From the Layout menu, choose Clip Art Categories Setup.

  2. The Clip Art Categories dialog will open.

  3. Click Add to begin creating a new category. The New Clip Art Category dialog will open.

  4. Click Browse and locate one of the Clip Art directories on your hard drive. For this example, we chose:

[Hard Drive] \ CADlink \ ClipArt \ Animals

  5. Type the category Name that this directory will be referred to under the Layout menu. For this example, we typed "Animals."

  6. Click OK to create the new category.

From the Layout menu, you will now have a Clip Art Go To >> Animals option, which is used to quickly access your Animals clip art directory.


Loading_Clip_Art_into_EngraveLab

Loading Clip Art

The following steps show how to load clip art onto the workspace:

  1. From the Layout menu, choose Clip Art Viewer. The ClipArt dialog will open to the default Arrows directory.

  2. Click the Up Directory button to view the categories of clip art that are available.

  3. Double-click a directory to see its contents.

  4. Double-click the clip art that you want to open.

  5. The ClipArt dialog will close, and an angled cursor will appear to indicate the top-left corner of the clip art. Left-click to place the clip art.


Path Editing

Arrange menu

A workspace object is composed of nodes that specify the contours of that object, otherwise known as the object path. If the object contour is complete with no breaks, then it will appear as a solid object on the workspace (assuming that Show Fills is active). However, a broken contour will appear as a dashed line.

  • Make Path - Combine a selection of multiple objects into a single path.

  • Break Path - Revert a combined path of objects into individual paths for each object.

  • Connect Path - For a broken contour, connect nodes to form a contiguous path.

  • Reduce Nodes - Eliminate excessive nodes that may exist after tracing or scanning an object.

  • Text to Graphics - Convert a text object into a path.

  • Convert to Polygon - Substitute the object path with nodes used in polygon editing.

  • Convert to Polyarc - Substitute the object path with nodes used in polyarc editing.

  • Convert to Curves - Substitute the object path with equivalent Bezier curves (this improves the scaling of objects).

  • Close Graphics - Join the first and last nodes of a contiguous path.

  • Replace with Square - Substitute the selected shape with a rectangle of equivalent width and height.

  • Replace with Ellipse - Substitute the selected shape with an ellipse of equivalent width and height.


Object Types

With respect to workspace object types, there are three broad categories that determine how their nodes are edited. The distinction between each type is important because the editing tools are specialized for each object type.

  • Parametric - An object composed using the Shapes flyout tool. As explained in the introductory section, these objects have specialized editing handles that are used to adjust the object properties.

  • Polygon - An object composed of a combination of corner, curve and tangent nodes. These nodes can be created and edited manually. Please refer to the Polygon Editing section.

  • Polyarc - An object composed entirely of curve nodes. These nodes may also be created and edited manually. Please refer to the Polyarc Editing section.

For all object types, editing is performed by double-clicking the object.

For parametric objects, holding the [Control] key and double-clicking will convert that object into either a polyarc or polygon type, depending on the Polyarc / Polygon setting in the General Preferences dialog.


Node Types

Node types determine how straight or curved a contour will appear. For object that will be cutting, minimizing the number of nodes will reduce the amount of cutting data that is sent.

The three types of nodes are Corner nodes, Curve nodes, and Tangent nodes, which are defined as follows:

  • Corner Node - A node that is used to construct straight lines. Placing two corner nodes on the workspace will create a straight line.

  • Curve Node - A node that is used to construct a curved contour.

  • Tangent Node - A node that is used to provide a smooth transition from a straight line to a curved line.


Polygon Editing

Tools toolbar >> Graphics Edit Tools >> Node Edit

The Node Edit Flyout tool is used for creating and editing Polygons. In the SmartBar, the Arc Edit tool will be active by default, and clicking on the workspace will create a node. For precise placement of nodes, coordinates can be entered in either Rectangular or Polar coordinates.

The Arc Edit controls are summarized as follows:

Absolute Placement | New nodes will be placed with respect to the Blank Size origin.
Relative Placement | New nodes will be placed with respect to the previously created node.
Polar Coordinates | Polar Coordinates are used to place each new node. In this mode, the edit fields represent the Angle and Length of the new node position.
Rectangular Coordinates | Rectangular Coordinates are used to place each new node. In this mode, the edit fields represent the X-coordinate and Y-coordinate of the new node position.

Arc Edit tool

Node Edit tool

Segment Edit tool


Arc Edit tool

The Arc Edit tool is used to create new nodes for an object. By default, clicking on the workspace will create a Corner node. By holding the right-mouse button, the Node Palette can be used to either change the type of node, or to edit the existing nodes.

Corner Node Tool | Change the currently-selected node into a Corner node, or specify that new nodes must be Corner-type.
Join Tool | Join two selected nodes, or join the endpoints of a selected contour.
Curve Node Tool | Change the currently-selected node into a Curve node, or specify that new nodes must be Curve-type.
Toggle Rotation Tool | Toggle the direction of the selected contour between Clockwise and Counter-Clockwise.
Set Start Point Tool | Set the start point at which routing or engraving this contour will begin.
Trash Can Tool | Delete the selected nodes.
Break Tool | Break the contour at the selected node.
Tangent Node Tool | Change the currently-selected node into a Tangent node, or specify that new nodes must be Tangent-type.


Node Edit tool

Use the Node Edit tool to either drag or manipulate nodes. Clicking a node will select that node. Shift-clicking will add nodes to the current selection, and right-clicking will display the Node Palette.

When node editing a shape, clicking the fill region of another shape will switch node editing to the other shape. When node editing a shape that overlaps another shape, hold the [ALT] key to prevent the accidental selection of the underlying shape.

The following table summarizes the Hot Keys that may also be applied:

  • (A) Add node - Create a node at the current cursor location.

  • (C) Change node - Cycle the type of the selected node. The type will cycle through Corner, Curve, and Tangent type nodes.

  • (R) Remove - Delete the selected node.

  • (L) Locate origin - Set the grid origin to correspond to the selected node.

  • (G) Grid dimensions - Resize the grid increments based on the distance between the selected node and the grid origin.

  • (S) Snap to intersection - Move the selected node to the nearest grid intersection.

  • (H) Snap to horizontal grid line - Move the selected node to the nearest horizontal grid line.

  • (V) Snap to vertical grid line - Move the selected node to the nearest vertical grid line.

  • (J) Join - Join the two selected nodes with a connecting line.

  • (B) Break - Break the contour at the selected node.

  • (D) Deselect - Clear the current node selection.

  • (O) Create perfect circle - Based on existing nodes, transform an oval contour into a perfect circle. If necessary, nodes will be added to complete the circle.

  • (T) Toggle start point - Set the start point at which routing or engraving this contour will begin.

  • (K) (K)lick - Select the node under the mouse cursor.


Segment Edit tool

The Segment Edit tool is used to reshape a section of the contour to fit either a straight line, a corner, or a curve. To define a segment, select the Segment Edit tool. Notice the small, red circle that now follows the contour of the object.

Moving the mouse will also move the circle. Click once to establish the start of a segment. Move the circle to the segment end and then click again. The segment is now defined. Once the segment is defined, holding the right-mouse button will display the Segment Palette.

Choose a Segment Palette tool that will be applied to the current segment. The Segment Palette tools are described in the following sections:

Corner Segment Tool

Arc Segment Tool

Line Segment Tool

Guide Line Tool

Trash Can Tool


Corner Segment Tool

Fit the segment to a corner. When this tool is selected, three handles appear that allow the corner to be adjusted. Click Apply when adjustments are complete.

Editing the corner | After applying the corner


Arc Segment Tool

Fit the segment to an arc. When this tool is selected, two handles appear that allow the arc to be adjusted. Click Apply when adjustments are complete.

Editing the arc | After applying the arc


Line Segment Tool

Fit the segment to a line. When this tool is selected, the segment will be replaced with a straight line.


Guide Line Tool

Create a guide line that intersects the two points.


Trash Can Tool

Delete the segment. If the contour had previously been closed, then it will now be a broken contour.


Free Edit Tool

The Free Edit t ool is used to trace a polygon object by hand.

  1. Click and drag across the workspace to draw the object.

  2. Release the mouse button to create the object.

If the start and end strokes are close in proximity, then a closed contour will be formed. Otherwise, either use the Close Graphics command from the Arrange menu to close the contour, or edit the contour using the Node Edit tool.

Thickness Setting

In the SmartBar, click the Thick Line button to automatically apply a line thickness when drawing with the Free Edit tool.


Polyarc Editing

The Arc Edit Flyout tool is used for creating and editing Polyarcs.

The Arc Edit tool will be active by default, and clicking on the workspace will create a node. As an alternative to clicking with the mouse, new nodes can be placed using the SmartBar fields.


Snap To

As an aid for adding new nodes, the Snap To feature may be used. For more information about this feature, please refer to Snapping Setup in the next section.

Toggle Snapping

Snapping Setup

Placement of each node depends on whether Polar or Rectangular coordinates are being used. The placement controls are summarized in the next sections.


Absolute Placement

New nodes will be placed with respect to the Blank Size origin.


Relative Placement

New nodes will be placed with respect to the previously created node.


Polar Coordinates

Polar Coordinates are used to place each new node. In this mode, the first and second edit fields represent the Angle and Length of the new node position.


Rectangular Coordinates

Rectangular Coordinates are used to place each new node. In this mode, the first and second edit fields represent the X-coordinate and Y-coordinate of the new node position.


Arc Bulge Mode

In this mode, the third edit field will represent the bulge of the curved line segment. The bulge is used as follows:

  1. Determine the mid-point of the line segment without a bulge.

  2. From the mid-point, draw a perpendicular line that is equal in length to the bulge.

  3. Using the end of the perpendicular line, construct the curved line segment.


Arc Radius Mode

In this mode, the third edit field will represent the radius of an imaginary circle. The new line segment will be drawn as if it had been traced along the circumference of the imaginary circle, while still connecting the two point that would have formed a straight line segment.


Arc Edit tool

The Arc Edit tool is used to create new nodes for an object. For polyarcs, clicking on the workspace will create a Curve node. When working on a polyarc object, two curve nodes will form a segment, and then the cursor may be used to drag the segment to form an arc.

Straight line formed by two curve nodes | Drag line to form arc | Release cursor to create the arc

By holding the right-mouse button, the Node Palette can be used to edit the contour.

Join Tool | Join two selected nodes, or join the endpoints of a selected contour.
Toggle Rotation Tool | Toggle the direction of the selected contour between Clockwise and Counter-Clockwise.
Set Start Point Tool | Set the start point at which routing or engraving this contour will begin.
Trash Can Tool | Delete the selected nodes.
Break Tool | Break the contour at the selected node.


Node Edit tool

Use the Node Edit tool to either drag or manipulate nodes.

  • Clicking a node will select that node.

  • Shift-clicking will add nodes to the current selection

  • Right-clicking will display the Node Palette

When node editing a shape:

  • Clicking the fill region of another shape will switch node editing to the other shape.

  • When node editing a shape that overlaps another shape, hold the [ALT] key to prevent the accidental selection of the underlying shape.

The following table summarizes the Hot Keys that may also be applied:

  • (A) Add node - Create a node at the current cursor location.

  • (R) Remove - Delete the selected node.

  • (L) Locate origin - Set the grid origin to correspond to the selected node.

  • (G) Grid dimensions - Resize the grid increments based on the distance between the selected node and the grid origin.

  • (S) Snap to intersection - Move the selected node to the nearest grid intersection.

  • (H) Snap to horizontal grid line - Move the selected node to the nearest horizontal grid line.

  • (V) Snap to vertical grid line - Move the selected node to the nearest vertical grid line.

  • (J) Join - Join the two selected nodes with a connecting line.

  • (B) Break - Break the contour at the selected node.

  • (T) Toggle start point - Set the start point at which routing or engraving this contour will begin.


Trim tool

The Trim tool will reduce the length of a line segment, such that it will intersect another line segment.

Click the Trim tool, click segment A, and then click segment B. | Segment A will be reduced in length, and it will be joined to segment B.


Extend tool

The Extend tool will increase the length of a line segment, such that it will project to intersect another line segment. Note that the projection can be to an "imaginary" intersection point. In the following example, segment B is extended to intersect with segment A.

Click the Extend tool, click segment A, and then click segment B | Segment B will be projected to the imaginary intersection point formed with segment A.


Divide tool

The Divide tool will subdivide a line segment with additional nodes. Click the required line segment, and the Divide Segment dialog will open.

Specify the number of new nodes to insert, and then click the Divide button.


Delete tool

After activating the Delete tool, clicking on nodes or line segments will delete them.


Delete Segment tool

The Delete Segment tool is used to remove part of an object path. When active, a small, red circle will track the object path. Click once to set the segment beginning, and then click a second time to set the segment end. The segment will then be deleted.


Offset Arc tool

For a segment that has been selected using the Segment Edit tool, the Offset Arc tool will create a duplicate segment that is offset by the indicated amount.

If Double offsets are created, then the offsets will be to either side of the original segment.


Snapping Setup

The Snap To tools are available when creating nodes in the polyarc editing mode. These tools will identify certain workspace coordinates, such as midpoints, intersection points, and the end of line segments. The mouse focus will then "snap" to the identified coordinate, and pressing the left-mouse button will create a new node at those coordinates.

A "snap rectangle" is drawn about the cursor, which is used as a limit when identifying coordinates. For example, if a midpoint falls within the snap rectangle, then it will be identified as a valid coordinate for the focus.


Snap Options

The Snap Options determine the valid workspace coordinates that will be identified when editing polyarc nodes. These options are as follows:

Endpoint | Snap to the end of a segment, as identified by the existence of a node.
Midpoint | Snap to the midpoint of a segment. This may be either a line or curve segment, as formed between two nodes.
Any point | Snap to a point that is along a segment. This helps to place a node that is flush with the given segment.
Perpendicular point | Snap to point so as to form a perpendicular line segment.
Intersection point | Snap to intersection point that would be formed by extending two line segments.
Center point | Snap to center of circle that would be formed by a curved segment.
Bounding box point | Snap to one of the eight nubs (corner, sides, top or bottom) that form the bounding box of a given object.

Show Help Window

When this option is on, a tooltip will appear to help identify the coordinate that the Snap To tool has found.

Show Snap Rectangle

The Show Snap Rectangle option toggles the visibility of the snap rectangle. Though not visible, the bounds of the rectangle will still be used to identify valid workspace coordinates.


Snap Dimensions

The Snap X Radius and Snap Y Radius determine the width and height of the snap rectangle.


Weld Tools

The Weld Tools are used to bond overlapping shapes into a combined object.

Non-welded Lettering | Welded Lettering

The resulting object type will be either polyarc or polygon, depending on the Polyarc / Polygon setting of the General Preferences dialog.

The Weld tools are accessible through the Weld Tools flyout:

The available welds are:

Basic (Fuse / Color) Weld

AND Weld

XOR Weld

About Complex Welds

There is an upper limit for the number of nodes that can be processed during a weld. This limit is based on the amount of physical memory available.

If a weld is attempted and an error message is received (such as stack overflow), then break the welded objects into two portions before applying the weld. Doing this will reduce the number of nodes in each weld. Once each portion is welded, both portions can be welded into the final object.


Basic (Fuse / Color) Weld

Fuse Weld

Color Weld

Using Color Weld


Fuse Weld

The Fuse Weld tool is used to merge selected objects of the same color layer into one combined object. This tool is useful when working with script fonts that have a "lead-in" and "lead-out" (kerning) on each character that overlaps the adjacent letter.

Unless the overlapping letters are welded, the letters will be cut with overlapped cutting lines. The Fuse Weld tool removes those overlaps to make script-lettering flow together as a single object.

Note: Welding will automatically apply the Arrange menu >> Text to Graphics command.


Color Weld

The Color Weld tool is used to delete overlapping sections between two different objects in separate color layers. Welding will reshape objects, such that underlying portions are removed.

The following image shows two objects with their fills turned off. With respect to their layer orders, the star is resting above the circle shape.

After the weld is applied, the star shape is unchanged, but the underlying circle shape has been modified.

If an object has the same color as that of either the sign blank or workspace background, then that object will be discarded. A warning dialog will query for confirmation before discarding takes place.


Using Color Weld

The Color Weld feature can create some interesting visual effects, such as "pinstripes" and "knock-outs." The following screen shots demonstrate pinstripes:

Two objects (the stripes have a hairline edge for clarity)

The two objects overlapped. Note the stripes are the same color as the sign blank or background.

The result after color welding


AND Weld

The AND Weld will generate a combined object that is composed of only overlapping sections of the original objects.

Two objects prior to weld | Result of performing AND weld

The resulting object is defined by the area where the two circles overlap, and is the same color as the previously hidden portion.

Note: Only two overlapping objects or groups of objects can be welded at the same time. If there are three or more objects that overlap at the same location, they must be organized into two groups before they can be welded.


XOR Weld

The XOR Weld (Exclusive-Or Weld) will produce an object that is composed only of sections that did not overlap in the original objects.

Two objects prior to weld | Result of performing XOR weld

The XOR Weld is useful for creating unique special effects:

Text is placed over a sphere | Applying the XOR Weld produces this "punched out" result.

Note: Only two overlapping objects or groups of objects can be welded at the same time. If there are three or more objects that overlap at the same location, they must be organized into two groups before they can be welded.


Working with Images

Types of Images (Image Mode)

Image Size

Render to Bitmap

Locking Bitmaps While Digitizing

AccuScan


Changing_the_Image_Mode

Types of Images (Image Mode)

Image menu >> Mode

There are five image types available for image editing: CMYK, RGB, Grayscale, Indexed Color, and Monochrome.

  • The CMYK type is typical of subtractive color mixing (i.e., printed images). This mode is used where specific CMYK values are envisioned for a design, and it is desirable to avoid possible rounding differences that might occur when printing RGB images (i.e., converting RGB to CMYK when printing).

  • Under Windows, the RGB type has the highest color depth, and as such is often referred to as a full-color bitmap, a 24-bit bitmap, or an image that has "millions of colors."

  • Converting a bitmap to Grayscale will discard all the color information within the image. Converting to grayscale is a common activity when tracing an image into cut paths, or when preparing an image for laser engraving.

  • To reduce file size, bitmaps are sometimes saved as Indexed Color bitmaps, which can appear more granular because the total number of colors are limited to either 256 or 16 colors. As such, indexed color bitmap are not commonly used with high-resolution images , unless a particular effect is desired.

  • For Monochrome bitmaps, note that Windows defines a monochrome bitmap as a two-color image, where white is the default background color, and black is the default foreground color. However, these defaults can be modified via Options menu >> Setup >> Import Bitmap Setup.

Four bitmap versions of the same image: RGB, Grayscale, Indexed Color, and Monochrome.


Image Size Controls

Image Size

Image menu >> Image Size

The Image Size command displays size and resolution parameters for the selected bitmap. The Pixel Dimensions refers to the on-screen image size listed in pixels. The Resolution is listed in pixels per inch (i.e., like dpi or dots per inch). The Image Dimensions are the actual size at which the image will be printed or cut, expressed in the current ruler units.

  • The Pixel dimensions refer to the on-screen image size listed in pixels.

Note: When scaling an image, the resolution will not be kept constant.

  • The Resolution is listed in pixels per inch (i.e., like dpi).

  • The Image dimensions are the actual size at which the image will be printed or cut, expressed in the current ruler units. The Image dimensions are not editable within the Image Size edit mode. Instead, use the Select state to change the size of the image, as you would a regular line art shape, by dragging its editing handles.

  • The File Size indicates the total amount of hard drive space that the image will currently require when saved. Note that when creating large, high resolution images, the file size can quickly become excessive.

  • The Maintain Aspect Ratio checkbox is applied when changing the Pixel Dimensions or Resolution.

  • Below the Maintain Aspect Ratio checkbox is the Sampling Method drop-list, which indicates the resampling method that will be used when changing the Pixel Dimension or Resolution. Resampling involves changing the pixel dimensions, and thus the display size, of an image. The available options are:

    1. Normal - Resize the image normally, by adjusting the pixel dimensions and/or the resolution.

    2. Resample - Uses interpolation and averaging to produce a higher quality image.

    3. Bicubic - Uses bicubic interpolation and averaging to produce a higher quality image, but it is slower than resample.


Render to Bitmap Command

Render to Bitmap

The Render to Bitmap command (Transform menu) will create a bitmap from any selected vector artwork and/or images.

  1. Set the Color Depth

  2. Set the Resolution

  3. Monitor the File Size - As the Resolution is increased, the file size increases.

  4. Tick the Keep Original checkbox to retain the original artwork or image.

  5. Tick the Add Margin checkbox to create a bitmap that has a one-pixel margin along its rectangular bounds. This margin can help the image appear distinct against background shapes.

  6. Click Apply to create the bitmap.


Selecting the Color Depth

The Color Mode indicates the maximum number of discrete colors that the image can have. There are five color modes available, which correspond to the Image menu >> Image Mode controls:

  • For Monochrome bitmaps, note that Windows defines a monochrome bitmap as a two-color image, where white is the default background color, and black is the default foreground color. The color pickers can be used to change these colors.

  • The 16 Gray setting creates a grayscale bitmap that has a maximum of 16 shades of gray.

  • The 256 Gray setting creates a grayscale bitmap that has a maximum of 256 shades of gray. The default will create shades of black, though the color picker can be used to create shades of a different hue.

  • The 16 Color setting creates an Indexed Color bitmap, which will appear granular because the total number of colors are limited to 16 colors.

  • The 256 Color setting creates an Indexed Color bitmap, which can appear more granular than Full Color because the total number of colors are limited to 256 colors.

  • The Full Color setting has the highest color depth, and as such is often referred to as a full-color bitmap, a 24-bit bitmap, or an image that has "millions of colors."


Setting the Resolution

The Resolution determines the quality of the resulting bitmap. A high resolution will produce a good quality image, but the file size will be proportionally large.

  • In the case of high resolution printing, a resolution of 300 dpi (dots per inch) is usually sufficient.

  • When creating a bitmap that will be traced through the AccuScan Vectorization feature, then a resolution of 75 dpi should produce good results.


Locking Bitmaps While Digitizing

While manually tracing a bitmap, you may want to lock the bitmap so that it cannot mistakenly be selected. Bitmaps can be disabled using the same method for disabling colors, and therefore any shapes with that color.

  1. Select a color that is not being used in the design.

  2. Drag and drop the color from the Shop Palette onto the bitmap.

  3. The selected color will now appear in the SmartBar of the bitmap.

  4. Press the Ctrl key and select the color chosen above. The color and thus the bitmap will now be disabled and cannot accidentally be selected.

Unlocking a Bitmap

When you are finished digitizing, remember to re-enable the color and thus the bitmap.

  • Press the [Ctrl] key and select the disabled color. The color and the bitmap will be enabled again.


AccuScan

The AccuScan tool is available from the Scan Tools flyout.

AccuScan tools are used to prepare images for tracing into line art. Once an image has been traced, the resulting line art can be used as the basis for cut paths. Typical activities would be posterizing an image (i.e., minimizing the number of colors), simplifying the image by merging colors that are close in hue, and then tracing the image.

Though any color can be selected for the foreground and background of a bitmap, these descriptions assume that the foreground is black and that the background is white

Activating AccuScan

Selection Tools

Transparent Bitmap Color


Activating AccuScan

To edit an image using AccuScan, use either of the two following methods. In either case, the AccuScan controls will appear in the SmartBar.

  • Double-click an image.

  • Select an image, and then choose AccuScan from the Scan Tools flyout.


Selection Tools

The following selection tools are available when preparing a bitmap for scanning:

Whole Bitmap | Select the entire bitmap
Ellipse Select | Select an oval area
Rectangle Select | Select a rectangular area
Draw Lasso | Select a freehand area
Draw Select | Define an area that has an irregular shape.
Eyedropper | Pinpoint a color in the bitmap.
Palette | Select regions based on specific colors. Colors may be either added or subtracted from the current selection.
Magic Wand | Select region based on similar colors. The Magic Wand Setup may be used to customize what is considered to be "similar."
Magic Wand Setup | Adjust the range of color intensities that the magic wand uses when determining a region. The Fill Holes option will include any gaps as part of the overall selection.
Clip Region | Create a clipping shape from the current selection. The Clipping Clear command can be used to remove this clipping.
Invert Selection | Invert the current selection area

Modifier Keys

When creating a selection:

  • The [Shift] key may be used to extend the previous selection.

  • The [Control] key subtracts from the previous selection.

Adjusting the Size

  • At the far-right of the SmartBar, use the Region Selection field to adjust the size of the current selection.


Transparent Bitmap Color

Above the Palette button is the current Target Color. The target color is typically used with the Brush and Fill tools.

However, the target color can be set to be transparent by either:

  • Clicking the Transparent Color button.

  • Pressing the [Ctrl] key and then left-clicking the Target color.


Bitmap Palette

The Target palette color is displayed above the Palette button. Double-click the Target color to add colors to the palette. The new color will not be added until used with either the Brush or Fill tools. New colors will be automatically appended to the end of the palette.

Note: If there is not enough space in the palette for new colors, then refer to the Merge Colors feature.

Clicking the Palette button will open the Image Palette dialog, which displays the palette colors and provides an interface for merging colors (i.e., colors that are similar in hue).

  • Clicking will select the given color. More than one color can be selected at a time.

  • Double-click will set the given color as the Target Color.

  • In the SmartBar, clicking Merge Color button will set all selected colors to the Target Color.

Additional Controls

  • Clicking the To Front button will shift these colors to the start of the palette, whereas clicking the To Back button will shift these colors to the end of the palette.

  • The Re-Order button will sort the palette from most- to least-prevalent colors in the bitmap. All palette colors will be sorted, and no selection is required.

  • The Custom button may be used to add colors to the palette, though new colors will not be added until either the Brush or Fill tools are used with that color.


Manipulation Tools

The tools for manipulating a bitmap are as follows:

Brush Tool

Move Region

Crop Tool

Fill Region

Quarter Bitmap

Extended Information

Merge Colors

Posterize Region


Brush Tool

The Brush tool uses the Target color to touch up the bitmap. There are several brush shapes available by clicking the Brush Selection button.


Move Region

The Copy tool may be used to accomplish one of two tasks, use it to move a selected area to another position within the bitmap, or use it to copy a selected area to another position.

Copy A Selection

To copy a selected area, click the Move Region button. The mouse cursor may then be used to drag the selection.

Move A Selection

To move a selected area, click the Move Region button, and then hold the [Control] key when dragging the selection. The area vacated by the selection will be filled with the Target color.


Crop Tool

The Crop tool removes all of the bitmap except for selected areas.


Fill Region

The Fill Region tool will fill a selected area with the Target color. To use this tool:

  1. Select a Target color by double-clicking one of the palette colors in the Image Palette dialog

  2. Select the area to be flooded using the selection tools

  3. Click the Fill Region button


Quarter Bitmap

The Quarter Bitmap button will reduce the screen resolution of the bitmap by 50% in terms of its width and height. Though the storage requirements for the bitmap will be reduced, the visual quality of the image may suffer.


Extended Information

Display information concerning the dimensions and resolution of the bitmap. Clicking the Resample button will perform the same function as the Quarter Bitmap command (discussed previously).


Merge Colors

The Merge Colors buttons performs two tasks:

  1. It removes all unused colors from the bitmap palette.

  2. It merges colors that are selected in the Image Palette dialog (opened by clicking the Palette button). These colors will be replaced with the current Target color.

Merge Cursor

Opening the Image Palette dialog also activates the Merge Cursor. Colors may then be merged on the bitmap as follows:

Click! | Drag! | Release!

  • Wherever the mouse is released, the Target color will be set to the underlying color.

  • Using the Merge Cursor, Shift-clicking on the bitmap will add colors to the current selection. Selected colors will be highlighted in the Image Palette dialog. Similarly, Control-clicking will remove colors from the selection. When the selection is complete, click the Merge Colors button to set the selected colors to the Target color.

  • Double-clicking on the bitmap will set the Target color.


Posterize Region

Note: For preparing images for screen separations, please refer to Image menu >> CADlink >> Posterize.

Posterization is the process of reducing an image to a relatively small number of colors. Within AccuScan, this tool is typically used to prepare an image for vectorization by consolidating color regions within the image (see The Classic Vectorization Method). Note that the resulting image will be an indexed bitmap.

  1. Click the Posterize Region button to open the Posterization dialog.

  2. Choose the number of colors that will compose the resulting bitmap.

  3. The Sharpen option indicates that the colors boundary between objects in the bitmap are to be narrowed, which will create the impression of sharp edges for the objects.

  4. Click OK to begin posterization.

Posterizing scanned images

Scanners often generate new colors at the edges where two colors meet in an original image. Scanners can also detect a range of a given color that we perceive as only one color, such as four similar shades of blue. To avoid eliminating essential colors during the posterization process, use either at least three more colors than can easily be counted in a bitmap, or 50% more colors than can easily be counted (whichever is more).


Bitmap Vectorization

The Bitmap Vectorization tools are used to trace the components of a bitmap and generate a corresponding sequence of vectors. These vectors may then be edited and cut like regular workspace objects.

Note: The Vectorization feature may only be applied to bitmaps of 8 bits or less (256 colors). However, Image menu plug-in filters will produce 24-bit bitmaps. Therefore, if a filter has been applied to a bitmap, then the Mode of the bitmap must be reduced (Image menu) before tracing may occur.

The level of Vectorization detail is determined by the Trace Setup controls, which are located at the far-right of the AccuScan controls.

  • The Vectorization button will begin the process of generating the vectors, and the drop-list is available for selecting previous saved settings.

  • Click the Trace Setup button to edit these settings, which will open the Trace Setup dialog.

Line Fit

Tracing Options

Overlay

Performing Vectorization


Line Fit

The Line Fit controls will determine how close the tracing will occur along the edges of scanned artwork. Careful settings can produce a high-quality trace from poor quality bitmaps.

Tolerance

The Tolerance will indicate the precision with which edges are traced. A tight Tolerance will indicate that a high precision must be used.

  • For a detailed bitmap, a tight Tolerance should be used (7 or greater).

  • If the bitmap is of poor quality, or the bitmap has long, smooth edges, then a loose Tolerance should be used (3 or less). A loose Tolerance will avoid imperfections in the bitmap, though fine details may also be lost.

Corners

The Corner setting modifies corner recognition. In other words, this setting is used to help distinguish parts of the bitmap that represent a corner, versus parts that represent a tight curve.

  • For angular bitmaps that are composed mostly of sharp corners, use a sharp Corners setting (7 or greater).

  • For bitmaps that are composed mostly of curves, then use a round Corners setting (3 or less).

  • For bitmaps that have a mixture of curves and sharp corners, use a moderate Corners setting (4 to 6).


Tracing Options

The Tracing Options set general rules that are applied to the trace.

Speckle Filter

  • Bitmaps that are generated using a scanner can often contain undesirable speckles, which are typically caused by a scratched or dirty scanner bed. To ignore these imperfections, the Speckle Filter may be applied as part of the trace. However, be cautious of using a high setting, since small details may be potentially mistaken for speckles.

  • Set the Speckle Filter to the number of pixels that will be recognized as being a speckle. During the trace, only objects that are larger than the set value will be considered.

  • Speckles may also be recognized in terms of a percentage of the overall bitmap size. Setting the Speckle Filter to a percentage is useful when the bitmap is particularly dirty.

Snap Long Lines to Vertical/Horizontal

  • When using a scanner to create a bitmap, the original document may not be perfectly aligned on the scanner bed. As a result, lines that were intended to be precisely horizontal or vertical will be slightly incorrect.

  • The Snap long lines to vertical/horizontal setting can compensate for misalignment of the original document. For example, a setting of 5 degrees will correct lines that are "off" by that amount. If the Degrees can not be set high enough, then the document should be scanned again, or the bitmap can be rotated on the workspace.

Small Shape Accuracy

  • The effectiveness of the Line Fit settings may depend upon the relative size of the bitmap versus the component objects that make up the bitmap. For example, a small object may be considered as dirt when the bitmap is large. However, the same object will be more significant when the bitmap is small.

  • To use Small Shape Accuracy, assess the size ratio between the largest bitmap objects versus the smallest. When the ratio appears large, set the accuracy to high (7-10). Where objects are similar in size, set the accuracy to low (Off-3).


Overlay

As part of the tracing, the bitmap is scanned in order to identify the component objects of the bitmap. The Overlay option is used to choose the style of scanning that is used: Traditional or Overlay.

Traditional Scanning Style

If the Overlay button is disabled, then the Traditional scanning style will be used, and each object will be identified as an independent part of the bitmap. For example, individual objects will be recognized as within a surrounding object.

Given this bitmap... | ...the Traditional style would yield these objects.

Overlay Scanning Style

Overlay scanning will create a mask for each palette color, and each mask will then be evaluated to help identify distinct objects.

Given this bitmap... | ...the Overlay style would also yield these objects.

Since masks are evaluated according to the order of their colors in the bitmap palette, it is recommended that the Re-Order button first be used (Image Palette dialog) to signify the importance of the more frequently used bitmap colors.

Overlay tracing has the following benefits over Traditional tracing:

  • Simpler objects are produced

  • No overlap will occur between objects

However, objects are typically larger than where Traditional tracing had been used.


Performing Vectorization - iDesignR

Performing Vectorization

In AccuScan, the classic method of vectorizing a bitmap involved the Posterize Region and Merge Color tools to simplify the number of colors in the image. The following is a typical sequence where an imported image can be traced into line art.

  1. Import or scan an image onto the workspace. Typical examples would be bitmap, JPEG, or TIFF images.

  2. Double-click the image to activate AccuScan editing mode. The AccuScan controls will appear within the SmartBar.

  3. Click the Posterize Region button to activate the Posterization dialog.

  4. In the Posterization dialog, choose the maximum number of distinct shades of color that should remain in the image, and then click OK. The goal is to simplify the image, such that distinct regions can be easily converted into line art.

  5. After posterizing the image, click the Palette button to display the complete list of colors that are in the image.

  6. Typically there will be several colors that have a similar shade, where it would be helpful if they were all the same color. Use the following figure as a guide for mapping several shades to a single target color.

  7. Repeat step (6) for each set of shades that must be mapped to a single color.

  8. To the right of the Trace Setup button, choose the trace settings from the drop-list. The names are indicative of the type of detail that should be traced from the image. For example, the "complex with detail" setting should be used with an image that has many corners and short contours, whereas the "long lines and curves" setting should be used with images that are composed of long arcs.

  9. To begin tracing the image, click the Vectorization button.

  10. After the image has been traced, click the Close button to exit AccuScan editing mode. The modified bitmap will remain, and the traced line art will be grouped above the bitmap.

  11. Drag the line art away from the bitmap, such that you can see the tracing results.

  12. From the View menu, use the Show Fill [Alt +S] to toggle the object fills, such that you can see the line art more easily.

  13. If you wish to edit the individual pieces of line art, then use the Ungroup [Alt + G] command to separate the pieces.


CenterLine Tracing

The CenterLine Tracing feature is available from the Scan Tools flyout.

The CenterLine Tracing feature uses a bitmap to produce a CenterLine-traced drawing that can be cut, routed, or engraved. This feature works best with larger size objects where v-bits and/or conical bits have an obvious effect. As a result this feature does not work as well with photographic images, in which case PhotoMachine would be a more effective tool.

Note: The CenterLine feature can only be applied to monochrome images. Unless the color image has been resampled to monochrome using Transform menu >> Render to Bitmap, then a temporary monochrome image will be used for the centerline calculations.

Selection Tools

Manipulation Tools

CenterLine Trace Settings


CenterLine Tracing Features

The CenterLine Tracing tools behave like the AccuScan tools.


Applying CenterLine Tracing

Pressing the Vectorization button applies a CenterLine Trace to the selected object based on the settings provided.


Selection Tools

With CenterLine Tracing activated, there are eight different tools available from the Select Tool in the tool bar. These tools are designed to help define those areas to scan, and each is different from the others. These tools are described in detail in the AccuScan section earlier.


Manipulation Tools

There are several tools available within the CenterLine Tracing dialog box for manipulating a bitmap, allowing to prepare it for either routing or printing.

The Copy [image] ,Crop [image] , Fill Region, Quarter Bitmap, Extended Information, Merge Colors, Brush and Brush Selection tools are all explained in detail in the AccuScan section.


CenterLine Tracing Settings

Click the Tracing Setup button opens the CenterLine Tracing Setup dialog.

Options

Tolerance

Speckle

Resolution

Corner Sensitivity

Path Type

Detail Level

Truncate Endpoints


Options

There are two options for performing CenterLine Traces: CenterLine Trace only, and CenterLine and Outline Trace which traces the center of the image as well as tracing the outlines of the image. Activating one option de-activates the other option.


Tolerance

The Tolerance setting specifies how closely the CenterLine Trace follows the lines of an object in a bitmap.

  • A loose setting will approximate an object’s shape rather loosely.

  • A tight setting will follow the lines very precisely.

  • Tolerance should be set tight if a bitmap is very detailed and accurate. This allows for all of the fine detail to be traced. In general, the higher the detail, the higher the Tolerance setting.

  • The Tolerance should be set loose if a bitmap contains long smooth edges, or if it is of poor quality. This results in CenterLine Tracing ignoring small errors in the edges of the objects, but can also result in a loss of the finer details.


Speckle

Many bitmaps contain undesirable bits of dirt. These random spots of color usually appear due to a scratched or dirty scanner bed. The Speckle filter allows for removal of these specks and creation of a cleaner finished product.

The Speckle filter sets the threshold at which CenterLine Tracing recognizes a group of pixels as an object. Once the filter is set, an object must be larger than the set value in order to be traced during a scan. For example, if the Speckle filter setting is four pixels, then objects must be five pixels or larger in order to be recognized as a true object, and therefore scanned.

Note: While higher Speckle filter settings result in fewer extraneous objects being traced, it may also result in the loss of smaller objects. Exercise caution when choosing an appropriate filter setting.


Resolution

As part of the CenterLine trace process, the original vector- or bitmap-based object undergoes rasterization to the set Resolution value, and then a trace is performed. The default value of 300 DPI (dots per inch) is adequate for most cases.


Corner Sensitivity

The Corner Sensitivity is used to differentiate a corner from a tight curve during the tracing operation.

  • If an object contains sharp corners and is mostly angular, then set the Corner Sensitivity to high (7 or greater).

  • If the object is composed mostly of curves, then set the Corner Sensitivity to low (3 or less).

  • Moderate settings (4 to 6) work best for objects that are composed of a mix of corners and curves.


Path Type

There are three choices for the type of path for a CenterLine Trace:

Loops | The Loops path type traces the entire image as one object.
Individual Lines | The Individual Lines path type traces each line as a separate object.
Longest Lines | The Longest Lines path type selects continuous lines and traces each as an object.


Detail Level

The Detail Level setting controls CenterLine Tracing detail recognition ability.

  • If a bitmap contains a lot of detail, set the Detail Level to a higher value.

  • If it a simple image, set the Detail Level lower.

  • Moderate settings work best with images that include areas of high detail with areas of low detail.


Truncate Endpoints

The Truncate Endpoints setting controls the CenterLine Tracing corner and endpoint recognition ability. CenterLine Tracing uses this setting to determine which parts of a trace represent a corner/endpoint, and which parts represent a tight curve. CenterLine Tracing will place a buffer value so the engraver/router can have a smooth rise to the true endpoint of the image.

  • If a bitmap contains sharp corners, and is mostly angular with sharp endpoints, set Truncate Endpoint to a lower value.

  • If it is mostly curves, set Truncate Endpoint to a higher value.

  • These values are also dependent on the depth to which the image is being engraved.

The following CenterLine Trace shows the difference between a high and low Truncate Endpoint values:

Original Bitmap | Result that occurs using a high Truncate Endpoint value (0.1) | Result that occurs using a low Truncate Endpoint value (0.02)


Working with Text

Text Composition

Choosing the Font

General Text Attributes

Auto Kern

Auto Layout and Creating Text Frames

Braille

Font Editing


Text Composition

Text composition is begun by defining the text frame, which is the dashed rectangular bounds that enclose the text. When typing characters into a text frame, the properties of the text frame determine how the text will compress, expand, wrap, etc. For example, each line of text can be compressed to fit the text frame width, or text can be expanded in width and height to fill the entire text frame.

To create text, choose Text Compose from the Text Tools flyout.

After choosing the Text Compose tool, there are three methods of setting the text frame:

  • Click on workspace: This will set an entry point for the text. As text is typed, the text frame will expand and contract to enclose the text.

  • Click and drag marquee: Dragging a marquee with the mouse will set the text frame bounds. This is particularly effective where guides have been arranged to help the cursor snap to the required coordinates. As text is typed, the text frame will remain fixed, and the text will be constrained according to the text frame properties.

  • Press [Shift] and click on workspace: This will set the text frame equal in size to the sign blank.

In addition to the Text Compose tool, the Frame Text Compose tool will automatically set the text frame equal in size to the sign blank.

Regardless of how the text frame was created, the Horizontal Compression, Vertical Compression, Line Properties, and Frame Properties buttons are used to change the behavior of how text fits within the frame.


Horizontal Compression

Click the Horizontal Compression button to modify how text is arranged to fit on a line. This command is only available when the text frame width is fixed. Using compression, text may be prevented from exceeding a set line length. Conversely, expansion may also be used to spread text over the entire line length. The Word Wrap can be set to occur after a specific amount of compression has occurred.

The available methods of compression and expansion are:

  • Width - Constrain text by modifying the character width.

  • Height - Constrain text by modifying the character height.

  • Kerning - Constrain text by modifying the distance between characters.

  • Word Kerning - Constrain text by modifying the distance between words.


Vertical Compression

The Vertical Compression button may be clicked to specify how lines of text are arranged to with within a fixed text frame. This command is only available when the text frame height is fixed.

The available methods of compression and expansion are by:

  • Character height, which constrains text by modifying the character height.

  • Line spacing, which constrains text by modifying the spacing between lines of text.

Note: If a given line of text contains a mix of character sizes, then vertical compression will be based on the height of the first character on that line.


Line Properties

The field next to the Line Properties button is used to adjust the line spacing. Clicking the Line Properties button opens the Text Line Properties dialog:

  • The Free Length option allows the line to run to its "natural" length, based on the height, width, and kerning settings.

  • The Relative Length will resize the line to a percentage of its natural length.

  • The Absolute Length will fix the line to a specific length.

The Spacing is used to determine the vertical distance between successive lines of text.

  • Relative Spacing is expressed as a percentage of the font height. Typically, a relative spacing of 150% is a reasonable default.

  • Absolute Spacing will maintain the set distance between successive lines, expressed in current workspace units.

  • The X and Y fields will position the line of text at specific coordinate with respect to the sign blank origin.


Frame Properties

The purpose of the text frame is to constrain text to the given height and width.

  • With respect to either Free Width or Free Height, the text will be set according to the height, width and kerning settings for the given font. Alternatively, fixed width or height may be set.

  • The X and Y fields are to position the line of text at specific coordinate with respect to the sign blank origin.

  • The text frame margins may be set in terms of absolute distances from the text frame edge, or by a percentage of the text frame size.

Line Compression

Next to the Frame Properties button is the Line Compression field. This field is used to compress a line width to a percentage of its original width. For example, enter 50 to compress the line to 50% of its original length.


Choosing the Font

At the far-left of the SmartBar, the Typeface drop-list will display all of the installed fonts in alphabetical order.

In addition to the drop-list, the Font Detective can also be used to search the installed fonts in terms of specific criteria, such as thickness, script lettering, serifs, etc.

For each font, general information, file location, and Panose data will be displayed (Panose is a typeface matching system used to classify and/or match type styles).

For example, suppose that all Small Caps fonts must be located. Set the Type of font to "Decorative," and limit the Range of characters to "Small caps." By clicking the Filter button, the Font Detective will show all the available Small Caps fonts.


Picture Guide

When choosing which font attributes to filter, a picture guide is provided as a memory aid. Some examples are as follows:

  • Display CADlink VEF fonts:

  • Display CADlink VEF fonts and TrueType fonts:

  • Display fonts that have open loop finials:

  • Display fonts with a high weight:


Displaying an Entire Character Set

  1. From the Text Tools flyout, right-click the Text Compose button.

  2. The Font Detective dialog will open.

  3. From the Font drop-list, choose the desired font that will be displayed.

  4. Click the Select button.

  5. The entire character set will now be displayed.


Character Picker

Use the Character Picker to quickly locate non-alphanumeric characters that belong to a given typeface (e.g., copyright symbol, trademark symbol, accents, etc.). In the Character Picker dialog, click a character to place it on the workspace.

ASCII Code

For future reference, the ASCII code for the given character is displayed along the bottom of the Character Picker dialog. To save time, this code can be manually typed using [ALT] in combination with the numeric keypad on your keyboard. For example:

  1. Suppose that the copyright symbol (©) is needed, which is ASCII code 169.

  2. Enter text editing mode.

  3. Press and HOLD the [ALT] key.

  4. On the numeric keypad, type 0169

  5. Release the [ALT] key.

  6. The ' © ' should appear.


Installing New Fonts

File menu >> Install Fonts

Torchmate supports a wide range of font technologies (i.e., OpenType, PostScript, etc.) from assorted typeface houses. When Torchmate was installed, any OpenType or PostScript fonts that are already registered in Windows will likewise be registered for use with Torchmate. Similarly, when new fonts are installed in Windows, the File menu >> Install Fonts command is used to register those fonts with Torchmate.

Note: Depending upon your purchase, your software package may include the CADlink Fonts and Sign Clip Art CD, which contains a collection of typefaces in VEF format that supplement your existing typeface collection.

To use a new font, or to use a VEF that was not installed with your original product install:

  1. Copy the font files into a common directory on the local hard drive.

  2. In the case of TrueType/OpenType/PostScript fonts, use Windows Control Panel >> Fonts to install the font under Windows.

  3. From the File menu, choose Install Fonts to open the Install Fonts dialog. This dialog is used to locate and register the new font files that have been copied onto the hard drive.

Note: Be cautious of registering fonts on a CD or other removable media, since this will require that the CD be inserted prior to beginning design sessions.

  4. Specify the type of Font formats that are required, and Browse to the directory in which the fonts are located. When ready, click the Search Now button to display the fonts that have been found.

  5. The fonts may then be installed individually, or the Install All button may be clicked. Installing fonts in this manner causes them to be available from the Typeface drop-list when editing text.

Though not recommended for regular usage, the Reset button will remove all fonts from the database, except for CADlink VEF fonts. The Reset button is provided as a means of purging the database after perhaps years of adding fonts from different sources. This is a convenient means of reconciling perhaps hundreds of font references. The fonts may again be registered using the Install Fonts dialog.


Convert button

When composing text, many of the font names are abbreviations based on the old Windows filename restrictions (i.e., eight characters for the filename, with three characters for the filename extension). Unfortunately, these restrictions forced the use of font names that were sometimes cryptic. To solve this problem, click the Convert button to replace the abbreviated font names with more meaningful names. These meaningful names will appear in the Font Type drop-list when composing text.

Note: The list of font names that are substituted is contained within the fontlist.ini file, which is in your product installation directory.


Text and Special Effects

In most cases, text will still be editable after it has been subjected to a transformation, such as fitting text to a path, a rotation, or an outline operation.

If individual words or characters of a text object must be edited, then perform an Ungroup operation to the text. However, once a text object has been Ungrouped, the characters will thereafter be treated as individual objects.

Some operations automatically apply the Text to Graphics operation, which will convert the text characters into individual graphic objects. If so, then these characters will no longer be editable as if they were text.


General Text Attributes

Slant

Text Orientation

Justification

Line Spacing

Case Control

Character Placement

Bullets

Spell Check

Braille Text

Style Painter

Character Width


Slant

To the right of the font height field is the Slant control. The Slant is used to tilt the text either right or left. This is not a substitute for choosing an italic font, but it does create an effect that is similar to italics.

The Slant is expressed in degrees, which ranges from +15 (right) to -15 (left) degrees. Clicking the Slant button will clear the slant value to zero.


Text Orientation

Text orientation indicates the direction that the text should be read.

Horizontal Text | Arrange text from left-to-right.
Vertical Text | Arrange text from top-to-bottom.
Arabic Text | Arrange text from right-to-left.

Arabic Text Setup

The Arabic Text button requires that the keyboard driver for the given language has been installed, and Windows has been set to use non-unicode fonts. Once these conditions are met, the Arabic Text button will appear when your CADlink product is launched.


Justification

Justification indicates how the text should be justified horizontally within the text frame.

Left Justify

Center Justify

Right Justify


Line Spacing

Line spacing indicates how the text should be justified vertically within the text frame.

Top Spacing

Center Spacing

Bottom Spacing


Case Control

Case controls are applied to the currently selected text.

Upper Case | Convert to upper case.
Lower Case | Convert to lower case.
Proper Name Case | For each work, make the first letter upper-case, and the remaining letters lower-case.


Character Placement

Character Placement (superscript)

Use Character Placement controls to create superscripts and subscripts.

Superscript | Create raised lettering.
Subscript | Create lowered lettering.
Unscript | Remove superscripts and subscripts.

Either the Superscript or Subscript buttons may be right-clicked to customize the settings. The percentage by which to reduce the text size may be specified, as well as the amount that the text will be raised or lowered.


Bullets

Clicking the Bullets button will place a bullet. To customize the shape of the bullet, right-click the Bullets button.

The bullet pattern may be chosen from any of the registered fonts. Click the Browse button to open the Font Detective, which is used to choose the font from which the bullet will be chosen. The font will then be available from the drop-list in the Text Bullet Properties dialog.


Spell Check

When editing text, click the Spell Check button to verify the spelling of the currently selected text. If no text is selected, then the entire text object will be checked.

To spell check all of the text objects on the workspace, choose Spell Check from the Text Tools flyout.

If any spelling errors are found, then the Spell Checker dialog will open.

Default dictionaries for several languages are provided. The Main dictionary selection represents the active dictionary. In addition, a User dictionary may be created by clicking the New button.

When spell checking, both the Main and User dictionaries are used. If any new words are added, then the User dictionary will be used to store the new word. The Main dictionary will remain static.


Braille Text

The Braille module is used to create accurate, ADA-compliant Braille translations. The resulting Braille may then be rendered by means of either drilling, punching or photo-etching.

The operation of this feature is described in the Braille section.


Style Painter

When editing a paragraph of text, the Style Painter tool is used to copy the font style from one sentence to another. By right-clicking the Style Painter button, the Text Style dialog is used to select what style elements will be copied.

Copying a style within a paragraph

  1. Highlight the text that will be copied from.

  2. Click the Style Painter button to copy the style.

  3. Click within the text that will be pasted to.

  4. Click the Style Painter to preview the result.

  5. With the cursor, highlight the text to paste the style.

Copying Text Styles


Copying Text Styles

When there are two separate text shapes, the text style can be copied between the two shapes.

Copying a style between two text shapes

  1. Select the text shape that will be copied from.

  2. Right-click anywhere except the handles of the text shape.

  3. From the context menu, choose Copy Style.

  4. Select the text shape that will be pasted to.

  5. Right-click anywhere except the handles of the text shape.

  6. From the context menu, choose Paste Style.


Character Width

The Character Width tool can apply compression to individual characters of a word. Right-clicking the Proper Character Width button opens the Character Width Style dialog.

The Width Style options are as follows:

  • Free Width - Maintain the characters at their original widths. This setting does not allow the Character Width to be adjusted.

  • Relative Width Percentage - Adjust the character width as a percentage of the original width.

  • Absolute Width - Adjust the character width to be a specific width.

Once the type of Width Style has been selected, highlight the text and set the Character Width edit field. For example, the following screenshot indicates characters that have been compressed to 50% of their normal widths.


Auto Kern

The Auto Kern command balances the white space between characters, such that a more pleasing arrangement of text is created.

The Kern Percent field is used to specify that a percentage of the regular kerning is to be applied. Reducing the percentage will decrease the space between characters, while increasing the percentage will move characters further apart.

The Auto Kern feature may be customized by right-clicking the Auto Kern button.

Kerning Styles

On-Screen Kerning Tool


Kerning Styles

In text compose mode, right-click the Auto Kern button

The available kerning styles are:

  • Normal - Balance the amount of white space, while maintaining a normal character spacing.

  • Wide - Insert approximately 20% extra white space between characters.

  • Narrow - Remove approximately 20% of white space between characters.

  • Touching - Arrange the characters so that their finials touch, yet do not overlap.

  • Overlap - Force adjacent characters to overlap by approximately 5%.


Accuracy versus Speed

Due to the number of calculations involved with finding the best kerning for a given pair of characters, it may be desirable to sacrifice some of the kerning accuracy in exchange for faster results. If so, then choose the Fast setting instead of Accuracy. The Fast setting will often produce acceptable results.


Auto Kern and Engraving Tools

When an engraving tool is to be used, set the Tool bit diameter to ensure that kerning compensates for the bit size.


On-Screen Kerning Tool

The On-Screen Kerning feature is used to make manual adjustments to text using a special set of kerning nubs. The kerning nubs may be used to adjust inter-line spacing, line kerning, individual letter pair kerning, and the alignment skew of text.

On-Screen Kerning is accessible from the Text Tools flyout, as well as from the Text Compose toolbar.

In addition, holding the Control key and double-clicking a text object will enter On-Screen Kerning mode.

Kerning handles may be dragged using the mouse. In addition, by clicking on a handle, that handle will become selected. The cursor keys may then be used to move that handle by one pixel. Holding the [Shift] key will move a handle by five pixels.

The types of kerning handles are described as follows:

Line Movement Handle

The Line Movement Handle is used to position the line of text. Holding the [Control] key may be used to constrain the movement of the line. Holding the [Shift] key will align all the text lines along a path between the current handle and the handle of the first line.

Line Kerning Handle

The Line Kerning Handle is used to adjust kerning for the current line. Holding the [Control] key will adjust the word kerning, while keeping the space between adjacent characters constant.

Letter Kerning Handle

The Letter Kerning Handle adjusts the kerning of characters that are opposite the Line Kerning handle.


Auto Layout and Creating Text Frames

The Auto Layout feature is a convenient method of creating a text frame that is segmented into horizontal and vertical cells. Text and/or graphics may then be placed within each cell.

  1. Use the Text Edit field to enter text for a given field, and press the Tab key to advance to the next cell.

  2. When you have finished entering text, click the Apply button to open the Font Detective, which in this case will be used to select the font for the layout.

When working with the Auto Layout feature, the Undo function is temporarily disabled. As a result, be careful about using the delete function available in Auto Layout.

Each cell is represented by a blue outline, and the active cell is indicated by a red outline.

Created two columns and four rows of cells

Result of entering text and clicking the Apply button

Layouts may be stored for later use. In this manner, a layout library can be made available for other projects. Layouts are customized as follows:

Plate Parameters | Set the dimensions of the plate, as well as the initial number of rows for the layout.
Advanced | Specify the margins around the plate, as well as the compression mode for the text.

The initial plate dimensions will be sized to the selected object. If no object is selected, then the sign plate dimensions will be used by default.

Formula

Auto Layout Controls


Formula

  • Offset - The Offset is expressed as a percentage of the overall plate height, and it is used to indicate the amount by which the bottom margin is larger than the top margin. A positive value will increase the bottom margin, whereas a negative value will increase the top margin.

  • Multiplier - Take the average inter-line spacing and increase it by the Multiplier. The result will determine the size of both the top and bottom margins.

Example | Offset | Multiplier |
1 | 0 | 2 | Both top and bottom margins are equal in size, and they are each twice the average inter-line spacing.
2 | 10 | 2 | The top and bottom margins are initially twice the average inter-line spacing. However, the bottom margin is larger than the top margin by ten percent of the plate height.
3 | -20 | 1 | The top and bottom margins are initially the same as the average inter-line spacing. However, the top margin is larger than the bottom margin by ten percent of the plate height.


Auto Layout Controls

The general controls for Auto Layout are as follows:


Text Justification

Text justification may be defined according to individual cells.

Left Justify

Center Justify

Right Justify


Line and Cell Number

The Line and Cell Number fields are used to index the layout cells. These fields indicate the currently active cell.


Line and Cell Controls

The Line and Cell controls are used to insert cells both horizontally and vertically. Cells may also be deleted.


Cell Behavior

The remaining edit fields are used to customize the cell behavior.

  • Percent and Absolute Spacing - This is used to set the distance from the bottom of one cell and the top of the next.

  • Relative Line Height - When editing a layout has begun, all lines are considered to be at 100% height. The Relative Line Height field is used to set the selected cell to a percentage of this initial height, though in so doing the remaining lines will be changed in height. However, the remaining lines will still be considered to be at 100% height.

  • Absolute Line Height - This specifies the height of the current line. Note that changing this value will affect the relative height value.

  • Percent Cell Spacing - For the current line, this field specifies the spacing between horizontal cells, expressed as a percentage of the cell widths.

  • Percent Kerning - Set the text kerning (space between characters) for the selected cell. This is expressed as a percentage of the normal kerning associated with the given font.


Additional Auto Layout Controls

For reference, the following diagram indicates common elements when editing the layout:

Note that:

  • The plate outline is blue.

  • The four margin marks (crop marks) are green.

  • Control nubs are red, and each line has four of them. Control nubs are located at the right, left, top, and bottom edges of each line.

  • The text alignment indicators are red, with each cell containing one indicator.

  • The cell outlines are blue, with the selected cell denoted by a red frame within the outline.

Keyboard Options:

  • Pressing [Enter] after entering text in the box adds an identical line of cells below the selected cell.

  • Pressing [Shift+Enter] adds an identical cell to the selected line, and resizes the cells to fit the line.

  • Pressing [Tab] shifts the focus into the next adjacent cell in the layout (moving from left to right, top to bottom).

  • Pressing [Shift+Tab] shifts the focus to the previous adjacent cell in the layout (moving from right to left, bottom to top).

  • Pressing the [Up or Down Arrow] on the keyboard move the focus to the cell before (UP), or after (Down) the currently selected cell.

Mouse Controls

  • Holding the [Shift] key when clicking a cell will add a new cells.

  • Shift-clicking either top or bottom control nubs will create a duplicate of the current line.

  • In contrast, the [Control] key will remove cells and lines.

  • Dragging either left- or right-control nubs will adjust the margin for the given line.

  • Holding the [Control] key will adjust left- and right-margins of the line equally.


Braille

The Braille module is used to create accurate, ADA-compliant Braille translations. The resulting Braille may then be rendered by means of either engraving, punching or photo-etching.

Braille cannot be modified using the Auto Kern feature. The Braille fonts are carefully constructed to meet the Federally-mandated ADA standard in the United States, and using any special kerning modes (Wide, Narrow, etc.) will cause the text to be non-standard.

Note: The Braille feature is included with the Braille module.

Setting the Braille Properties


Setting the Braille Properties - SignLab9

Setting the Braille Properties

For selected text, clicking the Braille button will cause text-to-Braille conversion. To configure the type of Braille that will be created, click the setup button to open the Braille Properties dialog.

Braille Properties Dialog

Note: For the type of Braille font that is required, please consult the ADA Machine Configurations that follow this section.

In the Braille Properties dialog, if the required font is not available from the drop-list, then:

  1. Click Browse to open the Font Detective.

  2. In the Font Detective, choose Braille from the Group drop-list.

  3. Choose the required Braille font from the Font drop-list.

  4. Click the Select button.

  • Grade 1 Braille - Does not use contractions

  • Grade 2 Braille - Uses contractions, where there are 23 words that are each substituted with a single letter. For example, the word "but" is contracted to 'b', the word "can" to 'c', and so on.

  • Language drop-list - Set the localization according to your job specifications.

  • ADA options - Per Braille standard, these checkboxes MUST be enabled, and they are shown here as confirmation that they are in effect.

ADA Machine Configurations

The following are common ADA Braille creation techniques.

ADA Raised Dot Cutting

ADA Braille Punch Method

ADA Braille Photo-Resist

ADA Braille Pre-Bled Photo-Resist


Braille Engrave

ADA Raised Dot Cutting

This is a Braille Engrave method intended for use with a router or engraver. Characters consist of uniform rectangles that are hollowed out to leave only the dots that distinguish the Braille characters. Use the brilbox.vef font when engraving Braille.

Note: Engraving both Braille and regular text in the same engraving job is not supported. As an alternative, engrave the Braille as a single job, and then engrave the regular text as a follow-up job.

The following steps summarize how to configure a driver to engrave Braille.

  1. Under the Cut menu, choose the Plotting Defaults option.

  2. The Plot dialog will open.

  3. Set the Selected Driver. For this example, the Vision 1624 driver was used.

  4. From the Tool drop-list, the available choices will vary according to the machine model. As such, if a "Braille" or "Raster Braille" option is available, then it should be selected.

  5. In the Options section, verify that the Output Tool Paths checkbox is OFF (i.e., clear).

  6. Click the Tool Options button to display machine settings that can be set within the driver (The available controls will vary according to the Selected Driver).

    7. Set the Tool Options controls as required.

    8. Click OK to close the Tool Options dialog.

    9. Back in the Plot dialog, click the Apply button.


Braille Punch

ADA Braille Punch Method

The ADA Braille Punch Method uses a mechanical punch, where the Braille lettering is punched onto the underside of a plastic sheet. The Braille will then be readable on the topside of the plastic sheet. When the Braille is punched, the lettering is automatically mirrored, such that the topside of the plastic sheet will be readable. Use the brpunch.vef font when punching fonts.

The following steps summarize how to configure a driver to punch Braille.

  1. From the Cut menu, choose the Plotting Defaults option.

  2. The Plot dialog will open.

  3. In the Plot dialog, set the Selected Driver. For this example, the Dahlgren CASdirect 1.0/300Z driver was used.

  4. From the Tool drop-down list, verify that the "Braille Punch" option is active.

  5. Click the Tool Options button to display machine settings that can be set within the driver (The available controls will vary according to the Selected Driver).

  6. In the Tool section, click the Braille Punch option.

  7. Set the Tool Options controls as required.

  8. Click OK to close the Tool Options dialog.

  9. Back in the Plot dialog, click the Apply button.


Braille Photo-Resist

ADA Braille Photo-Resist

The Braille Photo-Resist method is designed for printing onto a transparency. The transparency may then be used as a mask to expose photo-sensitive material to ultraviolet light, thereby constructing the dots that compose the Braille lettering. Use the brilpho.vef font for designing a transparency mask.


Braille Pre-Bled Photo-Resist

ADA Braille Pre-Bled Photo-Resist

The Braille Photo-Resist method may in some cases produce dots that are larger than the acceptable standard for Braille lettering. The Braille Pre-Bled Photo-Resist method corrects this problem by resizing the brilpho.vef font to compensate for dot sizes that are too large. In this case, use the brilpho1.vef font for designing a transparency mask.


Font Editing

Torchmate can modify existing fonts, or create new ones from scanned, digitized, or hand-drawn objects on-screen. Regardless of whether the font is new or edited, it will always be saved in .VEF format, even if the original font had been stored in another format, such as True Type (TTY) or Postscript (PFB).

Any workspace object can be converted into a font character. However, the object must be a single-path graphic. Imported or grouped objects must be welded and/or converted to a single path prior to creating a font version from those objects.

To import objects that have multiple paths, use the Make Path command to convert them into a single path. The Text To Graphics command must also be applied.

There are two functions that the Font Editor performs. The first is the editing of existing fonts. The second is when a font is being created from scratch. In either case, the resulting font will be stored in a .VEF format. If the font was originally in .VEF format, then be aware that saving the font in its original name will overwrite the original font.

When editing fonts, it is important to understand how the placement of individual letters is accomplished. As a rule, each character’s font metrics include two general types of information: (a) the shape and size of the character itself, and (b) its placement in relation to the other characters in the font.

The area that a character occupies can be thought of as being an enclosed box. The box is considered to have an x-axis, a y-axis, and an origin in the lower-left corner.

Such placement information is necessary to help arrange adjoining letters correctly, while also considering any possible descenders. The three primary adjustments are (i) the white space after the character, (ii) the character backspace, and (iii) the offset from the baseline.

  1. The white space after the character adjusts the right (or trailing) side of the bounding box

  2. The character backspace shifts the beginning of the character in relation to the left side of the bounding box

  3. The offset from baseline shifts the character above or below the bottom of the bounding box


Create / Edit Font Dialog

Choosing Edit Font from the Edit menu will open the Create / Edit Font dialog.

When editing a font, there are two broad classes of adjustment.

  • Global adjustments are applied to all of the characters in a given font.

  • Character adjustments are specific to a single character within the font.

  1. To create a new font, click the Create button.

  2. Enter the name of the new font in the Create New Font dialog.

  3. Click OK, and you will be queried to save the font.

Note: As a precaution with .VEF fonts, use a Font Name that is different from the original font. Otherwise, the original font data will be overwritten.

Global Attributes

Character Attributes

Character Backspace

Apply Changes

Display Box

Auto Kern

Save Font

Save Font As

OK


Global Attributes

Adjustments to the Global Attributes are used to define the general appearance of a font. These adjustments will be applied to all the characters within the font.

Font Height

The Font Height defines the actual height of the font as it was created. When creating a new font, the height of a reference letter should be entered, so that the remaining characters can be sized correctly.

For example, suppose that an uppercase 'M' were chosen as the reference letter (this is a typical choice). For the Height field, you would measure the height of the 'M'.

It is very important to assign an appropriate height to a font being created. The height of a font is often based on the height of an uppercase M or H. The precise letter height will be used when creating a block-style font, whereas script fonts may require a more creative estimate of height. In the following example, notice how the script character is slightly taller than the non-script character.

Interspace

We mentioned previously that characters are considered to be within an enclosed box. Interspace is the nominal amount of trailing white space that will provide a gap between the following letter. By modifying the Interspace, fonts can be given either a wide or narrow kerning, such that the characters appear either closer or further apart. For example, using a negative interspace value will create a condensed font.

Use Bottom of Sign Blank as Baseline

The space occupied by a given character has been described earlier as an enclosed box, and the bottom of this box is considered to be the baseline of the character. This baseline will determine the vertical position of the characters. When creating a new font, the vertical position of each character is defined in relation to the baseline. To vertically position the characters, either:

  • Manually adjust each of the characters using the Offset from Baseline (described later), or

  • Use the Use Bottom of Sign Blank As Baseline option.

For the second option, use the Align feature to arrange the characters along the bottom of the sign blank. Then return to the Create / Edit Font dialog and enable the Use Bottom of Sign Blank as Baseline option. Torchmate will automatically perform the calculations, such that all the characters will be placed along a consistent baseline.

Monospace Font

The Monospace Font option converts the font to a fixed-width font, in which each character occupies the same amount of horizontal space regardless of its width — for example, the character 'i' taking as much width as an 'm'.

Stretch

The Stretch Font dialog is used to adjust the ratio between the font height and width, expressed as a percentage. A value less than 100 produces a font that is both short and wide, whereas a value greater than 100 produces a font that is both narrow and tall.

Slant

The Slant Font dialog is used to specify the slant degree for the font characters. A positive slant will create an Italic font, whereas a negative slant will create a "backhand" appearance.


Character Attributes

Letter

This box is used to specify the character currently being operated upon. The edit box displays the actual character.

Code Value

For computers to recognize text characters, a numeric code value called the ANSI standard is used. This is a widely accepted standard that ensures that text data will be understandable between different models of computers. For a given font, there are 255 characters in the ANSI character set, which encompasses upper-case letters, lower-case letters, numbers, and (sometimes) special symbols.

Because some of these ANSI values are intended for communication protocols between devices, not all of the characters will be printable. For example, the first 31 characters are reserved for special command sequences that would be recognizable by a modem or printer, but which have no significance for our purposes of editing a font. However, it is sufficient to use the characters that are allocated to create normal, printable characters.

The following table indicates some sample values:

ANSI Code Value | Which we know as: | CASHEWB Font | EMBASSY Font
65 | The letter 'A' |  |
66 | The letter 'B' |  |
67 | The letter 'C' |  |
97 | The letter 'a' |  |
98 | The letter 'b' |  |
99 | The letter 'c' |  |
48 | The number '0' |  |
49 | The number '1' |  |
50 | The number '2' |  |
51 | The number '3' |  |

White Space After Character

This field is used to adjust the width of a character bounding box. In effect, this will increase the separation from the following character. Though this is similar to Interspace, keep in mind that this setting is applied on a per character basis, whereas Interspace is used to adjust the overall kerning of the font characters.


Character Backspace

Character Backspace is used to move the character with respect to its bounding box origin. In effect, this will place the character either further away, or closer to, the preceding character.

Offset from Baseline

The Offset From Baseline adjusts the vertical character placement with respect to the baseline.

For example, an uppercase H in a sans serif font will generally have an offset of 0 (no offset). This means that the bottom of the actual letter will be the same as the bottom of the letter’s bounding box.

On the other hand, a lowercase 'g' will require a negative offset, so that its descender (the tail) will fall below the baseline.

Select Previous and Select Next Buttons

Font characters can be designed on the Torchmate workspace and then added to a new font. Torchmate orders workspace objects according to the sequence in which they were created. Using the Select Previous and Select Next buttons, you may browse workspace objects without leaving the Create / Edit Font dialog. When the correct object is selected, click the Apply Changes button to create the character.

For example, suppose that you have created a new alphabet, such that you have objects for "A B C D E F..." etc. on the workspace. From the Create / Edit Font dialog, you would set the Code Value to 65, and then you would use the Select Next button to select the 'A' object on the workspace. At this point, clicking Apply Changes would create the new character. Then, you could increment the Code Value to 66, click the Select Next button to select the 'B' object, and click Apply Changes again. This process would be repeated for each character that you create for the font.

Define Character as Selected Object

When editing a font, select an object to be included in the font as a character. To designate a selected object as the current character, check this box.

Define Character as Space

There is also a non-printing character that is often forgotten, but which must be present in a font: the space character. Without the space character, which appears when the space bar is pressed, there will be no spaces between the words created when composing text, so it is critical that a space character be included when generating a font.

There are two ways to create the space character:

  1. To use an existing character, select a character that best represents an appropriate space, and enable the Define Character As Space option.

  2. To create the space character using an object, exit the Create / Edit Font dialog and create an object that has an area that is appropriate for the font. Once the object is selected, open the Create / Edit Font dialog and enable the Define Character As Space option.


Apply Changes

Clicking Apply Changes will save the character information and begin editing another character. Note that the changes are not saved to disk until the font is saved using the Save Font or Save Font As button.


Display Box

This box displays the current information for the character being edited. It also displays the bounding box for the selected character (including a top line representing the font height) and the character’s current placement within the box. When changes are made to the character, those changes are immediately reflected in the display box, but those changes are not permanent until the Save Font button is clicked.

The Display Box will display kerning pairs, as well as words where necessary.

Kerning Pair Adjustment

The Torchmate font maker provides the ability to adjust individual kerning pairs manually.

Kern Letter

The Kern Letter field indicates the character to be manually kerned in the trailing position, relative to the character currently being edited. The letter pair will then be displayed in the Display Box.

Distance From Start Of Letter to Start Of Kern Letter

Adjust the kerning white space between the current character and the kerning letter.

Specifically, this setting identifies the exact distance between the start points of the two characters. A larger number increases the space while a smaller figure reduces the space.

This setting is grayed out and unavailable unless a kern letter is selected to be paired with the current character.

Display Word

To examine the kerning set for a given letter in a realistic context, type a word containing the letter in the Display Word box. The word will be displayed in the Display Box.

Note: In order for the word to appear in the display box, it must contain the character currently being edited.


Auto Kern

This button opens the Auto Kern dialog box.

Auto Kern is used to automatically generate a kerning table for a given font. Kerning tables contain information about the spacing between pairs of characters.

Why Use Auto Kern?

The Auto Kern feature is similar to the Text On-Screen Kerning feature that is available from the Text Tools flyout. Once kerning information is created for a font, Torchmate will simply duplicate the kerning table already defined.

Due to the time required to generate a kerning table on-the-fly, the main advantage of using Auto Kern at the font generation stage is that Torchmate generates paragraphs of text very quickly when entered in Text Compose, since Auto Kern will not be used at that stage.

There are four settings that can be adjusted in order to generate a custom kerning table for a font.

1st Character

By definition, a kerning pair has a first (or leading) character and a second (or trailing) character. Use the two entry boxes to specify the range of characters (from first to last) to be set to Auto Kern in the first position. By default, Torchmate will kern all 255 ANSI characters in the leading position.

2nd Character

Use these two entry boxes to specify the range of characters to be set to Auto Kern in the second position. By default, Torchmate will Auto Kern all 255 ANSI characters in the trailing position.

Accuracy Vs. Speed

Auto Kern works by checking and adjusting the distances between a number of points along the height of letter pairs. From the Accurate versus Speed drop-list, there is a choice between Accurate and Fast, that provides the ability to draw a balance between speed and precision.

Using Fast will speed the kerning process by examining only a limited number of points.

Using Accurate will result in kerning based on the examination of substantially more points.

Style

Auto Kern can generate a font with one of five different kerning styles — Normal, Wide, Narrow, Touching, and Overlap.

  • The Normal setting kerns the font normally, adding white space roughly in proportion to the width of the letter.

  • The Wide setting kerns fonts at a rate of Normal kerning plus 20% (i.e., there is 20% more white space added between each letter).

  • The Narrow option sets kerning at Normal kerning minus 20%.

  • The Touching setting causes letters to touch, but not overlap.

  • The Overlap setting causes letters to overlap each other by 5% of their Normal kerning.


Save Font

When editing a font, the new information is not written to the hard drive until actually told to save the font. Until then, the font is buffered. A buffered font is somewhat in limbo — it exists and is available to Text Compose, but it has not been committed to the hard drive. This means that the option is still available to save or discard changes to the font before exiting the CADlink application.

Saving a font means moving the information out of the buffer to the hard disk, thus making it permanently available. Any font saved is placed in the directory where the existing .VEF fonts are currently located. The Save Font button will result in the font being written to disk immediately. The alternative is that, when exiting the application, you will be prompted to save the font.


Save Font As

The function of this button is very similar to the Save As command in the File menu. Specifically, it provides the opportunity to give an edited font a new name, and then save the font under a new name. This is particularly useful when creating a new font by editing an existing font, since it allows to save the changes under a new name without losing the original font information.


OK

Clicking OK will accept the current font changes and close the Create / Edit Font dialog. It will not save the font or changes to individual characters, but will commit them to memory so that they can be saved later.

Font changes may be saved by:

  • Using the Save Font button in the Create / Edit Font dialog

  • Using the New command under the File menu, or

  • Exiting the CADlink application.

By not saving, font changes will be discarded when exiting the application.


Importing_and_Exporting

Use the following sections to provide you with guidelines for bringing images and designs onto the workspace. A wide variety of file types are supported, though per the notes within the Importing Files section, be aware that design files can vary according to the type and age of the application that was used to generate that file.

The choice of file format determines the type of data that can be contained within that file. As some examples, a bitmap file contains image data, a plotter file would contain vector data, and certain file formats can contain both image and vector data.

Importing Files

Exporting Files

Scanning Images and Line Art


Importing_Files

File menu >> Import

  • When importing with the Merge option checked, the imported file will be added to the existing workspace objects.

  • If the Merge option is unchecked, then the existing workspace objects will be deleted.

  • For certain types of files, the Customize button will become active in order to specify certain parameters for the given file type. For example, if the Files of type drop-list is set to Bitmap Files (*.bmp), then the foreground and background of monochrome bitmaps can be set.

  • The Filter button is used to customize the file types that are listed within the Files of type drop-list.

After a file has been chosen for importing, one-or-more further import options dialogs will query how elements of the given file should be imported. The import options will vary according to the type of file being imported.

For file types that contain embedded color profiles, the Embedded Profile dialog will provide options for how to retain consistent color space information across the Torchmate workspace.

CADlink Formats

CADlink (CDL) Files

CADlink Backup (BAK) Files

Formats for Images

Bitmap (BMP) Files

JPEG Files

TIFF Files

Adobe PhotoShop (PSD) Files

Formats for line art and/or images

Adobe PDF Files

Adobe Illustrator (Ai) Files

Adobe Encapsulated PostScript (EPS) Files

AutoCAD (DXF) Files

CorelDraw (CDR) Files

Scalable Vector Graphics (SVG) Files


CADlink_CDL_Files

CADlink (CDL) Files

The CADlink Drawing File (CDL) is the standard file format when saving the workspace via File menu >> Save. Normally, one would use File menu >> Open to open a CDL file, though Import can be used to merge a CDL file with the current workspace.

There is backwards compatibility built into CDL files, such that you can outsource your design to another shop that has an older version than your software. This backwards compatibility is available for CADlink versions e6.1 and above. This backwards compatibility is also available for version e6.0 CADlink files, though users should contact CADlink Tech Support concerning this.

Note: There are technical limitations that inhibit a version 5.0 user from opening a CDL file from a newer version of CADlink product. However, consider using an alternative file format in this case, such as either Ai or EPS.

Open and Zoom Open

When the File menu >> Open command is used, the workspace will zoom to the loaded objects. The File menu >> Zoom Open command is similar to the Open command, except that the zoom level will alternate between 1) the current zoom level, and 2) zooming to the loaded objects. As such, Zoom Open should be considered to be a special purpose variant of the Open command.


CADlink_Backup_BAK_Files

CADlink Backup (BAK) Files

When a CDL file is saved, the previous CDL data will be overwritten. However, if CADlink Backup Files (BAK) are enabled, the previous CDL data will be automatically renamed as a BAK file.

To enable the creation of BAK files, choose Options menu >> Automatic Save, and tick the "Create backup files when saving" checkbox.

To restore a BAK file, use Windows Explorer to rename the file extension from BAK to CDL. Then the CDL file can be opened like a regular CDL file.


Bitmap_BMP_Files

Bitmap (BMP) Files

Note: Refer to the Image menu >> Image Size command for more information about image size and resolution.

The Bitmap File (BMP) is a standard image format under Microsoft Windows. When sharing design files, the BMP format is sometimes preferred because it does not use compression to reduce the file size. Consequently, high-resolution BMP files can be relatively large in comparison to JPEG files.

Windows defines four types of bitmap: RGB, Grayscale, Indexed Color, and Monochrome. To change the type of bitmap, use the Image menu >> Mode flyout.

  • Under Windows, the RGB type has the highest color depth, and is often referred to as a full-color bitmap (or sometimes a 24-bit bitmap).

  • Converting a bitmap to Grayscale will discard all the color information within the image. Converting to grayscale is a common activity when tracing an image into cut paths, or when preparing an image for laser engraving.

  • To reduce file size, bitmaps are sometimes saved as Indexed Color bitmaps, which can appear more granular because the total number of colors are limited to either 256 or 16 colors. As such, indexed color bitmap are not commonly used with high-resolution images, unless a particular effect is desired.

  • For Monochrome bitmaps, note that Windows defines a monochrome bitmap as a two-color image, where white is the default background color, and black is the default foreground color. However, these defaults can be modified via Options menu >> Torchmate Setup >> Import Bitmap Setup.


JPEG_Files

Note: Refer to the Image menu >> Image Size command for more information about image size and resolution.

The JPEG File (JPG) is a common image format because it tends to retain high quality with a relatively small file size. However, the amount of compression can be set when creating a JPEG file, where high compression causes the image quality to noticeably degrade (i.e., lossy compression). It is recommended that highest quality (i.e., lowest compression) be used when creating a JPEG file.

Due to the lossy compression algorithm, JPEG files are sufficient for sharing how the design looks, though the JPEG is typically not used when designers are sharing files. Instead, designers should either share the design in its original file format, or use a file format that is not lossy (e.g., BMP or TIFF files).

When customers submit a JPEG file for use in a design, the image can be poor because the customer did not understand how to set the JPEG quality. In such a case, the lossy compression typically manifests along the image edges as an off-white contour. This can be corrected manually using the Transform menu >> Contour Object command. Either adjust the Monochrome filter to account for the off-white, or set a small negative Offset amount.


TIFF_Files

Note: Refer to the Image menu >> Image Size command for more information about image size and resolution.

The Tag Image File Format (TIFF) is a standard image format for exchanging high-resolution color images. There is optional image compression that can be used to reduce the file size, and the file can be saved for compatibility with IBM PC or Macintosh systems.

The TIFF standard has been well-supported since 1986, so there likely won’t be an issue when receiving TIFFs from a customer. However, if a received TIFF does not appear to be importing correctly, ask the customer about: 1) the operating system that originated the file, 2) the application that generated the file, 3) what compression was applied to the file, and 4) whether the file was saved for Windows or Mac OSX. Knowing these details should help resolve TIFF import issues.


Adobe_PhotoShop_PSD_Files

Adobe PhotoShop (PSD) Files

The Adobe PhotoShop File (PSD) is the standard save file for Adobe PhotoShop.

Transparent Threshold Dialog

The Transparent Threshold dialog will query for a unique color value that will be used to designate imported transparency information. The ability to set this value is a precaution against situations where there are multiple, overlapping images that have transparencies. In the majority of cases, accepting the default setting of 127 is fine.


Adobe_PDF_Files

The Adobe Portable Document Format File (PDF) is an increasingly common file format that is created with Adobe Acrobat, which can be viewed using Adobe Acrobat Reader (a.k.a., Adobe Reader). Increasingly, other Adobe products are provided with PDF export capability, and third-party applications are able to export/publish/save PDF files. There are also third-party PDF generators that can be used to create a PDF files.

When receiving a PDF file from a customer, it is usually good to know: 1) the application that generated the file, 2) what software tool was used to generate the PDF file. Note that the graphic objects within a PDF file can vary according to the PDF generation tool. For example, a shape that has a gradient fill can be saved as a clipping path on a thousand 1-pixel thick rectangles of varying hues.

If possible, it is recommended that fonts be embedded when creating the PDF file. This will help to avoid inadvertent font (i.e., typeface) substitutions, and it will provide greater ease should some of the text require editing.

When importing a PDF file, the PDF Import Options dialog will provides the following import options:

  • Import Text As Graphics - It is recommended that this option be OFF to preserve the original font information.

  • Use Alternate Font Location - This option is used where a Font Folder was created that contains the fonts used in the PDF file. By default, it is expected that this folder is named "Fonts" and is in the same directory as the PDF file being imported. Alternatively, click the Browse button to specify the location of the Font Folder.

  • Allow Subfonts - A subfont is merely a subset of the original font information that is restricted to only the characters used in the saved PDF file. If this option is enabled, then any embedded fonts will be used. Otherwise, the alternate font location will be searched, followed by a search of the locally installed fonts. If the font information is not found, then a substitute font will be required.

  • Import Pages - For multiple-page PDFs, indicate which pages to import. After the pages are imported, the Paging Tool can be used to browse each page.

  • Do Not Show This Dialog - If you choose to hide this dialog, then note that hidden dialogs can be reset from the General Preferences dialog.

Click OK to close the PDF Import Options dialog. If any font information is not found, then a further font replacement dialog will prompt to select or find a replacement font.


Adobe_Illustrator_AI_Files

Adobe Illustrator (Ai) Files

The Adobe Illustrator File (Ai) is the standard save file for Adobe Illustrator. However, be aware that some third-party graphic software applications can also export their design files in Ai format. When receiving an Ai file from a customer, it is usually good to know: 1) the application that generated the file, and 2) what version of Ai the file was saved as. Knowing the origin and version of an Ai file can help you to resolve unexpected import issues.

Illustrator version 8 files and lower can sometimes be referred to as "Legacy Ai" version. After Adobe Illustrator 8, it is considered that the Ai file format is essentially that of a PDF file. This evolution in file format helps to reduce the complexity of save files, though this can be an area of difficulty when transferring Ai files between applications. However, keep in mind that some applications provide options for choosing the version of Ai file to save.


Adobe_EPS_Files

Adobe Encapsulated PostScript (EPS) Files

The Adobe Encapsulated PostScript File (EPS) is a commonly used save file that can be exported from a multitude of third-party graphic software applications. As such, there can be considerable variation in how the EPS data is saved. An EPS file is sometimes referred to as being equivalent to a particular release version of Adobe Illustrator (e.g., Illustrator 8 versus Illustrator CS), though sometimes older EPS versions are referred to as "Legacy EPS" versions.

When receiving an EPS file from a customer, it is usually good to know: 1) the application that generated the file, and 2) what version of EPS the file was saved as. Knowing the origin and version of an EPS file can help you to resolve unexpected import issues.

If possible, it is recommended that fonts be embedded when creating the EPS file. This will help to avoid inadvertent font (i.e., typeface) substitutions, and it will provide greater ease should some of the text require editing.

When importing the EPS file, the EPS Options dialog will provide three options:

  • Use PDF import filter – (Recommended) Use this option for EPS files created by recent versions of Adobe products.

  • Convert EPS to bitmap – Use this option to create a bitmap image of the EPS file contents, rather than import the assorted shapes within the file.

  • Use EPS import filter – Use this option for older EPS files, or where it appears the EPS file has been saved as a "legacy" version.


AutoCAD_DXF_Files

To import AutoCAD files into Torchmate, it is recommended that the AutoCAD DXF file format be used. Consider using the following settings in the DXF Import Options dialog:

  • Import objects as = Polygons (If Polyarcs is set, then it is necessary to set the Circle options according to how polyarcs are defined in the originating design application.)

  • DXF layer color options = Use layer color with override

  • Use DXF layer names to create = sheet layers

  • Scale options = units used when designing the DXF parts

Closing Shapes Within a DXF File

When a DXF file is created, LINE and ARC objects may not form closed shapes as expected. Open shapes are inadvertently created in the way they are drawn, such as the drawing order of vectors, the direction of vectors, gaps between vectors, and the position of duplicate objects.

  • Tick the Close shapes checkbox to perform two checks for open shapes. Shapes will be identified according to the order and direction of discrete line arcs and polylines.

  • In the first check for open shapes, the Gap Tolerance 1st pass amount will be used. This amount should be relatively small (0.001 to 0.003).

  • In the second check for open shapes, the Gap Tolerance 2nd pass amount will be used. This amount should be relatively large (0.003 to 0.010). However, setting a value that is too large can cause imported shapes to be deleted.

  • Tick the Remove duplicates checkbox to remove duplicate shapes in the file. A duplicate is a redundant shape that is sitting at precisely the same coordinates as its original.


CorelDraw_CDR_Files

CorelDraw (CDR) Files

Importing CorelDraw Files (CDR) is not supported. Instead, save the CorelDraw design in a common file format like EPS/Ai/PDF formats, and then use File menu >> Import to load the design into Torchmate.

C) Use the Application Launcher "CorelDraw to Torchmate" command

Generally for CorelDraw 5 and later, the Application Launcher >> CorelDraw to Torchmate command can be used to copy your CorelDraw design to the Torchmate workspace. The following steps demonstrate a typical sequence:

  1. On the CorelDraw workspace, select the shapes that will be transferred.

  2. From the Standard toolbar, click the Application Launcher (shaped like a small rocket).

  3. From the drop-list, choose CorelDraw to Torchmate.

  4. The view will switch to Torchmate.

  5. Click on the Torchmate workspace to place the shapes.


Scaleable Vector Graphics (SVG) Files

Scalable Vector Graphics (SVG) Files

Scalable Vector Graphics (SVG) files are a form of XML data that is used to describe vector, images and/or text data. Originally proposed by the World Wide Web Consortium (W3C) in 1999, the intent of SVG was to provide a lightweight, web-optimized alternative to PostScript. At the time, PostScript had a disadvantage when describing scalable text and vectors because the resulting file size would be significantly larger than a comparable non-scalable file. Of the alternative file formats proposed as solutions to the PostScript file size issue, the Scalable Vector Graphics (SVG) format has become the accepted solution.


Exporting_Files

Note: For comments about common file types, see the Importing Files section.

To send a design to another user that has the same version of your product, it should be sufficient to save (File menu >> Save) the design in CDL format. The Importing Files section has more information about the CDL file format.

Alternatively, there are three methods of exporting:

  • File menu >> Export - Use this method to save in file formats that store both images and cut paths (i.e., EPS files, Ai files, etc.), or that support only cut paths (i.e., DXF files).

  • File menu >> Export Image - Use this method to save in file formats that support only images (e.g., BMP files, JPEG files, TIFF files, etc.). The Export Image dialog will prompt for the Color Depth and Resolution at which the image will be exported.

  • File menu >> Publish to PDF - Use this method to save the workspace as a PDF file that can be sent as a proof to the customer.

Minimizing Object Nodes when Exporting

In the lower-left corner of the Export dialog is the Customize button, which can be clicked to open the Parameter Specification dialog. The available controls on this dialog vary according to the file type, though generally this dialog is used to specify the export error tolerance.

As a rule, the default error tolerance (0.001 or 1/1,000 of an inch) will work well with most files to reduce the number of exported object nodes. However, if the default values are insufficient, then a caution is urged against setting a high error tolerance.


Scanning Images and Line Art

Under the File menu, the Acquire Image commands are used to import artwork from a scanner device, such as a common desktop scanner.

  • Select Source - Choose the scanner device that will be used.

  • Acquire - Begin reading from the scanner. This will produce a bitmap image.

  • Acquire Vector - Begin reading from the scanner. This will produce line art that is automatically traced from the scanned bitmap image.

  • Scan and Trace Wizard - Follow this wizard to scan and set options for tracing the image. In addition to receiving input from a scanner, the input image can also be either an image file, or the current image on the Windows clipboard.

Note: To function properly, the scanner control software must be properly installed within Windows, and must be TWAIN-compliant.

Scan an Image from a Desktop Scanner

Scan Line Art from a Desktop Scanner

Scan Line Art using the Scan and Trace Wizard

Explanation of the Wizard Trace Settings

Manually Trace a Scanned Image


Scan an Image from a Desktop Scanner

The scanner platen should be cleaned with a suitable cleaner before proceeding, so as to remove dust, finger prints, and other artifacts that can interfere with the image quality.

  1. Under the File menu, click Acquire Image >> Select Source and choose the scanner that will be used for input.

  2. Under the File menu, click Acquire Image >> Acquire to begin the scanning process. The scanner software that was provided with your scanner will now activate.

  3. Use the scanner software settings to determine the quality, color depth, and resolution of the image that will be produced.

  4. Crop the image as necessary to minimize the area being scanned, so as to reduce the amount of image data that is required. At high resolutions, larger images will require more processing time by the software.

  5. Once the scanning software settings are ready, proceed with the scan, and the image will be imported onto the workspace.


Scan Line Art from a Desktop Scanner

The scanner platen should be cleaned with a suitable cleaner before proceeding, so as to remove dust, finger prints, and other artifacts that can interfere with the image quality.

  1. Under the File menu, click Acquire Image >> Select Source and choose the scanner that will be used for input.

  2. Under the File menu, click Acquire Image >> Acquire Vector to begin the scanning process. The scanner software that was provided with your scanner will now activate.

  3. Use the scanner software settings to determine the quality, color depth, and resolution of the image that will be produced.

Tip: When scanning small, low-quality artwork that will be converted into line art, it is recommended that the image be scanned at a low resolution and then scaled much larger than the original artwork size. The low resolution will help to ignore any imperfections in the artwork, and the scanner software can often produce more effective results when scaling by 1000% or 2000%.

  4. Crop the image as necessary to minimize the area being scanned, so as to reduce the amount of image data that is required. At high resolutions, larger images will require more processing time by the software.

  5. Once the scanning software settings are ready, proceed with the scan, and the image will be imported onto the workspace and automatically traced into line art pieces.

  6. The resulting pieces of line art will be grouped. The Ungroup command can be used to separate the line art. Alternatively, double-clicking the group will activate the Group Viewer, which allows examination of individual line art.

Note: Use the Make Path command (Arrange menu) to create a single object from the various line art.


Scan Line Art using the Scan and Trace Wizard

The scanner platen should be cleaned with a suitable cleaner before proceeding, so as to remove dust, finger prints, and other artifacts that can interfere with the image quality.

  1. Under the File menu, click Acquire Image >> Select Source and choose the scanner that will be used for input.

  2. Under the File menu, click Acquire Image >> Scan and Trace Wizard to begin the scanning wizard. Follow this wizard to scan and set options for tracing the image. In addition to receiving input from a scanner, the input image can also be either an image file, or the current image on the Windows clipboard.

  3. Click Next to proceed through each page of the wizard. The sequence of pages will depend upon your specific input choices.

  4. Once the image has been loaded, the Preview Image page will summarize the image details.

  5. On the Preview Image page, there is a slider beside the Color depth that can be used to adjust the number of colors. Depending on the image, it may be preferable to reduce the color depth in order to improve the tracing results.

  6. Click Next to proceed to the Trace Settings page. These settings determine the quality of line art that will be traced from the image.

  7. The Current Settings drop-list provides several preset trace settings. The names indicate the type of detail that should be traced from the image. For example, the “complex with detail” settings should be used with an image that has many corners and short contours, whereas the “long lines and curves” setting should be used with images that are composed of long arcs.

Note: These preset trace settings can be edited in the AccuScan editing mode. Please refer to the AccuScan Bitmap Vectorization section in the Working with Images chapter.

  8. The following figure summarizes how the various trace settings are typically set. Please refer to the next section for an explanation of these settings.

  9. Click Next to accept the trace settings and proceed with the remainder of the wizard. After the image has been traced, you have the option of discarding the trace results and returning to step (8) to adjust the trace settings.


Explanation of the Wizard Trace Settings

This section explains the Trace Settings that are presented during the Scan and Trace Wizard.

Current Settings

The Current Settings drop-list provides several preset trace settings. The names are indicative of the type of detail that should be traced from the image. For example, the “complex with detail” setting should be used with an image that has many corners and short contours, whereas the “long lines and curves” setting should be used with images that are composed of long arcs.

To save custom Trace Settings, type a new name and click the Save button.

Line Fit Tolerance

The Line Fit Tolerance determines how close the tracing will occur along the edges of the artwork. A high tolerance will create more nodes than a low tolerance.

  • If the artwork contains many flaws that will require node editing, then choose a low tolerance (1) to minimize the nodes that will be placed around such flaws.

  • For high quality artwork, a high tolerance of 9 or 10 is useful because there is confidence that the artwork is relatively flawless.

Line Cornering

The Line Cornering modifies corner recognition. In other words, this setting is used to help distinguish parts of the image that represent a corner, versus parts that represent a tight curve.

  • For angular images that are composed mostly of sharp corners, use a high setting (7 or greater).

  • For images that are composed mostly of curves, use a low setting (3 or less).

  • For images that have a mixture of curves and sharp corners, use a moderate setting (4 to 6).

Speckle Filter Factor

Images that are generated using a scanner can often contain undesirable speckles, which are typically caused by a scratched or dirty scanner bed. To ignore these imperfections, the Speckle Filter may be applied as part of the trace. However, be cautious of using a high setting, since small details could potentially be mistaken for speckles.

Speckles are recognized in terms of a percentage of the overall image size. During the trace, only imperfections that are larger than this percentage value will be ignored.

Snap Line Degree

When using a scanner to create an image, the original document may not be perfectly aligned on the scanner bed. As a result, lines that were intended to be precisely horizontal or vertical will be slightly incorrect.

The Snap long lines to vertical/horizontal setting can compensate for misalignment of the original document. For example, a setting of 5 degrees will correct lines that are "off" by that amount. If the Degrees cannot be set high enough, then the document should be scanned again, or the image can be rotated on the workspace.

Small Shape Accuracy

The effectiveness of the Line Fit Tolerance can depend upon the relative size of the image versus the component objects that make up the image. For example, a small object may be considered as dirt when the bitmap is large. However, the same object will be more significant when the image is small.

To use Small Shape Accuracy, assess the size ratio between the largest bitmap objects versus the smallest. When the ratio appears large, set the accuracy to high (7-10). Where objects are similar in size, set the accuracy to low (Off-3).

Overlay

If the Overlay option is OFF, then traditional tracing of the image will be performed. This will cause each object to be identified as an independent part of the image.

Given this bitmap... | ...the Traditional style would yield these objects.

If the Overlay option is ON, then a mask will be created for each color object in the image. This has the benefit of producing simpler shapes, and eliminating overlap between shapes.

Given this bitmap... | ...the Overlay style would also yield these objects.


Manually Trace a Scanned Image

If the Acquire Image >> Acquire command has been used to scan an image, then the AccuScan tools can be used to create a line art tracing of the image contours. The benefit of using the AccuScan tools is that the image colors can be quickly merged to reduce the tonal complexity, such that better tracing results are obtained.

For a specific tracing example using AccuScan, please refer to Vectorizing Images into Line Art.


Palettes, Strokes and Fills

Working with the Color Palettes

Shop Palette

Sheet Layer Palette

Job Palette

Line Style Tool


Working with the Color Palettes

The basic color palette is the Shop palette, which lists the color plates that are available for use on the workspace. The other palettes are designed as an aid for working with spot colors, particularly with respect to foils. By default, color palettes are docked at the edges of the workspace, as indicated in the following screenshot.

Though docked, a palette may be "undocked" by clicking-and-dragging the palette away from its docked position. The palette may then be "floating" over the workspace. Alternatively, double-clicking a palette will toggle its position between docked and undocked.

In addition, it is possible to open stand-alone Manufacturer palettes. Specific color plates may then be dragged from a manufacturer palette and added to the shop palette. In this manner, the Shop palette may be quickly customized to include the most frequently used color plates. Manufacturer palettes are discussed later in this section.


Shop Palette

The default location of the Shop palette is along the bottom of the workspace, and it is commonly referred to as the color palette. The Shop palette contains all the color plates that are currently available for use on the workspace.

Left-clicking a color plate will set the default fill color for new shapes, as well as set the fill color of any currently selected shapes. To change a shape fill color without changing the default fill, color plates may be dragged-and-dropped onto a shape, as per the following steps:

  1. Left-click and drag the color plate away from the shop palette.

  2. As the cursor is moved, it will appear as if a small color plate were being dragged.

  3. Hold the cursor over a workspace shape and release the mouse button.

  4. The shape will now be assigned that color.

The following screenshots demonstrate this drag-and-drop operation:

Click and drag the color | Release mouse button when cursor is over object

Note: When the mouse is released, it is the location of the tip of the cursor that determines where the new color will appear. In the example above, if the tip of the cursor arrow was touching the outer line of the star when the mouse was released, then the line color would change to green rather than the fill color.

Changing the Stroke Color

Right-clicking a color plate will set the default line style color for new shapes, as well as set the line style color of any currently selected shapes. As with fill colors, color plates may be dragged-and-dropped onto the line style of a shape. When holding the color plate over the line style of a shape, the dragged color plate will appear to be hollow. This indicates that releasing the mouse button will change the line style color of the shape.

Dragging color plate. When over the shape line style, the plate appears hollow. | Release the mouse button, and the line style color is changed.

Note: By default, workspace shapes have no line style. For more information, please refer to the Line Style Tool (later in this section).

Changing the Fill Color of Grouped Shapes

Dragging-and-dropping a color plate onto a collection of grouped shapes will set all of the shape fills to that color. However, pressing the [Ctrl] key will allow the color to be dropped onto a single shape within that group.

For grouped shapes, press and hold the [Ctrl] key when dropping the color onto the circle, and only the circle fill will be changed.

Changing the Order of Color Plates

To change the order of the color plates within the Shop palette, a given color may be dragged-and-dropped onto a different location of the palette. The color will be inserted at the new location, and colors to the right of that color will be shifted to the right.

Magenta plate is dragged-and-dropped into new location | Magenta plate is inserted in new location

These basic rules for dragging-and-dropping plates also apply to the other color palettes. Special cases of this functionality will be discussed within the relevant sections.

Modifier Keys and Color Plates

The Invisible Color Layer

The Line/Fill Selector Button

Edit Color Dialog

Shop Palette Context Menu


Modifier Keys and Color Plates

When either left-clicking or right-clicking a color plate, additional functionality is available by holding the [Shift], [Control], or [Alt] keys.

  • Left-click - Set fill color of current object.

  • Right-click - Set line style color of current object

  • [Shift] + Left-click - Include all objects of that fill color in current selection

  • [Control] + Left-click - Disable the color plate. All objects with that fill color will appear as dashed outlines on the workspace.

  • [Alt] + Left-click - Disable all color plates, except for the plate that was clicked.

For example, holding the [Control] key and clicking a palette color will toggle the "active" status of that color plate. Objects that have inactive colors will not be editable.


The Invisible Color Layer

At the far-left of the Shop palette is the Invisible Color Layer, which is used to indicate the absence of color for either an object fill or line style. The Invisible Color may be applied to objects like a regular palette color.

  • When applied as a fill color, the object will be reduced to the sum of its thick line attributes, which is useful for creating cutting paths.

  • When applied as a line style color, the object will effectively have no thick line attribute.

Clear Color Layer

The Clear Color Layer is a special tool used with printed vinyl. Wherever the Clear Color has been assigned, it is expected that the vinyl color will remain visible (i.e., no ink or foil will be printed).


The Line/Fill Selector Button

Note: This behavior can be overridden using the Set Default Color setting.

At the left of the Shop palette is the Line/Fill Selector button, which is used to toggle between Fill mode and Line mode.

  • If the Fill mode is selected, then left-clicking a color plate will set the fill color of a selected shape, whereas right-clicking will set the line style color.

  • If the Line mode is selected, then left-clicking a color plate will set the line style color of a selected shape, whereas right-clicking will set the fill color.

This behavior is summarized in the following table:

Button | Mode | Left-click | Right-click
 | Fill | Set the fill color | Set the line style color
 | Line | Set the line style color | Set the fill color


Edit Color Dialog

The Edit Color dialog is opened by double-clicking a color plate in the Shop Palette.

The main controls of the Edit Color dialog are within the top third of the dialog. These controls are used to indicate the specific color value, its color space (RGB, CMYK, etc.), and how the color should appear on the workspace.

  • On the General tab, controls are used to indicate the type of color (process, spot color, spot foil), and the manufacturer of this color.

Setting the Color Value

Color Space

Color Type

Reflectivity

Color Name

Pen Setting


Setting the Color Value

The color sliders indicate the specific color value according to the Color Space setting (RGB, CMYK, etc.). There are three methods of changing the color value:

  • Adjust the color sliders

  • Choose a color from the color picker

  • Click the Measure button to read a color from a color measurement device.

When the color value is adjusted, it will be previewed next to the current color. The RGB value of the new color is below the preview.


Color Space

The Color Space may be chosen from the drop-list at the top-right corner of the Edit Color dialog. The choice of Color Space will determine the colorants used to define the color.

RGB

Red, Green and Blue (RGB) is commonly used in additive color mixing. For example, a computer monitor is designed to emit red, green and blue (RGB) light, which combines to form the desired color.

CMY

Cyan, Magenta, and Yellow (CMY) is commonly used in subtractive color mixing. This sort of mixing works on the principle that an external light source will be required to view the image, such as an image on a white sheet of paper.

CMYK

Cyan, Magenta, Yellow, and Black (CMYK) is an extension of the CMY model, where it is observed that three equal portions of CMY colorants may be replaced with a single portion of Black (K) colorant.

HLS

The Hue, Lightness and Saturation (HLS) model identifies colors according to the following parameters:

  • Hue is the visual perception of a specific color, such as red, yellow, violet, or yellow-brown.

  • Lightness is the appearance of a color in terms of how white or black it appears.

  • Saturation is the perceived richness of a color in consideration of its intensity. For example, as a color falls under increasing levels of shadow, the color appears darker, even though its saturation remains constant.

LAB

The Lab color space (L*a*b*) is designed to encompass the entire range of colors that can be perceived by the human eye. As such, Lab is both device-independent and is a superset of both CMYK and RGB color spaces. This makes Lab a practical tool for mapping color values in printed output.

Of note, Lab color values are nonlinear in nature, such that they mimic the responsiveness of the human eye. The Lab color parameters are as follows:

  • L* = Lightness (where 0 = black, and 100 = diffuse white)

  • a* = green vs. red/magenta (-ve = green, +ve = red/magenta)

  • b* = blue vs. yellow (-ve = blue, +ve = yellow)


Color Type

The Color Type is set on the General tab. In order to use Color Types effectively, the following printing methods should be understood:

  • The most commonly understood printing method is the process color printing of CMYK inks, where the colors Cyan (C), Magenta (M), Yellow (Y), and Black (K) are combined in varying proportions to produce the hues of a graphic image. The number of inks actually depends upon the type of printer, but the methods are similar.

  • A second printing method is of thermal resin foils, where each hue is represented by a foil cartridge that is loaded into the printer as required. Each foil color is printed in separate passes over the media, and two foils can be combined to create duotones. Like printing with CMYK inks, a thermal printer can also combine CMYK foil cartridges (four separate passes) to produce the hues of a graphic image.

  • A third printing method is of color separations, where each color in the graphic image is printed separately. Typically, a color separation would be prepared for each of the CMYK components of a graphic image, and an additional color separation would be created for each Spot Color in the image. Once all of the color separations have been prepared, they are combined in an offset printing process to recreate the original image.

Having summarized the preceding printing methods, we can now explain how Color Types in the Shop Palette are used:

  • Process Color (P): A hue that is printed by combining CMYK inks. In addition, a Process Color can be printed by a thermal printer using CMYK foils. When printing color separations, a Process Color is included with the CMYK components of the graphic image.

  • Spot Foil (SF): A Spot Foil represents a specific foil color cartridge that is printed using a thermal printing process. Each foil color cartridge is a distinct hue, such as Kelly Green or Sapphire Blue, which are physically loaded into the printer as required. In order to make greater use of a given foil, its Tint value can be varied to create different shades of the color.

  • Spot Color (SC): A Spot Color represents a distinct hue that is used when printing color separations. Each Spot Color represents its own color separation that is defined by its LAB value. For process color printing, the Spot Color will be incorporated into the graphic image using CMYK inks. For thermal resin foils, the Spot Color will be incorporated into the graphic image using CMYK foils.

The main distinction between Process color and Spot Foil printing is that Process colors are created by combining inks, whereas each foil represents a physical cartridge that is loaded into the printer as required. As such, it should be noted that "process white" is the absence of CMYK inks, and "spot foil white" is an actual foil that is applied to the media.


Reflectivity

The Reflectivity can be described as being either Plain, Reflective, or Metallic. This setting is used to describe the type of vinyl that is being cut. Also, some spot colors may be described as being either reflective or metallic.


Color Name

When the cursor is above a Shop Palette color, the Color Name will appear within the tooltip.

  • With respect to Spot Foils, the Color Name is assigned by the manufacturer as a reminder of the hue that will be generated by the foil. In addition, the Vendor and Vendor Code are assigned by the manufacturer for reference purposes.

  • When creating a new Spot Foil, adding the Color Name is necessary because the name is used as a reference during the printing process. When a tint of a Spot Foil is created, the tint will inherit the Color Name, and the tint value will be appended to the name.

  • When creating a Spot Color, the Color Name must be defined because the name is used as part of the lookup process for LAB values.

  • Similarly, if a Process Color is defined in terms of a LAB value, then its Color Name must also be defined for reference purposes.


Pen setting

When multiple pens are available, the Pen field is used to indicate the index position that should be used with the given color.


Shop Palette Context Menu

With the exception of the Manufacturer palettes, all of the color palettes have context menus that are accessed by right-clicking within the bounds of the palette. The context menus may also be accessed by clicking the context menu buttons that are on each palette.

The context menu for the Shop palette appears as follows. The available menu items are described in the following sections.

Open Manufacturer Palette

Custom Color Creator

Save

Load

Shop Palette Wizard

Truncate

Sort Colors

Find Color

Reset

Show Layer Numbers


Open Manufacturer Palette

Options menu >> Palette >> Open Manufacturer Palette

The manufacturer palettes are composed of commonly used color plates, which are stored in a Palette (.PAL) file format. More than one manufacturer palette may be open at once, and colors from different palettes may be applied to the workspace objects.

Color plates may be dragged from the manufacturer palette and "dropped" onto workspace objects. In so doing, the dragged color will be added as a new color plate at the far-right of the Shop palette. If the manufacturer palette is later closed, then the added color will remain as part of the Shop palette, which is then saved with the workspace file.

Color plates from a manufacturer palette may also be dropped onto the Shop palette, which will add a new color plate for that color at the far-right of the Shop palette.


Custom Color Creator

Options menu >> Palette >> Custom Color Creator

The Custom Color Creator is used to define and collect the colors that you have created. Either a specific color value can be set, or an instrument can measure the precise color value from a sample.

  • Custom Palette Colors - Along the right-hand side are the custom colors that you have created. Initially, this list is empty, and new colors will be appended to the list.

  • Choose Starting Color - If the new color is similar to an existing color, then use the drop-list to choose the existing color.

  • Color Value - The controls for setting the color value behave in the same fashion as per the Edit Color dialog.

  • Adding the Color - When the color value has been set, click the Add button.

To later retrieve colors that you have created, use the Look In Custom Palette command.


Save

Options menu >> Palette >> Save flyout

After a custom palette has been prepared with frequently used color plates, use the Save As item to save the palette for later use.

  • The Save As command it used to save the current Shop palette settings as a new Palette (.PAL) file. Typically, saving the Shop palette is desirable after it has been customized with commonly used color plates. The saved palette may then be opened like a manufacturer palette, or it may be set as the default palette that is loaded with each new workspace.

  • If the Save default on exit item is enabled (a checkmark should appear next to the item), then all changes to the Shop palette will be saved when your CADlink application is shut down. For example, choosing Exit from the File menu will cause the palette settings to be saved.

Note: Creating a new workspace will not cause the palette settings to be saved. Instead, use the Save As command to save such settings before creating a new workspace.


Load

Loading a Palette

Options menu >> Palette >> Load flyout

During the installation of your CADlink product, a Palettes directory was created within the installation directory. The Palettes folder contains color palettes for a variety of manufacturers, and each palette can be identified by its *.PAL file extension.

  • New - To load a color palette, choose Load >> New from the Shop Palette context menu. This will replace the current Shop Palette configuration.

  • Merge - The Merge item is used to select an existing Palette (.PAL) file, which is then appended to the Shop palette. Use this command to combine the color plates of two-or-more commonly used palettes.

  • Set Default - When a new workspace is started, a standard palette is loaded that has a selection of commonly used process colors. Use the Set default item to specify an alternate palette that should be loaded instead of the standard palette. For example, the default may be set to a custom palette that was previously saved.

Palette Choices

The sub-directories within the Palettes directory are generally organized as follows:

  • ColorGuides - These palettes are related to common color matching palettes.

  • Engrave - This directory contains palettes for common laser engravers. Each color palette corresponds to the default printer driver colors that the laser engraver uses for setting cutting power and speed (See also Print dialog >> Preferences tab >> Print by Color).

  • Fantastic - These palette colors are pattern fills related to the Fantastic Fills product.

  • Foils - This directory actually contains collections for both spot color inks, and spot foils.

  • PANTONE Library* - Palette colors related to the Pantone color matching system.

Note: The Pantone palette is available with the Pantone™ Color Matching Module.

  • Vinyls - These are generally libraries of vinyl colors that are provided per manufacturer. However, these vinyl palette colors are merely process color values that are used to preview cut vinyl shapes on the workspace.


Shop Palette Wizard

Options menu >> Palette >> Shop Palette Wizard

The Shop Palette Wizard is a visual browsing tool that is used to create a custom palette by browsing and selecting from the palettes that were installed with your CADlink product. Colors from more than one palette may be combined, and there is no restriction on creating a palette that has colors from different manufacturers.


Truncate

Options menu >> Palette >> Truncate

The Truncate command will remove all color plates that are to the right of the currently selected color plate, with the exception of any colors that are currently being used on the workspace.


Sort Colors

Options menu >> Palette >> Sort Colors flyout

The Sort Colors flyout is used to rearrange the Shop palette color plates. Sorted colors will be moved to the far-left of the Shop Palette.

  • By Selected Objects -For the given selection of objects, their color plates will be shifted to the left of the Shop palette.

  • By All Objects -Colors that are currently being used on the workspace will be shifted to the left of the Shop palette.

  • By Active Colors - Sort active colors to the front of the Shop Palette, and sort inactive colors to the end.

  • By Hue - Group colors according to their similarity in hue.

  • Move Color to Front - Select from an alphabetical list of colors and move that color to the front of the Shop Palette. Only Spot Colors and Spot Foils are listed.


Find Color

Options menu >> Palette >> Find Color flyout

When your CADlink product is installed, a Palettes directory is created within the install directory, and the individual palette files are sorted by type and manufacturer. One method of accessing these palettes colors is to use the Open Manufacturer Palette command, and then drag the desired colors into your Shop Palette (or apply directly to the workspace objects). However, the Find Color flyout provides tools for browsing colors without opening the given manufacturer palette.

  • Look in Vinyl Library - Browse the colors that belong to various vinyl palette families.

  • Look In Foil Library - Browse colors that belong to either Spot Color or Spot Foil families.

  • Look In Custom Palette - Browse palettes that you had previously created using the Custom Color Creator command.

  • Look In Shop Palette - Browse only within the current Shop Palette.

In each case, the selected color will become available at the far-left of the Shop Palette.


Reset

Options menu >> Palette >> Reset

The Reset option will reload the Shop palette, discarding any changes that may have been made to the color plates. The standard Shop palette will be loaded, unless an alternative palette has been specified (see Palette >> Load >> Set Default).

By using the Reset option, the original palette colors may be restored without deleting the objects that are currently on the workspace.


Show Layer Numbers

Options menu >> Palette >> Show Layer Numbers

Each plate on the Shop palette is indexed according to the order of colors in the palette. To hide these labels, uncheck the Show Layer Numbers item from the Shop palette context menu.

Note: The display of color plate labels may also be toggled using the Layers On / Off option in the General Preferences dialog.

When an object is selected, its color plate is shown on the SmartBar, and the Color Layer is visible within the plate. In addition, each color has a letter that identifies its color type: Process (P), Spot Foil (SF), or Spot Color (SC).

Note: When cutting objects, the cutting sequence is determined by the database order. Exceptions to this order may be made by using the Sort dialog, or the Cut by Color feature.


Sheet Layer Palette

The workspace area is a visual display of the shapes and text that have been prepared for printing and/or cutting. A Sheet Layer is a subset of the workspace, where multiple sheets are maintained within the same workspace. If only one layer exists, then all shapes and text will belong to that layer. Where more than one sheet layer is available, shapes and text may belong to different layers.

When sending output to a device, a given layer may be specified, such that only the objects on that layer are output.

Placing Objects on Layers

Selecting All Shapes on a Layer

Disabling Sheet Layers

Sheet Layer Properties


Placing objects on layers

By default, shapes are placed on sheet layer 1. To add new layers:

  1. Double-click Layer 1 to open the Sheet Layer dialog.

  2. Select Add to add a new layer.

The following screen shot shows a workspace where there are three layers present.

For selected objects, clicking a layer plate will place those objects on the layer. Alternatively, an object may be assigned to a layer as follows:

  1. Left-click and drag the layer plate away from the Sheet Layer palette.

  2. A small square will appear to be dragged by the cursor.

  3. Hold the dragged square over a workspace shape, and then release the mouse button.

  4. That shape will now belong to the given layer.

Click-and-drag a plate from the sheet layer palette. Hold plate over workspace object and release mouse button.


Selecting All Shapes on a Layer

All shapes on a given sheet layer may be selected by holding the [Shift] key and left-clicking the layer plate. The shapes will be added to the current selection.


Disabling Sheet Layers

A sheet layer may be disabled by holding the [Control] key and left-clicking the layer. The layer plate will be superimposed with a hatch pattern, and all objects on that layer will become hidden on the workspace.

Four objects, three of which are on Layer 1, and one is on Layer 2. | After control-clicking Layer 1, the objects on that layer are hidden.

For a disabled sheet layer, holding the [Control] key and left-clicking that layer will enable it again.


Sheet Layer Properties

The properties for a sheet layer may be edited by double-clicking the sheet layer plate. The Sheet Layer dialog will open.

Active

The Active option specifies whether this sheet layer is enabled or disabled. This option is an alternative to Control-clicking the layer, as described in the previous section.

Type

The Type of layer is "Cut Only."

Highlight selected objects

For shapes that are on a Cut Only layer, those shapes will be given a red highlight. These highlights are intended as a quick visual cue to confirm the nature of a given shape. However, to enable or disable these highlights, use the Highlight selected objects option on the Selection Settings dialog.


Job Palette

The Job Palette shows the colors that are currently being used on the workspace. By default, the Job palette shows the Color View, as shown below, which lists all the color plates, primer colors and halftones that are currently in use on the workspace.

Using the context menu, selecting the Foil View will display only the Spot Colors or Spot Foils that are currently in use on the workspace. This serves as a quick summary of the foils that will be used when rendering the job.

Note: For examples of using the Job palette with foils, please refer to the Thermal Spot Color Printing section.

The Job Palette shows the colors that are currently being used on the workspace. This palette is also used to perform global color substitutions, such as instantly replacing all shapes of a given color with another color. For example, where different cutting depths have been assigned to a series of colors, performing a color substitution is a quick means of reassigning the cutting depth.

By default, the Job palette shows the Color View, which lists all the color plates, primer colors and halftones that are currently in use on the workspace.

The Foil View will cause the Job Palette to list only Spot Colors or Spot Foils, which serves as a quick summary of the spots that will be used when printing a job.

Performing a Global Color Substitution

The Job Palette can be used to substitute one color for another, and this substitution will take place throughout the entire workspace. For example, suppose that there are several RED shapes on the workspace, which need to be changed to ORANGE.

  1. From the Shop Palette, left-click and drag the ORANGE color. The cursor will appear to be dragging the color plate.

  2. Move the cursor to the Job Palette, and position the TIP of the cursor over the RED color.

  3. Release the left mouse button, and all RED shapes will now be ORANGE.


Line Style Tool

Stroke and Fill Tools flyout >> Line Style

The Line Style tool is used to apply either a hairline stroke or "thick line" effect to workspace shapes.

When a shape is selected, the colors of its fill and line style are visible from the SmartBar. For example, the following screenshot of the SmartBar shows that the current fill color is blue (process color plate 2). The red outline around the blue square indicates that the line style color is red.

Note: To change the line style color for a shape, right-click a color plate in the Shop palette.

In cases where workspace shapes should have thick line styles, but none are visible, verify that the Show Line Style option is active (under the View menu).

Adding a Stroke

To add a line style to a selected shape, choose Line Style from the Stroke and Fill Tools flyout.

The SmartBar controls will appear similar to the following:

The line style is selected at the far-left of the SmartBar, as follows:

Button | Line Style | Comment
 | No line | Removes any previously applied line style.
 | Hairline | Creates a 1-pixel wide line. This line cannot be cut, but it may be applied as a line stroke.
 | Thick Line | This is initially zero, so the line will not be visible until the Thickness field is incremented.

At the far-right of the SmartBar, the color picker may be used to select the line style color. In addition, left-clicking a Shop palette color will also change the line style color.

For the Thick Line attribute, parameters of the line may be set from the SmartBar.

Click the Set Default Line Style button to store the current SmartBar settings for reuse. However, please note the line color will not be stored as part of this default.

Lock Proportions

Line Above

End Styles

Corner Styles

Cutting Thick Lines


Lock Proportions

If the Lock Proportions option is enabled, then scaling the shape will cause the stroke thickness to be scaled in proportion.

For example, the following two rectangles have been scaled by 200%. However, the second shape has a stroke with Lock Proportions enabled, such that its stroke has also been scaled by 200%.


Line Above

By default, a thick line will actually overlap the contour of the shape. If the Line In Front option is enabled, then the line style will partially obscure the shape. Alternatively, the Line Behind option will cause the line style to be partially obscured by the shape.

Line In Front | The line style will appear as if it were above the shape.
Line Behind | The line style will appear as if it were below the shape.

Star with line behind the shape. | Star with line in front. Note that the star shape is partially obscured by the line style.


End Styles

There are three different line styles, which are used to modify the termination of open paths:

Butt End Cap | The line style will extend only to the end of the open path.
Extended End Cap | Create square end caps as terminators for an open path.
Round End Cap | Perform rounding of open paths.


Corner Styles

There are three corner styles:

Sharp Corner | Corners retain sharp angles as per the base object.
Round Corner | Corners are rounded.
Miter Corner | For a sharp corner of the original object, the corner formed by the line style may be quite steep. Use the Miter Amount to clip the line style according to a percentage of the line thickness.

Star with line behind the shape. The Miter Amount has been set to 100% of the line thickness.


Cutting Thick Lines

When a shape with a thick line style is sent to be cut, the shape is effectively rendered as two objects (the shape as it is without a line style, and the line style itself). As such, there are two methods in which the shape and line style may be cut:

  • Both the shape and its thick line style may be cut as separate objects, such that the original contour of the shape is not changed. This is useful because it helps to eliminate registration problems that might occur.

  • Cut the thick line as shown, but only cut the shape where it is not obscured by the thick line. However, if the line style is "in front" of the shape, then there is a risk of a registration error (i.e., where the shape does not line up precisely with the line style).

When jobs are sent for cutting, the presence of thick lines will open the following prompt:

  • Select Yes to cut the thick lines without diminishing the size of the original contour.

  • Select No to send the job, though thick lines will ignored.

  • If Cancel is selected, then Torchmate will return to the select state. At this point, it is possible to select the shape and perform a weld operation, which will convert the thick line style into a shape that is separate from the original shape.


Operations on Shapes

Basic Operations

Selecting Shapes

Editing Shapes

General Nub Actions

Other Shape Commands

InstantReplay

Decorative Border

Array

Alignment and Align

Vertical and Horizontal Spacing

Start Sequence

Stretch


Basic Tools for Operations

Basic Operations

Cut and Paste

Edit menu

The basic Copy and Paste commands are typical of Windows applications:

Cut | [Ctrl + X] | Transfer the current object to the Windows clipboard.
Copy | [Ctrl + C] | Store the current object on the Windows clipboard.
Paste | [Ctrl + V] | Insert from the Windows clipboard to the Torchmate workspace.
Clear | [Del] | Remove the selected object from the workspace.
Duplicate | [Ctrl + D] | Create a copy of the selected object. The offset for duplicates is set from the General Preferences dialog.

Note: Copying and pasting a shape will automatically simplify the pasted shape.

Undo Commands

Edit menu

Undo | [Ctrl + Z] | Reverse the previous operation. When node editing, only five levels of Undo are permitted.
Redo | [Ctrl + Y] | Reverse the previously performed Undo operation.
Undo Navigator |  | Open navigator dialog for choosing point after which all operations will be reversed.
Redo Navigator |  | Open navigator dialog to choose Undo operations to be reversed.
Purge Undo |  | Remove all Undo and Redo information from memory, thereby freeing that memory for other uses.
Repeat | [Ctrl + R] | Apply the previously performed operation to the currently selected object.

Note: For advanced operation manipulation, please refer to the Instant Replay feature, which is discussed in the following section.

Locking Workspace Objects

Arrange menu >> Lock Object

Property locks are used to limit the types of operations that may be performed on workspace objects. Two types of restriction may be applied. An operation may be "locked," which prevents that operation from being modified for a given object. An operation may also be "restricted," which prevents the locked-status from being modified without authorization.

Simplifying Objects

Arrange menu >> Simplify

As operations are applied to a shape, those operations are stored as part of the shape history. The InstantReplay feature displays this history as a list, where individual operations may be double-clicked and edited.

For a shape composed of many different operations, the Simplify command will incorporate these operations into the shape. Simplified operations will not be displayed in the Instant Replay window, nor will they be editable. This feature is useful for aggregating a shape before applying new operations to it.

For a shape that has been applied with a tool path, node editing the shape will automatically update the tool path to correspond with the new shape contour. However, applying the Simplify command to the object will break the association between the object and tool path, which will allow the object nodes to be edited without changing the tool path contour.

Simplify and Tool Paths

Arrange menu >> Simplify

After a tool path is applied to a shape, suppose that the shape is then node edited. When node editing is complete, the corresponding tool path will be updated to maintain consistency with the new shape contour. However, applying the Simplify command to the object will break the association between the object and tool path, which will allow the object nodes to be edited without changing the tool path contour.

Use InstantReplay

Options menu >> Use InstantReplay

By default, the Use InstantReplay option is enabled, which causes operations to be updated when the base shape has been modified. To discard the association between operations and their base shape, disable the Use InstantReplay option. However, please note that the association between operations will be permanently lost.

As an alternative to disabling the Use InstantReplay option, use Simplify from the Arrange menu.


Selecting Shapes

To select a shape, click within the fill area the shape. Selection handles will appear around the shape to indicate that it is selected.

Unselected Object | Selected Object

Note: If the [ALT] key is used as a modifier key, then a shape will only become selected by clicking along the shape contour. This is a useful means of differentiating from between several clustered shapes.

When a shape is selected, its properties may be edited from the SmartBar. By default, the contour of a selected shape will be highlighted, so as to improve the ease of working with small or complex objects. If the highlight border needs adjusting, then changes to the highlight appearance may be made in the Selection Tool Settings dialog.

Handles will appear around a selected shape, which may be used to adjust the shape by clicking and dragging a given handle. Handles are also known as Control Nubs, and the available nubs are:

  • Center Nub

  • Corner Nub

  • Edge Nub

  • Rotate Nub

The following diagram indicates where these nubs are typically placed around the boundary of a shape:

Sweep Selecting Objects

Select By Size

Select By Open


Center Nub

The Center Nub is used drag the position of a shape, which is equivalent to the Move command (Layout menu).

  1. Hold the cursor over the Center Nub until the cursor changes into a crosshair icon.

  2. With the crosshair icon, click and drag the shape.

  3. When the shape is in the correct position, release the mouse button.

When dragging a shape, the [Control] key may be held to constrain the shape either vertically or horizontally. Also when dragging a shape, the [Alt] key may be pressed to create a duplicate of the shape.

Nudge comment: When selected, the cursor keys may be used to "nudge" the object. The object will nudge one-pixel in the given direction, though holding the [Shift] key will perform a five-pixel nudge.


Corner Nub

The Corner Nub is used to scale a shape, while also maintaining the aspect ratio of the original shape.

  1. Hold the cursor over a Corner Nub until the cursor changes into a bi-directional cursor.

  2. With the bi-directional cursor, click and drag to scale the shape.

  3. When the correct scaling is achieved, release the mouse button.

When scaling a shape, the [Shift] key may be held to prevent the aspect ratio from being maintained. Also, the [Control] key may be held to constrain the object to multiples of its original size (double-size, triple-size, etc.).


Edge Nub

The Edge Nub is used to resize a shape either horizontally or vertically.

  1. Hold the cursor over an Edge Nub until the cursor changes into a bi-directional cursor.

  2. With the bi-directional cursor, click and drag to resize the shape.

  3. When the correct size is achieved, release the mouse button.

When resizing a shape, the [Shift] key may be used as follows:

  • Shift + Left nub - Change width of object, though maintain constant vertical axis of object

  • Shift + Top nub - Change height of object, though maintain constant horizontal axis of object

  • Shift + Bottom nub - Maintain proportional width and height

  • Shift + Right nub - Maintain proportional width and height


Rotate Nub

The Rotate Nub is used to adjust the orientation of the shape.

  1. Hold the cursor over the Rotate Nub.

  2. Click and drag the Rotate Nub. The bounding box of the shape will be rotated to match the mouse movements.

  3. When the correct rotation is achieved, release the mouse button.


Sweep Selecting Objects

A sweep select is simply a quick means of selecting several objects by surrounding the objects with a marquee. Modifier keys may also be used as follows:

  • Shift-sweep Select - Add/remove objects with respect to the current selection.

  • Control-sweep Select - All objects that fall within bounds of the marquee will become selected. The current editing operation (if any) will be applied to the objects.

  • Alt-sweep Select - For small objects that are within the area of a larger object, use [ALT] + marquee to select the small objects without selecting the larger object.


Select By Size

Workspace shapes may be selected according to their size. Under the Edit menu, choose Select By Size, and the Select by Size controls will appear in the SmartBar.

At the far-left of the SmartBar are the Width and Height parameters, which are used for comparison with shape dimensions. If a shape had been selected when choosing the Select By Size item, then the Width and Height fields will be set according to that shape. If no shape had been selected, then the Width and Height fields will be set according to the sign blank.

Next to the Width and Height parameters are checkboxes, which are used as follows:

Width | Height | Behavior
Enabled | Enabled | Both Width and Height fields are used when making comparisons. For example, if the Smaller than button is clicked, then shapes will be selected only if both their widths and heights are less than the indicated Width and Height.
Enabled | Disabled | Only Width is used when making comparisons.
Disabled | Enabled | Only Height is used when making comparisons.
Disabled | Disabled | Disables both the Smaller than and Bigger than buttons.

Comparison Buttons

The following buttons are used to choose the manner of comparison. These buttons use the Width and Height values as the basis for comparison. However, please note that the checkboxes next to the Width and Height fields are used to limit the comparisons.

Smallest

Biggest

Smaller Than

Bigger Than

Reset

Click the Reset button to clear the current selection. The Width and Height fields will be set to the sign blank dimensions.

Inverse

Click the Inverse button to perform an inverse selection. All the currently selected shapes will become deselected. The current selection will become all shapes that had not been selected.


Comparison buttons

The following buttons are used to choose the manner of comparison. These buttons use the Width and Height values as the basis for comparison. However, please note that the checkboxes next to the Width and Height fields are used to limit the comparisons.

Smallest

Biggest

Smaller Than

Bigger Than


Reset

Click the Reset button to clear the current selection. The Width and Height fields will be set to the sign blank dimensions.


Inverse

Click the Inverse button to perform an inverse selection. All the currently selected shapes will become deselected. The current selection will become all shapes that had not been selected.


Select By Open

Select all shapes that are open paths. Use this tool to quickly select fragments after scanning images or importing vector files.


Editing Shapes

For editing text objects, see Text Composition.

Double-clicking a parametric object will enter a special editing mode. The contour of the object may then be modified by clicking and dragging the nubs of the object. In some cases, the editing nubs behave similarly to the nubs that appear on a selected object. However, the precise usage of nubs when editing will depend upon the type of object.

Editing a rectangle | Editing a circle | Editing an arrow

When editing a rectangle, the available nubs are at the corner, edge and center of the shape outline. Notice that though no rotation nub is present, additional nubs exist for rounding the corners of the rectangle. When editing a circle, only a center nub and "radius" nub exist. These nub differences between rectangles and circles are typical, so as to improve the variety of shape combinations.


General Nub Actions

Nudge

Shortcut to the Layout Menu

Move

Size

Rotate

Mirror


Nudge

Objects may be moved one pixel at a time, which is termed a "nudge."

  • Pressing the cursor keys will move the selection by one pixel.

  • Holding [Shift] will move the selection by 5 pixels.


Shortcut to the Layout Menu

Right-click an object handle

If the mouse cursor is over an object nub, then the right-mouse button will open the Layout context menu.


Move

Layout menu >> Size / Move >> Move

Objects may be moved with respect to either their previous workspace coordinates, or the origin of the sign blank.


Size

Layout menu >> Size / Move >> Size

Drag the nubs of the shape to resize. When dragging, note that the fixed nub is indicated in the SmartBar (turns red).


Rotate

Layout menu >> Size / Move >> Rotate

Using the Rotate feature, objects may be rotated by dragging their corner nubs.

  • By default, the Center of Rotation is placed at the center of the object, but the Center of Rotation can be changed by dragging it with the mouse.

  • When rotating, the Rotation Amount may also be entered in the SmartBar.


Mirror

Layout menu >> Size / Move >> Mirror

The Mirror feature creates a mirror image of the selected object. Mirror images may be created in either the vertical or horizontal plane.

Dragging either the side- or corner-nubs of an object may also be used to create a mirror image. However, the [Control] key must be pressed in order to constrain the object to its original dimensions.


Other Shape Commands

Slant

Clear Transformations

Grouping Objects

Measuring Objects


Slant

Layout menu >> Size / Move >> Slant

The Slant feature skews or slants selected objects either horizontally or vertically.


Clear Transformations

Layout menu >> Size/Move >> Clear Size/Move

The Clear Size/Move command removes all Move, Rotate, Size, and Slant transformations applied to workspace objects without reversing any edits made to the object. For example, a line of text can be rotated and then edited to include an extra letter. Clear Transformations will remove the rotation without removing the extra text.


Grouping Objects

Layout menu >> Group

Layout menu >> Ungroup

Layout menu >> Ungroup All

The Group and Ungroup commands may be used to organize collections of workspace objects.

  • When a group is selected, the descriptive text at the far-left of the SmartBar will confirm that it is a group.

  • For imported designs, it is possible that objects are within nested groups (i.e., groups within groups). To ungroup ALL objects in such cases, use the Ungroup All command.

  • For some imported designs, objects are defined as a "Clip Group" (see Clipping). Note that is it possible for imported designs to have clip groups inside regular groups, and vice versa.


Measuring Objects

The Measure Tools are used to label workspace dimensions, and to place notes about workspace objects.

The available tools are:

Measurement | Measure the distance between two points by clicking on the workspace. The Desired Distance field may be set between these points, which causes the selected objects to be resized proportionally.
Dimension | Create a measure of the distance between two workspace locations.
Object Dimension | Create a measure of the height or width of the selected object.
Arrow Draw | The Arrow Draw tool is used to annotate the workspace. For each arrow drawn, a note may be created.
Notes | Add descriptive notes to the workspace.

Note: When using the Arrow Draw tool, notes are displayed in the SmartBar instead of context controls. To edit the Arrow Draw settings, first create an arrow, and then double-click the arrow. Changes to the SmartBar controls will be used as default for further arrow drawing.


InstantReplay

The Instant Replay feature is a graphical interface for editing and reusing operations, where an operation is any transformation or special effect that can be applied to a shape. Use InstantReplay to edit or remove the operations that have been applied to a shape. When a set of operations has successfully achieved a desired effect, those operations may be stored and applied to new shapes in future Torchmate sessions.

Using InstantReplay

Using the Storage Bin

The Instant Replay Window

Show Storage Bin


Using InstantReplay

Suppose that a couple of text shapes have been created on the workspace. Initially, no operations have been applied to these text shapes, so the InstantReplay window will indicate the basic operations that exist for all newly created shapes.

For the first text shapes, a transformation operation was performed, followed by a gradient fill. When the shape is selected, the InstantReplay window indicates that a Special Fill has been applied, as well as a Perspective Transformation.

To use the same fill settings on the second text shape, click and drag the Special Fill from the InstantReplay window. Drag-and-drop the Special Fill onto the second text shape, and the fill will be applied.

Similarly, drag-and-drop the Perspective Transform onto the second text shape.

When the second text shape is selected, the InstantReplay window will show that both the Special Fill and Perspective Transform have been applied.


Using the Storage Bin

At the top of the InstantReplay window is the Show Clipboard button.

Clicking the Show Clipboard button will open the Storage Bin window. The Storage Bin is a convenient holding area for operations that you would like to reuse frequently.

For a selected shape, operations may be dragged-and-dropped onto the Storage Bin. The operation will then be listed within the Storage Bin, regardless of the currently selected shape.

Suppose that the Special Fill and Perspective Transform operations from the previous section had been dragged into the Storage Bin. By then selecting both operations within the Storage Bin, those operations may be dragged-and-dropped onto another text shape.

The text shape will then be applied with both operations.


The Instant Replay Window

The Instant Replay window lists the operations that have been applied to the currently selected workspace shape. Individual operations may be edited, deleted, or copied to the Storage Bin for application to other shapes.

Dragging an operation within the list can change the order in which operations are calculated for a shape. Further, an operation can be dragged from either the InstantReplay or Storage Bin windows and dropped onto a workspace object.

The basic operations for any shape are the Line Style, Line Color, Layer, Page Range, and Sheet Layer. These operations are considered to be fundamental to any shape. Though these basic operations may be edited, neither deleting them nor combining them with other operations is permitted.

Editing an operation will activate the editing controls for that given operation.

Copy to Clipboard | Use this button to copy the selected operations to the Clipboard. Note that the Storage Bin is used to display operations that have been copied to the Clipboard.
Paste from Clipboard | Use this button to apply the selected Clipboard operations to the current shape. The Storage Bin is used to pre-select the desired operations for pasting.
Show Clipboard | Use this button to show the Storage Bin, where all the operations from the Clipboard are listed. Pressing this button again will hide the Storage Bin.
Simplify | Clicking the Simplify button will perform the same operation as choosing Simplify under the Arrange menu. Please refer to Simplifying Objects, discussed earlier this section.
Edit | Edit the currently selected shape. If no objects are selected, then this button will not be visible.

Original List

Intermediate List

Screen List

Operations List

Object Picker


Original List

The Original List contains references to the shapes prior to their operations being performed. The Type of each shape is displayed for reference, such as Text objects, Paths, Polygons, Polyarcs, Notes, Dimensions, and Bitmaps.

The Layer number indicates the color palette index that has been applied to the shape. By clicking the head of the Layer column, shapes may be ordered according to their palette number, which is a useful means of organizing related shapes.


Intermediate List

After applying certain operations, the original shape will no longer exist because it has been replaced by a new shape that represents the results of the operation. For example, applying an Outline will create a new shape that represents the outline, and unless the Keep Original option is used, the original shape will be deleted. The Intermediate List is used to store a reference to such original shapes, such that the operation may be edited.


Screen List

The Screen list displays all the screen shapes in terms of the types of objects that they represent. Click on a path type to isolate the shape from the surrounding graphics.


Operations List

For the selected shape, the operations that have been applied to this shape are listed here. The operations are listed in chronological order, though this order can be changed by dragging an operation with the mouse. To edit an operation, double-click the operation name.


Object Picker

The bottom-right portion of the InstantReplay window is an object picker, which represents workspace objects as thumbnails. Click a thumbnail image to select that object as the current focus in the InstantReplay window.

For example, here we have a rectangle object that is above (Arrange menu >> Order To Front) two text objects:

We then selected all the objects and clipped them (Arrange menu >> Clipping).

The objects are now part of a Clip Group, which can be inspected by double-clicking to open the Group Viewer. The Group Viewer is similar to the InstantReplay window, in that they both have object pickers in the lower-right corner, which are used to select an object that is within a group.


Show Storage Bin

The Storage Bin is a convenient means of viewing and organizing the operations that have been copied to the Clipboard. With respect to Instant Replay, the Clipboard and the Storage Bin are synonymous.

Note: As well as using the Instant Replay buttons, drag-and-drop operations are permissible between the Instant Replay window and the Storage Bin.

Open File | Click this button to open a previously stored selection of operations.
Save File | To save operations for later use, select the desired operations and click the Save File button. Files are stored in an .SBN (Storage Bin) format.
Copy to Clipboard | For the currently selected shape, clicking this button will copy all of the shape operations to the Storage Bin.
Paste from Clipboard | Click this button to apply operations from the Storage Bin to the currently selected shape. If no operations are selected, then the entire list of operations in the Storage Bin will be applied. Otherwise, use the mouse in combination with shift and control keys to select the operations that should be applied.
Clear Clipboard | Click this button to delete the contents of the Clipboard and the Storage Bin listings.
Combine Operations | Click this button to combine a selection of operations into a single operation. The combined operations will be named Combination, but this name may be changed by double-clicking the combined operation. Once operations are combined, they can be selected and applied in the same manner as discrete operations.


Decorative Border

Layout menu >> Decorative Border

The Decorative Border shape is used as a frame for the design. To create a Decorative Border, access this tool from either the Layout menu, or the Shape Tools flyout.

For a selection of one-or-more shapes, the Decorative Border will be centered on the shapes, and the inner contour of the border will be set equal to the bounding box of the selection. The outer contour of the border will then be set according to the Thickness of Border field.

Tie Border To

When no shapes are selected, the SmartBar provides a Tie Border To option that is set to Blank by default. In this case, the Decorative Border will be centered on the sign blank, and the outer contour will be set equal to the dimensions of the sign blank. The inner contour of the border will then be set according to the Thickness of Border field.

If the Tie Border To option is set as None, then the center nub may be dragged to change the coordinates of the Decorative Border.

Border Styles

Decorative Border Nubs

Corner Nubs

SmartBar Controls


Border Styles

There are four pre-defined decorative border styles, which may be chosen at the far-left of the SmartBar.

The choice of style will determine the SmartBar controls that are available, as well as the nubs that appear about the decorative border shape.


Decorative Border Nubs

Editing nubs around decorative border shapes may be used to adjust the inner and outer contours of the border. When editing a Single Path Border, nubs will only appear for the outer contour. When editing a Border with Thickness, nubs will appear for both the outer and inner contours.

These editing nubs are summarized as follows:

Nub | Function
1 | Adjust the workspace coordinates of the border. These coordinates may only be changed when the Tie Border To setting is None.
2 | Adjust the Thickness of Border value by varying the inner contour. Hold the [Control] key to maintain a constant thickness.
3 | Adjust the Thickness of Border value by varying the outer contour.
4 | Adjust the outer contour of the border, while maintaining a constant Thickness of Border value.


Corner Nubs

Except for the Square Border style, editing nubs are used to adjust the corners of the border. These nubs allow the outer corner radius to be adjusted independently of the inner corner radius.

Note: The Inside Notched Border style does not have corner nubs for the outer contour.

The following screenshot shows the editing nubs for the Rounded Border style. These nubs behave similarly for the Notched Border and Inside Notched Border styles.

The values for the corner radius may also be set at the far-left of the SmartBar.

To the right of the corner radius fields, the Radius Lock and Radius Unlock buttons may be used to lock the outer radius to the inner radius. When locked, the Outside corner radius will be assigned the same value as the Inside corner radius.


SmartBar Controls

The available SmartBar controls will depend upon the style of border being edited. For a Square Border style placed upon the sign blank, the SmartBar controls will appear similar to the following:

Inner Contour Option

  • If Single Path Border is selected, then the border shape will be a filled object with no inner contour.

  • If Border with Thickness is selected, then additional nubs are available for editing the inner contour of the border.

Single Path Border

Border with Thickness

Thickness of Border

This field is only active when the Border with Thickness option has been selected.

  • For selected shapes, the Thickness of Border field is used to indicate the distance from the inner contour to the outer contour.

  • If no shapes are selected, then the Thickness of Border field indicates the distance from the outer contour to the inner contour.

Width and Height

  • The Width and Height fields indicate the dimensions of the outer contour. If the Tie Border To setting is None, then the Width and Height fields will be editable.

Horizontal and Vertical Offsets

  • For a border placed around one-or-more selected shapes, the inner contour of the border will be set equal to the bounding box of the shapes, and the outer contour will be set using the Thickness of Border field.

  • For a border placed with respect to the sign blank, the outer contour will be set equal to the dimensions of the sign blank. The inner contour is then set using the Thickness of Border field.

  • The Horizontal and Vertical Offsets are used to set the outer contour with respect to its initial dimensions. When adjusting these offsets, the Thickness of Border field will remain constant.

Lock Offset Values as Equal

At the far-right of the SmartBar, the Horizontal and Vertical Offsets may be locked as equal.

When locked, only one offset field will be active, and its value will be used for both offsets, as follows:

Unlock offset values

Lock offset values as equal


Array

Layout menu >> Array

The Array feature is used to create patterns using selected shapes as a basis. Copies of the original shapes will be used to fill out the array.

The available Array styles are as follows. Please note that the SmartBar controls are slightly different when creating arrays "on an arc."

Vertical

Staggered

Horizontal

Grid

On arc

On arc with rotate


Spacing Method

When spacing the copies either horizontally or vertically, the copies may be spaced either Object-to-Object, or Between Objects.

  • If spacing Object-to-Object, then the copies are spaced with respect to the lower-left corner of each shape.

  • If spacing Between Objects, then copies are spaced from the trailing edge of each shape to the leading edge of the subsequent shape.


Spin Amount

The array copies can be rotated by adjusting the Spin Amount.

  • If the Spin Each option is enabled, then each subsequent shape will be rotated by the Spin Amount. For example, the first shape will not be rotated, the second shape will be rotated by the Spin Amount, the third shape will be rotated by a further Spin Amount, and so on.

  • If the Total Spin option is enabled, then the last array shape will be rotated by the Spin Amount, and intermediate array shapes will be rotated evenly from the start to end angles.


Arrays on an Arc

When the Array Style is set to either On Arc or On Arc With Rotate, then the Spacing Method (space between shapes) does not apply. Instead, the shapes are spaced evenly over an arc, and this arc can range from 0° to 360°.

The Starting Angle indicates the beginning of the arc, the Ending Angle indicates the end of the arc, and the Arc Radius is the size of the arc. For example, by setting the Starting Angle to 0 and the Ending Angle to 360 will cause the shapes to be spaced evenly along the arc of a full circle. By setting angles of 0 and 180, then the shapes will be spaced along a half-circle.

Arrays on Arc with Rotate

The On Arc with Rotate is similar to the On Arc option, except that there is no Spin Amount setting, and each array copy will be automatically rotated to point away from the center of the arc.


Alignment and Align

Layout menu >> Arrange and Distribute >> Alignment

Layout menu >> Arrange and Distribute >> Align

The Alignment command is used to access controls to precisely arrange the workspace objects, and the Align command is used to apply the most recent Alignment settings.


Alignment Mode

Selected objects may be arranged according to:

  • Align to media (sign blank) - Objects are aligned relative to the sign blank.

  • Align to grid - Objects are aligned relative to the grid lines.

  • Align to last object - For a group selection, align the objects according to the last object in the group.

  • Align to selected - For a group selection, align the objects according to the bounding box that is around the selection.


Text Options

There are two additional tools for use when aligning text objects.


Treat Text Line as an Object

This option only applies to vertical alignment. When enabled, each line within a text paragraph will be aligned like a separate object.

Three text objects, with the Treat Text Line as Object option OFF. | The same three text objects, with the Treat Text Line as Object option ON. Note that each line within the second text object is treated as a separate object for the purpose of alignment.


Ignore Descenders

This option only applies to vertical alignment. When enabled, the descenders of text will be ignored when applying alignment. Instead, text will be aligned according to its baseline.


Align to Baseline

Layout menu >> Arrange and Distribute >> Align to Baseline

For scanned images, it may be the case that objects are slightly misaligned. The Align to Baseline feature is used to aligned images either horizontally, vertically, to a 45 degree angle, or to a custom angle.

Before performing the alignment, a line must be defined along the edge the image. To define this line, two points must be set.

  1. Clicking within the workspace will set the Anchor Point (the point of rotation).

  2. Clicking a second time will set the Second Point (the snap point).

  3. When a snap angle is applied, the line will be aligned to match the indicated angle, and the image will remain aligned with the line.


Vertical and Horizontal Spacing

Layout menu >> Arrange and Distribute >> Spacing

The Spacing commands are used to space the selected objects out evenly. As an option, the amount of space to maintain between objects can be specified.


Start Sequence

Layout menu >> Sequence >> Start Sequence

The Start Sequence command has two uses:

  • Arrange the order in which objects are processed when drawing, cutting, plotting, routing, engraving, or printing.

  • Arrange objects graphically on-screen.

In either case, reordered objects will be placed with respect to the original layer of the first color selected (see Order of workspace objects).

Creating a Sequence

Creating a Sequence by Vector

Creating a Sequence by List

Creating a Sequence by Traits


Creating a Sequence

To create a sequence for a collection of objects:

  1. Select the first object of the collection.

  2. From the Layout menu, choose Sequence >> Start Sequence.

  3. Click each remaining object, one-by-one, until all the objects are included. As each object is included, a line is drawn from the previous object to the current object.

  4. When finished selecting objects, click anywhere on the workspace that is empty of objects.

The objects will now be ordered according to the chosen sequence. Each successive object in the sequence will appear to be on top of the previous object in the sequence.


Alignment using start sequence

  1. Select the first object of the collection.

  2. From the Layout menu, choose Sequence >> Start Sequence.

  3. Click each remaining object, one-by-one, until all the objects are included. As each object is included, a line is drawn from the previous object to the current object.

  4. Right-click and drag over an area where the objects are to be arranged.

As the mouse is dragged across the workspace, an outline of the shapes will appear, and a thin line between the shapes will indicate center alignment of each object.

This alignment can be adjusted as follows:

  • Holding the [Shift] key will align the shapes according to their lower-left bounding box corner.

  • Holding the [Control] key will constrain the objects either vertically or horizontally.


Creating a Sequence by Vector

L ayout menu >> Sequence >> Start Sequence by Vector

The Start Sequence by Vector command is similar to the Start Sequence command, except that multiple shapes are added to the sequence by drawing a line.

  1. Select the first shape.

  2. From the Layout menu, choose Sequence >> Start Sequence by Vector.

  3. Click and drag the cursor to form a line. All shapes that are intersected by this line will become part of the sequence.

  4. Click on an empty portion of the workspace to finish editing.


Alignment Using Start Sequence by Vector

  1. Select the first object of the collection.

  2. From the Layout menu, choose Sequence >> Start Sequence by Vector.

  3. Click each remaining object, one-by-one, until all the objects are included. As each object is included, a line is drawn from the previous object to the current object.

  4. Right-click and drag over an area where the objects are to be arranged.

As the mouse is dragged across the workspace, an outline of the shapes will appear, and a thin line between the shapes will indicate center alignment of each object. This alignment can be adjusted as follows:

  • Holding the [Shift] key will align the shapes according to their lower-left bounding box corner.

  • Holding the [Control] key will constrain the objects either vertically or horizontally.


Creating a Sequence by List

Layout menu >> Sequence >> Start Sequence by List

The Start Sequence by List command will open the Sequence by List dialog, which provides a visual list of all the shapes that are on the workspace. Shapes at the front of this list will appear above other shapes, and shapes at the back will appear below.

The mouse can be used to drag shapes within this list. Alternatively, select a shape and use the To Front, To Back, Forward One, and Back One buttons. To use the Reverse Order button, at least two shapes must be selected.


Creating_a_Sequence_by_Traits

Layout menu >> Sequence >> Start Sequence by Traits

The Start Sequence by Traits command will use the Sort dialog to sequence the objects on the workspace (see Order of Workspace Objects). Since workspace order determines the default cutting order, this command is often used prior to cutting objects using the Cut menu >> Plot command.

  • Nearest - Nearest sort will sequence the objects that are closest to each other. For example, an object one inch away will be next in the sequence, as opposed to an object that is five inches away.

  • Database - Database order is the sequence in which objects have been created. For example, the most recently created object will appear to be "above" all other objects.

  • Horizontal - Horizontal sorting will sequence objects as they appear on the workspace from left to right.

  • Vertical - Vertical sorting will sequence objects as they appear on the workspace from bottom to top.


Stretch

Arrange menu >> Stretch

The Stretch feature is used to distort an object as if the object had elastic properties. Objects may be stretched in either an upward or rightward direction.

Note: Performing a stretch operation may not be initially successful for complex objects. To solve this, perform a series of smaller stretches until the amount of desired stretch is achieved. Alternatively, convert the object to polyarc and then reduce the number of its nodes.


Constant Stroke Stretching

Arrange menu >> Stretch

For text objects, script fonts may be enhanced by stretching the text either horizontally or vertically, which will not distort the opposing strokes. For example, consider the follow text that uses an Ajax font:

Here is the same text after performing a 60% vertical stretch:


Special Effects

Fit Text to Arc

Fit Text To Path

Fit Object To Path

Round Corner

Fillet Round Corner


Fit Text To Path

Transform menu >> Fit Text to Path

The Fit Text to Path command is used to fit a text shape to a line art shape. Any line art shape is considered to be a "path," where the line art can be either a "closed path" or an "open path." A closed path is merely one that has a contiguous, unbroken contour, such as a circle or a square shape. An open path is one that is not contiguous, such as a straight line or a drawn curve.

The SmartBar controls are slightly different according to whether text is being fit to a closed or open path. For an open path, there are "Starting Position" buttons that indicate whether the text should begin at the left, right, top, or bottom of the closed shape.

In comparison, the SmartBar controls for an open shape concern the justification of the text, being either left-, right-, or center-justified. For either case, there is a button to allow a custom starting position for the text.


Fitting text to a custom position

For both open and closed paths, a custom starting position may be set along the object contour. To set a starting position:

  1. Click the Custom Starting Position button in the SmartBar.

  2. Click anywhere along the object contour to place a special start position handle, which appears as a tiny circle.

  3. Click the Apply button to show a preview of the text at that position.


Path Alignment

The Path Alignment determines how closely the text baseline is aligned with the path. This alignment is further modified by the Text To Path Distance field.

  • Text Inside Path – The path will be aligned along the very bottom of the text, including descenders.

  • Text On Path – The path will be aligned with the text baseline, which excludes descenders.

  • Text Through Path – The path will cross directly through the middle of the text.

  • Text Outside Path – The path will be aligned along the topline of the text.


Editing a previous Fit Text To Path operation

Suppose that a Fit Text to Path operation has been previously applied, where some text had been fit to a rectangle. Depending upon which shapes are selected, the Fit Text to Path operation may be used to either edit the existing operation, or to add more text shapes to the contour.

Case 1: Editing an Existing Fit Text to Path Operation

If both the text and rectangle shapes are selected, then choosing Fit Text to Path from the Transform menu will activate an editing mode for the existing Fit Text to Path operation. The SmartBar will have both Apply and Accept buttons.

  • After editing the SmartBar settings, click the Apply button to update the workspace preview.

  • When the SmartBar settings are correct, click the Accept button to save the settings.

  • Click the Close button to discard any edits.

Case 2: Adding a New Text Shape to the Contour

If only the rectangle shape were selected, then choosing Fit Text to Path from the Transform menu will allow a new text shape to be added to the contour. The SmartBar controls will appear normal for a Fit Text to Path operation, except that the Apply button will have been replaced with an Add Text button. Once the SmartBar controls are set for the Fit Text to Path operation, click the Add Text button to activate text editing mode. The new text shape may then be edited, and the text will added at the indicated location along the contour.

When the new text shape has been entered, click within an empty portion of the workspace to finish editing. The SmartBar will again display controls for the Fit Text to Path operation, and the location of the text along the contour may be edited. When editing is complete, either the Apply button may be clicked to begin editing a new text shape, or the Close button may be clicked to finish editing.

Case 3: Adding a Separate Text Shape to the Contour

Suppose there is an existing text shape that must be added to the rectangle contour.

With both the new text shape and the rectangle shape selected, the Fit Text to Path item may be chosen from the Transform menu. The SmartBar controls may then be edited to position the text shape along the rectangle contour.


Fit Object To Path

Transform menu >> Fit Object to Path

With two line art shapes selected, the Fit Object to Path command will fit multiple copies of the smaller shape to the larger shape. This is a common tool to use when creating a border decoration.

In the Fit Object To Path dialog, the Object Placement determines how many of the smaller shapes will be created.

  • The Number option indicates the total copies of the smaller shape that will be created. These copies will be evenly spaced around the larger shape.

  • The Distance option is a measure of how far along the larger shape contour before a copy of the smaller shape is created. Further copies will be created until the entire contour of the larger shape has been filled. The Offset indicates an initial distance within which objects will not be placed along the contour.

  • The Nodes option refers to the editing nodes that the larger shape is composed of. For example, double-clicking a polygon rectangle shape reveals that there is a node at each corner. If a star shape is fit to this rectangle using the Nodes option, then a star shape will be created at each corner.

  • The Rhinestone Spacing option is a special mode that seeks to place a rhinestone (i.e., the smaller shape) at each corner of the larger shape, and the remaining rhinestones will be evenly spaced between corners. Note that the spacing between rhinestones might be slightly modified in order to provide even spacing between corners.

  • The Rotate degree field indicates an amount of rotation that will be applied to the copies.

  • The Follow Contour option causes each copy to align itself to the given portion of the larger shape.


Fit Text To Arc

Transform menu >> Fit Text to Arc

The Fit Text to Arc feature is used to position text as if its baseline or topline were being fit to a circle.

In addition to the SmartBar controls, editing handles will be available on the workspace.

Arc Angle and Arc Radius

Arcing the Text Up and Down

Setting the Custom Arc Length

Wrap Multiple Lines


Arc Angle and Arc Radius

The Arc Angle and Arc Radius fields are related controls, where adjusting one will affect the value of the other.

  • The Arc Angle is the total arc through which the text is fit upon the circular path.

  • The Arc Radius is the radius of the circular path.

Both the Arc Angle and Arc Radius fields affect the size of the circular path, and likewise they are dependent upon the size of this circular path.


Arcing the Text Up and Down

The text arc can be up or down from either the text baseline or topline.

  • If arced from its baseline, then the text baseline will be flush with the circular path.

  • Conversely, if arced from its topline, the text topline will be flush with the circular path.

  • If the Invert button is clicked, then the text will be arced as if its baseline and topline were swapped.


Setting the Custom Arc Length

If the Custom Arc Length option is checked, then additional compression/expansion handles will appear on the workspace preview. These handles may be used to either compress or expand the text frame, which is the bounds of the text shape.

To set the compression/expansion rules for the text frame, click the Custom Settings button to open the Horizontal Compression dialog. This dialog determines how the text will be fit to its text frame.

The four methods of compression/expansion are:

  • Width – Constrain text by modifying the character width.

  • Height – Constrain text by modifying the character height.

  • Kerning – Constrain text by modifying the distance between characters.

  • Word Kerning – Constrain text by modifying the distance between words.

If the Word Wrap option is NOT checked, then text will be fit within a single line. If the Word Wrap option IS checked, then text will be wrapped onto two-or-more lines when the indicated limit on compression has occurred.


Wrap Multiple Lines

If there are multiple lines of text when applying the Fit Text To Arc command, then the Wrap Lines button will be available from the SmartBar.

Clicking the Wrap Lines button will break each line into a separate text object, and the text objects will be spaced evenly around the circular path.


Round Corner

Transform menu >> Round Corner

Either the inner or outer corners of objects may be rounded.

  • Inside corners are corners which face back into the body of the object.

  • Outside corners are corners which face away from the body of the object.

For example:

Original object | Rounded outside corners | Rounded inside corners

Using a circle as a model, rounding is performed by mapping each corner along the circumference of the circle. In this fashion, the amount of rounding is determined by the radius of the circle.

Rounding performed to an arrow shape. Note that the circles drawn here are for example only.

See also Fillet Round Corner


Fillet Round Corner

Transform menu >> Fillet Round Corner

The Fillet Round Corner feature is similar to the Round Corner feature, except that rounding may be applied to individual corners.

  1. For a selected shape, choose Fillet Round Corner from the Transform menu. The Fillet Round Corner controls will appear in the SmartBar.

  2. For the selected shape, click the corner that will be rounded.

  3. From the SmartBar, the Corner Radius field may be used to adjust the amount of rounding.

  4. To apply rounding to a different corner, select another corner of the shape, and then adjust the Corner Radius amount.

For example, two corners of the following pentagon have been applied with different amounts of rounding:

Original pentagon. No corners are rounded. | After applying rounding to two corners. The lower-left corner has been clipped.

If the Miter option is enabled, then the corner will be clipped instead of rounded.


Cutting and Routing - ProfileLab

Cutting and Routing

This chapter discusses the Machine menu commands, which concerns configuration controls for your router, and managing tool paths that are applied to workspace objects.

Overview of Using Cut Templates

Creating Tool Paths

Defining a Cut Template

Cut Preview

Machining Defaults

Machine Setup

Tool Library

Materials Library

Convert to Online Tool Path

Node Editing a Tool Path

Edit Start Point

Job Analysis

Cut Tool Usage

Plot Spooler


Using Cut Templates

Overview of Using Cut Templates (to Create Tool Paths)

Newly created shapes and text do not have default cutting information. To apply such cutting info, a cut template must first be created, which can then be used repeatedly to apply tool paths to shapes. A cut template is composed of some or all of the following characteristics:

  • Type of tool

  • Type of material

  • Cutting depth

  • Number of tool passes

  • Tool speeds and feed rates

  • Lead in/lead out operations being performed

  • Bridges that are to be created

  • Clean up pass settings

When a cut template is applied to a shape, a tool path object is created according to the characteristics of the cut template. The tool path itself is an object that defines the cutting coordinates. A complex cut template can produce more than one tool path for the given shape.

If a given cut template is edited, then all tool paths that were previously created from that cut template are updated. This allows you to quickly make adjustments to your tool paths by editing the original cut template.

Sending the Job

Once tool paths have been applied, the Cut menu >> Plot command is used to activate Cut Preview mode, which is used to confirm placement of cut data before output to the given device. From the Tools toolbar, the Output Tool will also activate Cut Preview.

Proceed to Creating Tool Paths


Creating Tool Paths

see also Defining a Cut Template

Tool paths are special cutting/engraving/plotting operations that are applied to workspace shapes. In addition to being a visual workspace description of the tool movements, each tool path contains specific information about its cutting parameters, such as cutting depth and bit type.

By default, newly created workspace shapes do not have cutting paths. Instead, apply a cutting path to a selected shape by any of the following methods:

  1. Cut menu >> Cut Template Wizard - This wizard provides a step-by-step method of creating a cut template. At the conclusion of the wizard, you can either save a cut template for repeated use, or apply a one-time tool path to the selected shape.

  2. Cut menu >> Apply Tool Path flyout - The Apply Cut Template dialog will open, which allows you to choose the type of tool path that will be created.

  3. Cut menu >> Create Tool Path flyout - This will open the cut template dialog for the selected type of tool path, and clicking OK will apply the tool path to the selected shape. This method is probably the most "hands on" (i.e., verbose) method of creating a tool path.

  4. From the Tool Path Tools flyout, right-click a tool path - This will apply the most recently used tool path of that type. If there had not been a most recently used tool path, then the cut template dialog will open (see Defining a Cut Template).

Note: The Cut menu >> Use Easy Templates option will hide the Create Tool Path flyout, and cause the Tool Path Tools flyout to open the Apply Cut Template dialog instead of the Cut Template Tabbed Dialog.

These tool paths are arranged into the following classifications: Online, Male, Female, Fill, 3D Chisel, and Drill. Though these tools are accessible from the Engrave menu, they are also accessible from the Tool Path Tools flyout. Please note that the Drill tool is only available from this flyout.

For the tools chosen from the Cut menu, the setup dialog will always open. However, when choosing a tool from the Tool Path Tools flyout, left-click will always open its setup dialog, whereas right-click will assume that the previously used settings should be used. The exception to this interface behavior is the Drill tool, which is discussed later.

Delete Tool Path

Edit Tool Path

Online

Male


Use Easy Templates

The Use Easy Templates option is used to change the type of dialog that is used to choose cut templates. If Use Easy Templates is enabled, then the following is true:

  • The Cut menu >> Create Tool Path flyout will be hidden.

  • From the Tool Path Tools flyout, right-clicking a tool path will open the Apply Cut Template dialog, rather than the detailed cut template dialog that would have been opened from the Create Tool Path flyout.


Delete Tool Path

Cut menu >> Delete Tool Path

This command will remove all tool paths from the selected shape.


Edit Tool Path

Cut menu >> Edit Tool Path

For a shape that has been applied with a tool path, this command will open the editing dialog for that tool path.


Online

Cut menu >> Apply Tool Path >> Online

Cut menu >> Create Tool Path >> Online

Tool Path Tools flyout >> Online

Online defines a basic cutting path for which the tool will follow the edge of a designated shape. The resulting cut will have an offset of zero. The Online tool path is often used to trace shapes in artwork without filling the shapes with an engrave pattern.

Note: For a selected line art object, the Convert to Online Tool Path command will convert the object to into a tool path using the most recently applied Online tool path settings.


Male

Cut menu >> Apply Tool Path >> Male

Cut menu >> Create Tool Path >> Male

Tool Path Tools flyout >> Male

The Male tool path defines a basic cutting path on a selected shape, such that the resulting cut shape will fit within a corresponding female shape. The tool path will fall to the outside of the shape contour, such that the offset equals one-half of the bit width. The Male tool path is typically used to cut shapes out of a material.

For example, consider a polygon shape that is cut using a Male tool path. Suppose that the same polygon shape is also cut using a Female tool path within a larger, supporting piece. The male cut can then be fit within the inner contour of the female cut.


Female

Cut menu >> Apply Tool Path >> Female

Cut menu >> Create Tool Path >> Female

Tool Path Tools flyout >> Female

The Female tool path defines a series of cutting paths on a designated shape, such that the resulting cut shape may contain a corresponding male shape.

For example, consider a polygon shape that is cut using a Male tool path, thereby producing a male cut. Suppose then that the same polygon shape is cut using a Female tool path, thereby producing a female cut. The male cut will then fit within the inner contour of the female cut.

The tool path will fall inside of the shape, with an offset equal to one-half the width of the tool bit. The Female tool path is typically used when filling or cutting out a shape.


Defining a Cut Template

Note: When creating a cut template, it is assumed that the material (see Material Library) and cutting tool (see Tool Library) have been defined. In addition, it is suggested that distinct display colors be chosen for material, tool and cut template, such that the Tool Path Viewer (see Viewing Tool Paths) can be used to discern the various job parameters.

A cut template contains all the parameters that are used to create a tool path. By defining a cut template, it can be used repeatedly to apply those specific tool path parameters to selected objects. A cut template can be defined using one of the following methods:

A) From the Machine menu, choose the Cut Template Wizard command. The wizard steps will prompt you to define the main parameters of a given cut template.

Note: The Cut Template Wizard does not provide an option for drill points. To create a drill point cut template, right-click Drill from the Tool Path Tools flyout.

B) From the Machine menu, choose from the Create Tool Path flyout. This will open the cut template dialog for the selected type of tool path, and clicking OK will apply the tool path to the selected shape.

C) From the Tool Path Tools flyout, right-click a type of tool path. This will open the cut template dialog for the selected type of tool path, and clicking OK will apply the tool path to the selected shape.

For methods (B) and (C), the cut template dialog provides access to ALL the possible cut template parameters for that type of template. As such, the cut template dialog is considered to be the expert controls when creating or modifying a cut template.

The Cut Template Wizard

Viewing Tool Paths

Default Tool Path View Settings

The Cut Template Database

Cut Template Tabbed Dialogs


The Cut Template Wizard

The Cut Template Wizard provides a step-by-step creation process for cut templates. The number of wizard pages and available parameters will depend upon the type of cut template being created, as well as the extra parameters that are selected (e.g., clean up pass, lead in/out, etc.).

On the final wizard page, you will be able to perform either of the following:

  • Create a cut template - Type the template name in the Cut Template Name field, and then click the Add New button. If you click Close without adding a template, then no cut template will be created.

  • Apply a tool path - If a shape had been selected before starting the wizard, then the final wizard page will have an Apply button, which will create a tool path for the shape using the wizard settings.

Note: Unless you have created a new cut template, then the tool path will be "nameless" (i.e., it will be a single application tool path that was created only for the selected shape, and it will have no reference to a saved cut template).

A typical wizard sequence is as follows:

1) From the Cut menu, choose the Cut Template Wizard.

2) Click Next to proceed past the introductory wizard page.

3) Choose the type of tool path that this Cut Template will create.

4) Click Next to proceed to the “Use New or Existing Cut Template”. Use the following figure as a guide:

5) Click Next to continue with the remaining wizard pages. The pages will vary according to the type of cut template and any additional parameters that you choose.

6) On the final wizard page, either of the following can be performed:

  • To create a reusable cut template, type the Cut Template Name and then click the Add New button.

  • If a shape had been selected prior to beginning the wizard, then click Apply to create a tool path for the shape.

7) Click Close to finish the wizard.


Viewing Tool Paths

View menu >> Show Tool Paths

View menu >> Show Tool Path Viewer

When a tool path is applied to an object, the tool path should appear like a thick stroke along the object contour. If the tool path is not visible, then verify that the Show Tool Paths option is enabled.

Under the View menu, activating the Show Tool Path Viewer option will open the Tool Path View dialog. This dialog is used to display a color representation of the various job parameters. For example, if "Tool" is selected from the drop-list, then all tools being used on the workspace will be displayed according to the colors set from the Tool Library dialog.

  • Normal – Display objects using their assigned screen colors.

  • Template – Display the specific cut templates that have been applied.

  • Tool – Display where different tools will be used to cut the job.

  • Path Type – Display the categories tool paths that have been applied.

  • Material – Display the type of material that each cut template has been set for.

  • Depth – Indicate the cutting depths in varying levels of gray.

  • Feed Rate – Indicate the feed rate in varying levels of gray.

  • Plunge Rate – Indicate the plunge rate in varying levels of gray.

The Show Direction checkbox is used to indicate the direction of the tool as it cuts each object.

The Show Order checkbox is used to indicate the sequence in which objects will be cut. Each object will be numbered to indicate their cutting order.


Default Tool Path Settings

The workflows in Torchmate are flexible in order to remain accessible to a variety of production shops. However, a typical configuration for working with tool paths is as follows:

1) Choose Machine menu >> Machining Defaults to open the Output dialog.

2) If the Output Tool Paths option is ticked, then click to remove the tick.

3) Click the Output Tool Paths option to open the Tool Path Options dialog.

4) Click the Output Tool Paths option. Enabling this option indicates that the tool paths will be previewed in the Cut Preview state.

5) Clear the “Also Output Contour Paths” option. If this option were checked, then all objects (aside from tool paths) will be viewed as contour cutting paths in the Cut Preview state. By disabling this option, only tool paths will be previewed in the Cut Preview state.

6) Click OK to close the Tool Path Options dialog. The view will return to the Plot dialog.

7) Click Apply button, and then click Close. These default settings will now be automatically applied when entering the Cut Preview state.

At this point, suppose that we have created a design that includes tool paths:

8) Choose Cut menu >> Plot to enter the Cut Preview state. The Banner Fill / Tool Paths Only button will be selected (depressed), which indicates that tool paths will be displayed as per the Tool Path Options that were set earlier.

9) To begin sending the job, click the Cut button that is at the far-right of the Cut Toolbox toolbar:


Cut Template Database

Cut menu >> Cut Template

All of the cut templates in Torchmate are stored in a database file ( CutTmpl.mdb ) in the Torchmate install directory. To choose an alternative database, use the Cut menu >> Cut Template command, which will open a browse dialog for selecting the given MDB file.


Cut Template Tabbed Dialogs

The Cut Template tabbed dialogs are considered to be the advanced controls for creating and applying cut templates. For the given type of tool path, the corresponding cut template dialog will open. The dialog is organized as a collection of tabs, some of which are common amongst different types of tool paths. For example, the following table indicates the tabs that apply for each main type of tool path.

TAB | Online | Male | Female
Template | ■ | ■ | ■
Basic Cut | ■ | ■ | ■
Bridge | ■ | ■ | ■
Clean Up | ■ | ■ | ■
Flange |  | ■ | ■
Lead In/Out | ■ | ■ | ■

Basic Template Controls

Template tab

Basic Cut tab

Bridge tab

Clean Up tab

Flange tab

Lead In/Out tab


Basic Template Controls

Located at the bottom of each cut template dialog are the following controls:

These controls are used to add new cut templates to the Torchmate database, edit an existing template, and to accept the selected cut template for use with a tool path.

Lock Template

The Lock Template control is used to restrict the ability of users to edit the current cut template. Clicking the Lock Template button will open the Template Password dialog.

To set a restriction, enter a unique password in the field and then click the OK button.

Clear

The Clear button is used to deselect the current template in preparation for creating a new template.

Add

The Add button is used to enter a new cut template into the Torchmate database. To create a new template:

1) Click the Template tab

2) Choose the type of Material that the new template is intended for

3) Type a new Name for the template

4) Click the Add button to create this new template

Change

The Change button is used to accept changes to the current cut template. Be aware that if the current cut template has been previously used for tool paths, then changing the template will also effect corresponding changes in those tool paths.

OK

Clicking the OK button will apply the template and close the Cut Template dialog.


Template Tab

The Template tab is used to identify the cut template to use with the material being cut.

Material described in the Torchmate library are listed here. When the Filter by Material option is selected, the Template Name list will be limited to those templates that are available for the selected material.

  • The Material Library button may be clicked to either add or modify materials contained in the library.

The Template list represents all the cut templates that may be used with the selected material.

  • Name is an unique identifier for the cut templates. To create a new cut template, enter a new name in this field, and then click the Add button. A new template with default settings will be created for the selected Material. The settings of this template may then be edited, and clicking the Change button will accept any changes.

Note: A "nameless" template may be created by leaving the Name field blank. In this case, settings for this template will only be applied to the currently selected object.

  • Filter by Material is used to hide cut templates that do not apply to the currently selected material. The entire list of cut templates may be viewed by not selecting the Filter By Material checkbox.

  • Color is used to color-code the cut templates on the workspace. Each cut template may have its own identifying color. To view this color-coding information, refer to the description of the Tool Path View dialog.

  • Delete will remove the selected cut template from the database.

As a side note, here is how the color-coding for materials is used. Under the View menu, activating the Show Tool Paths Viewer option will open the Tool Path View dialog. From the drop-down list, choose "Material" to display the colors that represent the materials in the workspace.


Basic Cut Tab

The Basic Cut tab is used to define the main cut settings for the Online, Male, Female, and Drill Tool cut templates.

Control

The Basic Cut option indicates the type of cut operation being performed. For the Basic Cut tab, this option will remain checked.

Tool

The Tool drop-list shows all the available tools in the Tool Library, including the current selection. New tools may be added by clicking the ellipsis button, which will open the Tools Library dialog.

Inlay

The Inlay option is used to accommodate the mating of a male and female shape without interference occurring at the corners. For a male shape, the outside corners will be rounded with a radius equal to half the tool diameter. Similarly for a female shape, the inside corners will be rounded with a radius equal to half the tool diameter. There is no inlay for an Online cut template.

Toggling the Inlay option will change the field between Offset and Gap type:

  • Gap defines the separation between a pair of corresponding male/female mating parts. When cutting, half of the material removed to produce the “gap” is removed from the male part, and the remaining half will be removed from the corresponding female part.

  • Offset defines an additional amount of material to be either removed or left in place when not creating an inlay. For example, a value here could be used to compensate for a worn tool. For a male part, a positive value will leave material behind. For a female part, a positive value will take more material out.

3D Sharpen Corners

The 3D Sharpen Corners option is available when applying an Online tool path. Enabling this option will cause Torchmate to sharpen the inside edges of shapes and lettering. To do this, a three-dimensional tool path is generated that starts cutting from the maximum depth of the corner, and which then works outward until the corner is complete.

Depth

The Depth controls are used to limit the amount of material that is removed in a given pass.

  • The Depth field defines the maximum vertical movement of the tool into the material, relative to the surface of the material.

  • The Surface field introduces an offset to the actual surface of the material. Positive values here will cause the tool paths to be cut deeper into the material. Using this value can be useful for creating a deeper cut without reapplying a tool path, though care must be taken to avoid exceeding the physical limits of the tool (and thereby ruining the work).

  • Total Passes indicates the total number of passes that will occur before the full depth will be cut out. Multiple passes reduces the stress on the material itself, though at the cost of additional time to complete the job.

  • When enabled, Fixed First Pass will indicate the precise depth to be used for the initial pass.

  • Maximum Per Pass indicates the maximum change in depth that the tool may perform between consecutive passes. Setting this value can help control the amount of stress on the material.

  • Fixed Last Pass, when enabled, will indicate the depth of the final pass.

Direction

The Direction controls direct the rotation of the tool head when cutting a closed shape. There is no direction control for an Online cut template.

  • Conventional causes the tool to travel counter-clockwise when cutting male shapes and clockwise when cutting female shapes. Rotation of the tool bit causes the tool to pull toward the shape. A clockwise spindle rotation is assumed.

  • Climbing causes the tool to travel clockwise when cutting male shapes, and counter-clockwise when cutting female shapes. Rotation of the tool bit causes the tool to climb away from the shape, and scrap will stick to the side of the cut.

Tool Path Cornering

The Tool Path Cornering controls determine how the tool moves when cutting around corners.

  • Sharp indicates that the tool moves past the corner before changing direction for the next side to be cut. This reduces burning on corners.

  • Roll indicates that the tool pivots about the corner being cut while changing direction to cut the next side. This creates smoother machine motion on the corners of the shape.

Move Control

The Move Controls are used to limit the velocity of the tool within the material.

  • Feed Rate refers to the tool velocity during horizontal movements.

  • Plunge Rate refers to velocity as the tool lowers into the material.

  • Spindle speed refers to the rotational velocity of the tool.

  • Dwell Time specifies the time period for which the tool must pause. This pause is applied both after a vertical movement, as well as before a horizontal movement.


Bridge Tab

The Bridge tab is used to specify the shape and placement of bridges about a work piece. A Bridge is a small piece of material left uncut between the object being routed and the substrate being cut from. The bridge prevents the otherwise free object from moving until all cut operations have completed. For small objects, bridges are particularly effective. Bridges are made during the basic cut operation using the basic cut tool.

Control

  • The Create Bridges option indicates that bridges should be created.

  • The Cut Bridges option will cause all bridges to be removed at the end of the basic cut operation, which will separate the piece from the material.

Type

The Type controls are used to indicate the shape and dimensions of the bridges, as well as the frequency with which they are placed about the object.

  • Tab indicates that the bridges must retain the height of the object being cut. The length of the tab is specified in the Length field.

  • Rectangular indicates that the dimensions of the tab can be specified using the height and width fields.

  • Triangular indicates that the tab will be shaped like a triangle, the dimensions of which are specified using the height and width fields.

  • Apply to Clean-up Path, when checked, will cause the bridges to be given a clean up pass using the fine tool specified under the Clean Up tab.

Dimensions

The Dimensions of each tab are specified using the height and width fields. Units will correspond to the ruler units currently set in Torchmate.

Distribution

The Distribution controls are used to arrange the placement of bridges about the object. The first bridge is always placed at the start point of the object being cut.

  • Quantity indicates the number of tabs that will be evenly spaced around the object.

  • Distance is used to space tabs by the indicated amount. The number of tabs placed depends on the overall size of the object.


Clean Up Tab

When cutting an object to a deep, final depth, there is an advantage to using several cut passes at progressively deeper cut settings. Multiple passes are used to avoid burning the material or stressing the bit, to ensure that the corners being cut are sharp, and to reduce the amount of time required to complete the cutting process. However, multiple passes often leave a “stepped” appearance to the finished object, usually because of a progressively worn bit, or minute shifts in the material.

A Clean Up pass is used to finish the job by tracing the edge of the object, such that a consistently smooth surface will result.

The Clean Up tab is used to specify the parameters for a Clean Up pass:

Control

The Clean Up checkbox is used to indicate that a clean up pass is required.

Tool

The Tool drop-list provides selection of all the available tools in the Tool Library, including the current selection. New tools may be added by clicking the ellipsis button, which will open the Tools Library dialog.

Dimensions

The Amount field indicates any extra amount of material to be removed by the clean up tool. When the Clean Up checkbox is enabled, the basic cut will compensate by leaving an extra allowance of material that is equivalent to the value in the Amount field. This extra amount will then later be removed in the Clean Up pass.

Note that the Amount field may not exceed the Maximum depth per pass setting for the selected tool.

Depth

Multiple passes of the Clean Up tool are possible. The Depth shown on this tab corresponds to that of the Basic Cut tab, and the Total Passes field indicates the number of Clean Up passes that will be performed.

Direction

The Direction controls direct the rotation of the tool head when cutting a closed shape. There is no direction control for an Online cut template.

  • Conventional causes the tool to travel counter-clockwise when cutting male shapes and clockwise when cutting female shapes. Rotation of the tool bit causes the tool to pull toward the shape. A clockwise spindle rotation is assumed.

  • Climbing causes the tool to travel clockwise when cutting male shapes, and counter-clockwise when cutting female shapes. Rotation of the tool bit causes the tool to climb away from the shape, and scrap will stick to the side of the cut.

Move Control

The Move Controls are used to limit the velocity of the tool within the material.

  • Feed Rate refers to the tool velocity during horizontal movements.

  • Plunge Rate refers to velocity as the tool lowers into the material.

  • Spindle speed refers to the rotational velocity of the tool.

  • Dwell Time specifies the time period for which the tool must pause. This pause is applied both after a vertical movement, as well as before a horizontal movement.


Flange Tab

The Flange controls are used to define how a "tab" (also known as a "shoulder") is applied to a piece that is being cut. A flange is added to either the male and/or the female fitted pieces to prevent the male piece from falling through its mating female piece as shown below.

Control

The Flange checkbox is used to enable the flange controls.

Tool

The Tool drop-list provides selection from all the available tools in the Tool Library, including the current selection. New tools may be added by clicking the ellipsis button, which will open the Tools Library dialog.

Dimensions

  • Flange Width specifies how far the flange will protrude from the basic cut edge.

  • Flange Height specifies the thickness of the flange.

Depth

The Depth controls are used to limit the amount of material that is removed in a given pass.

  • The Depth field defines the maximum vertical movement of the tool into the material, relative to the surface of the material.

  • Total Passes indicates the total number of passes that will occur before the full depth will be cut out. Multiple passes reduces the stress on the material itself, though at the cost of additional time to complete the job.

  • When enabled, Fixed First Pass will indicate the precise depth to be used for the initial pass.

  • Maximum Per Pass indicates the maximum change in depth that the tool may perform between consecutive passes. Setting this value can help control the amount of stress on the material.

  • Fixed Last Pass, when enabled, will indicate the depth of the final pass.

Direction

The Direction controls direct the rotation of the tool head when cutting a closed shape. There is no direction control for an Online cut template.

  • Conventional causes the tool to travel counter-clockwise when cutting male shapes and clockwise when cutting female shapes. Rotation of the tool bit causes the tool to pull toward the shape. A clockwise spindle rotation is assumed.

  • Climbing causes the tool to travel clockwise when cutting male shapes, and counter-clockwise when cutting female shapes. Rotation of the tool bit causes the tool to climb away from the shape, and scrap will stick to the side of the cut.

Move Control

The Move Controls are used to limit the velocity of the tool within the material.

  • Feed Rate refers to the tool velocity during horizontal movements.

  • Plunge Rate refers to velocity as the tool lowers into the material.

  • Spindle speed refers to the rotational velocity of the tool.

  • Dwell Time specifies the time period for which the tool must pause. This pause is applied both after a vertical movement, as well as before a horizontal movement.


Lead In/Out Tab

The Lead In/Out tab is specifies how the tool must initially approach objects as they are cut, as well as how the tool must depart an object upon completion. A Lead In is commonly used to introduce the cutting tool into the material. Often, the tool starts away from the edge of the shape, so that it is fully into the material before cutting the first edge of the shape begins. A Lead Out is used to control the withdraw of the tool away from the shape.

Control

  • Selecting the Create Lead In option activates the controls for defining how the tool will approach the object being cut.

  • Selecting the Create Lead Out option activates the controls for defining how the tool will move away from the object being cut.

Lead In

The Lead In controls are used to specify the approach of the tool towards the object. The tool may approach on a straight line, or on a curve.

  • Selecting Arc specifies that the tool should follow a curve toward the object. A radius for the arc must be specified. The Radius must be specified when an Arc lead in is used.

  • Selecting Line specifies that the tool should follow a line toward the object. The length of the line and the angle of approach must be specified.

  • The On Line setting will cause the tool to follow the expected cutting path as it initially lowers (ramps) down into the material. The Length indicates the total distance over which the tool will travel as it achieves the required depth for that pass.

Lead Out

The Lead Out controls are used to specify the retreat of the tool away from the object.

  • Selecting Arc specifies that the tool should follow a curve away from the object. A radius for the arc must be specified. The Radius must be specified when an Arc lead in is used.

  • Selecting Line specifies that the tool should follow a line away from the object. The length of the line and the angle of away from the object must be specified.

Plunge Type

These controls are active only when the Create Lead In option is selected. The Plunge Type controls are used to adjust the descent of the tool into the material. Four styles of lead in are available: Normal, Ramp, Helix, and Zig Zag.

  • Normal - The Normal plunge style causes the tool to lower vertically into the material, according to the rate set for the Basic Cut plunge rate.

  • Ramp - The Ramp plunge style will combine the lead-in with a sloped approach toward the shape.

  • Helix - The Helix plunge will follow a three-dimensional curve as it lowers into the material. The curve is created as if it were plotted onto the circumference a cylinder of the given Radius. The Total Length indicates the maximum distance that the tool will travel along the circumference of the “cylinder.”

  • Zig Zag - The Zig Zag plunge style causes the tool to move back-and-forth over the same distance, while gradually lowering into the material. The Cycle Length indicates the distance that will be traveled for either a zig, or a zag. The sum of the zigs and zags will not exceed the Total Length setting.

For both the Helix and Zig Zag styles, the Slope field will indicate the ratio of plunge depth versus the distance traveled by the tool. Also, the Cycle Number is an indication of the total number of cycles that will be repeated by the tool.

Overlap

The Overlap amount is used to cut past the original end point, which helps to ensure a clean finishing cut.

Adjust Start Point

When editing a cut template, the Lead In/Out tab now has an Adjust start point option that specifies the general direction from which the tool will be set to begin cutting the shape. For example, if the start point is set to the bottom-right corner, then the tool path will begin shapes in the general location of their bottom-right bounds.


Engrave Preview

Cut Preview

Cut menu >> Output

The Cut Preview mode will display the workspace shapes as they will be cut upon the material. The SmartBar displays the current cut settings, as per Cut menu >> Plotting Defaults. The Cut Toolbox provides additional functions that can be applied to the job before cutting.

Except where noted, any settings made using the SmartBar controls or the Cut Toolbox will not change the default values. Instead, such changes will only apply to the current job.

Note: In order to perform Plotter Jog operations, registration marks must be included as part of the job.

A convenient cutting feature is that only those objects with currently active colors will be cut. This allows for the cutting of specific workspace objects, while leaving other objects uncut. For more information about active and inactive colors, please refer to the Shop Palette descriptions.

Assuming that all the SmartBar and Cut Toolbox settings are correct, the job may then be sent for cutting. The entire job can be sent by clicking Cut, or selected portions of the job can by output by clicking the Sort and Cut by Color button.

Sort Cut Order by Color

SmartBar Preview Controls

Cut Toolbox


Sort Cut Order by Color

If only selected portions of the job are being output, then the Sort Cut Order by Color dialog will list the color layers that are available for output. If defined, then the name of the color will also be listed.

Next to each color is a checkbox that is used to indicate whether that color layer is output. In addition, the order of the jobs being output can be changed by dragging the color layers.

To output the active color layers, click the Cut button. Each color layer will be sent as a separate job.


SmartBar Preview Controls

When first entering the Cut Preview mode, the SmartBar settings will indicate the current default settings. Except where noted, changes to the SmartBar controls will apply to the current job, and leaving the Cut Preview mode will cause such changes to be lost.

Device

The Device drop-list indicates where the cutting data will be sent.

To the right of the drop-list, clicking the Device Setup button will open the Plotter Setup dialog. Edits to the Plotter Setup dialog will be saved as changes to the default settings.

Note: The Plotter Setup dialog is discussed later in this chapter.

Tool

The Tool drop-list indicates the available tools for the currently selected device.

To the right of the drop-list, clicking the Tool Setup button will open the Tool Options dialog. The Tool Options dialog is used to adjust the driver options for the given cutter. Edits to the Tool Options dialog will be saved as changes to the default settings.

Note: The Tool Options dialog is discussed later under the Plotting Defaults section.

Repeats Setup

Repeats Setup indicates multiple copies of the current workspace shapes. Clicking the Repeats Setup button will open the Repeats dialog.

Media Size

The Media Size indicates the available cutting area of the machine. By default, these values are taken from the Plotter Setup dialog.

Position

The Position indicates the coordinates of the shapes on the media. Initially, the objects can only be moved as a group. However, if the shapes are nested, then individual shapes may be selected and moved.

Size

The Size indicates the width and height of the shapes on the media. Initially, the shapes are moved as a group. However, if the shapes are nested, then individual shapes may be selected, and the Size fields will apply to the currently selected object.

When scaling by a fixed percentage, the Proportional Scaling button may be clicked to lock the aspect ratio.

Cut Preview

At the far-right of the SmartBar is the Cut Preview button. Clicking the Cut Preview button will toggle the Tile Preview, which shows how tiles will be positioned upon the media.

Tiles will be stacked in an attempt to reduce wasted media. However, individual tiles may be selected and moved. Clicking the Cut button will send the job to the cutter.

Clicking the Tile Preview button will return to the Cut Preview mode.


Cut Toolbox

The Cut Toolbox provides additional commands that may be applied to the job.

Customize the Toolbox

The toolbox buttons can be customized. This is done by right-clicking one of the buttons that does not have a setup dialog associated with it. For example, right-click a rotation button to open the Cut Tools dialog.

The Cut Tools dialog lists all of the available toolbox buttons, and only the checked buttons will be displayed.

Note: Changes to the toolbox will not take effect until the preview state is exited.

Rotation

Rotate the shapes by either 90 or –90 degrees. Perform a rotation to help minimize wasted material.

Mirror

Mirror the shapes either vertically or horizontally. Typically, Mirror is used where the media is to be reverse-applied, such as the inside of a window pane.

Nesting

Nesting opens the Nesting dialog. Nesting will rearrange the layout of shapes on the media, so as to minimize wasted material.

With respect to grouped objects, Nesting can remove objects from their groups in order to nest individual objects. However, a query dialog will confirm whether grouped objects should be broken up.

Note: The Nesting controls are described under Advanced Cutting and Plotting.

Tiling

Workspace shapes may be organized into tiles, which is a useful method of sub-dividing the job into manageable sections. In addition, the amount of wasted material may be reduced by "stacking" tiles on the media.

Note: For more information about Tiling, please refer to the Advanced Cutting and Plotting section.

Registration Marks

Left-clicking the Registration Marks button will open the Registration Marks popup. Click the style of registration marks that are required, and the registration marks will be placed about the workspace shapes.

To set the default locations of the registration marks, right-click the Registration Marks button. The Registration Mark Setting dialog will open, which may be used to indicate the default Positions, Size and Offset of the registration marks.

Note: For more information about Registration Marks, please refer to the Advanced Cutting and Plotting chapter.

Weed

Left-clicking the Weed button will activate the weed border, and the preview will show the border that is created around the shapes.

The Weed offset value from the General Preferences dialog will be used. To use a different Weed offset value, right-click the Weed button, and the Weed Setup dialog will open. Changing the Weed offset value will apply to the current job being cut, but the default value will not be changed.

Note: For more information about creating Weed lines, please refer to the Advanced Cutting and Plotting chapter.

Zoom

The Zoom tools are used to change the perspective of the shapes being previewed. In addition to these buttons, the keyboard shortcuts may also be used.

Sort

Sort settings may be applied to any non-routing object. Clicking the Sort button will open the Sort dialog.

Note: The Sort dialog settings are described under the next section, Plotting Defaults.

Poll Plotter

Where supported, query the plotter for information about the dimensions (Width and Height) that are available for output.

Enable Jogging

Torchmate supports Plotter Jog functionality. When the Enable Jogging button is clicked, the Jog Modes dialog will query for the type of jogging that is required.

For most cutters, the Full axis jog will be used. See the Full Axis Plotter Jog section (Advanced Cutting and Plotting chapter) for more information.

To use Single point jog, there must be one registration mark on the workspace. With the Single point jog option enabled, starting a job will position the tool at the registration mark, and the job will then proceed as if the registration mark were the origin. However, the Single point jog feature is supported by a relatively few number of cutters.

Pounce

During the cutting or plotting job, the Pounce setting may be used to create shapes that have either a perforated or broken line pattern. This pattern is created by lifting and lowering the tool during the job.

If the Pounce button is depressed, then pounce is enabled. Right-click the Pounce button to edit the pounce defaults.

  • The Dash field indicates the length of the perforation or drawn line.

  • The Plate field indicates the spacing between each perforation or line.

Filter by Color

Use the Filter By Color option to send only one color layer as output to the cutter. When enabled, the Filter By Color dialog will open.

Clicking the Filter Layer color picker will display all the color layers that have been assigned to shapes on the current workspace. Choose the color that will be output and click the Select button. The preview will display all shapes of the indicated color.

If the Filter Registration Marks option is enabled, then registration marks will be cut with all layers.

Note: If any thick lines are present in the drawing, then their colors will appear within the Filter Layer color picker.

Selection Mode

The Selection mode determines which parts of the workspace should be sent as output.

  • If the Selection mode is Page, then all shapes on the given sheet layer will be valid for output.

  • If the Selection mode is Sign Blank, then only shapes that are on the sign blank will be valid for output.

The Cut Preview will only display shapes that are valid for output, as per the Selection mode.

Banner Fill

Usually, tool paths will be applied to workspace shapes prior to entering the Cut Preview state. However, the Banner Fill button may be used to apply a default fill, such as a thick pen fill.

After a default fill has been applied, the Cut Preview will show the path that will be used to fill the shape. If the path is not visible, then verify that the Show Tool Diameter item (View menu) is unchecked.

Right-click the Banner Fill button to open the Fill dialog. These settings are used to customize the banner fill settings.

  • The None fill style indicates that there is no fill style. The edges of objects will be traced, but no fill will occur.

  • The S-Sweep fill style will generate a series of fill lines that are similar to the Line Sweep fill, except that the line paths are joined wherever possible. This is a relatively quick fill, since the number of lift and drop movements are minimized.

  • The Line Sweep fill style will generate a series of separate and discrete fill lines. This fill pattern is designed for those devices that have a short maximum path length, which requires short fill paths. The disadvantage is that the cutting head lifts and drops for each fill path, which increases the amount of time required to fill the given object.

  • The Fill overlap field indicates the amount that each successive pass should overlap the previous pass. This overlap is used to ensure that there are no gaps between contiguous passes of the pen. The overlap is expressed as either a fixed value (in the current workspace units), or a percentage of the Pen diameter.

  • The Angle field indicates the angle of pen strokes as objects are filled. An Angle of zero degrees corresponds to the x-axis. When working with an object that "leans" in a given direction, proper setting of the Angle can result in significant reductions of production time.

Output

Begin sending the job to the plotter/cutter device.


Engraving Defaults

Plotting Defaults

Cut menu >> Plotting Defaults

The Plotting Defaults are used to configure the given device that will be used for cutting or plotting. These defaults will be used during the Cut Preview mode, though most settings may be overridden on a per job basis.

The Output dialog controls are described in the following sections. In some cases, it may be necessary to refer to the Advanced Cutting and Plotting section.

Copies

Options

Tool

Move

Smoothing

Cut

Object Start Point


Copies

Where more than one copy is being cut, the distance between jobs may be specified.

  • The Use Driver Copies option is an engraver-friendly copy command. As each engraver copy is completed, load the next sheet of material for the subsequent copy. Each copy will be engraved using the same series of tool movements.

  • The X space represents the space between jobs cut side-by-side.

  • If Stack Copies is enabled, then the Y space represents the space between jobs above one-another. The distance is measured in current workspace units.


Options

This section is used to take advantage of some of the advanced features available with the Torchmate cutting routines.

Mirror

Sort

Axis Swap

Weed Border

Cut by Color

Output Tool Paths

Jog and Origin Jog


Mirror

Plot a mirror image of the job. This is used for a graphic that is to be reverse-applied, such as cutting from the inside of glass.


Explanation of Controls - Page 4

Sorting Configuration Controls

If the Sort checkbox is ticked, then the Sort Tool Paths dialog will open before entering the Cut Preview state.

Tool Path Groups

  • There are four groups under the Tool Path Groups column, and to the right of each group are a Sort Priority window and Sort Order window. In the above screenshot Group One is emphasized.

  • In terms of overall cut order, the tool paths belonging to Group One will be processed first, followed by Group Two, then Group Three, and then Group Four.

  • To move a tool path type between groups, click-and-drag the given tool path. Likewise, the order of tool path types within a group can be changed by dragging.

  • The Sort Priority and Sort Order windows provide additional sorting choices.

  • If tool paths are grayed out, then none of that tool path type is amongst the cut templates being applied.

  • For example, in Group One above, there is at least one Drill Point operation amongst the previously selected cut templates. In contrast, there happen to be no Hog Fill Basic, Hog Fill Fine, nor Hog Fill Cleanup tool paths, so they are grayed out.

Sort Priority

  • The Sort Priority window lists the possible sort criteria that can be applied to the given tool path group.

  • Each criteria has a checkbox, and the criteria is only applied when there is a tick within the given checkbox.

  • The order of criteria can be changed by dragging the name within the list.

Sort Order

  • In the Sort Priority window, click the criteria name to display the choices within the Sort Order window.

  • For example, in the above screenshot, clicking Tools showed that only "End Mill, 5mm" tool was available as a choice.


Axis Swap

Enabling this option will rotate the axis by ninety degrees (90°) counter-clockwise (CCW). This is a convenient way to save vinyl, especially when cutting long strings of single line text.


Weed Border

If the Weed Border option is enabled, then the Weed button will be automatically enabled during the Cut Preview mode.


Engrave by Color

Cut by Color

If this option is enabled, then entering the Cut Preview mode will automatically open the Filter By Color dialog.


Output Tool Paths

Enabling this option will open the Tool Path Options dialog. The Output Tool Paths option is used to output tool paths that have been applied to workspace shapes. The Engrave Default Tool Path option will create a default tool path for all workspace shapes.

If the Engrave Default Tool Path option is enabled, then clicking the Edit Default Tool Path button will open the Fill dialog. The Fill dialog indicates the parameters of the default tool path.

  • Tool lists all the available tools in the Tool Library, including the current selection. New tools may be added by clicking the ellipsis button, which will open the Tools Library dialog.

  • Depth indicates the overall vertical movement of the tool into the material in relation to the surface of the material.

  • Inside indicates that the tool must cut the object along the interior of the object at a distance equal to one-half the tool diameter. This option is equivalent to cutting a Female tool path.

  • Online indicates that the tool must cut along the object contour. There is no deviation of the tool from the object contour, and this option is equivalent to cutting an Online tool path.

  • Outside indicates that the tool must cut the object along the exterior of the object at a distance equal to one-half the tool diameter. This option is equivalent to cutting a Male tool path.

  • Tool rotation is counter-clockwise. Click this button to toggle tool rotation between clockwise and counter-clockwise rotation.

  • Fill style allows the selection of a variety of style or patterns that the tool can follow during the hogging operation. The available styles are None, S-Sweep, Line Sweep, Spiral, Reverse Spiral, Island, Reverse Island, and Sweep Tool Down.

  • Fill overlap indicates the amount by which each successive hogging pass should overlap the previous pass. Overlap is used to ensure that all material is removed between contiguous passes of the tool. The Overlap is expressed as a percentage of the tool diameter.

  • The Cut Parameters button opens the Engrave parameters dialog, which is used to control the number of passes that must occur before the full depth is cut out.


Jog

If the Jog option is enabled, then the Enable Jogging button will be automatically enabled during the Engrave Preview mode.

Origin Jog

The Origin Jog feature is supported by a relatively few number of cutters.

To use Origin Jog, there must be one registration mark on the workspace. When the Origin Jog option is enabled, starting a job will position the tool at the registration mark, and the job will then proceed as if the registration mark were the origin.


Tool

The Tool section is used to define the tool parameters for the present cut or plot.

This list below contains a complete list of all tools available for the specified driver. Examples of these tools include:

Air Brush | Both Spindles | Drill
Drag Knife | Knife | Engraver
Left Spindle | Manual depth | Multi-pass
Multi-pass depth | No depth | Pen
Pounce | Pounce Wheel | Racer Blade
Right Spindle | Router | Single-pass depth
Spindle off | Trailing Blade |

Depending on the currently installed driver, only a limited selection of these tools may be available in the list. For the cut or plot job, select the appropriate tool from the list.

Trailing or Drag Knife

Select the Trailing or Drag Knife tools if:

  1. There is a CADlink Racer Blade tool in the Gerber tool holder.

  2. The plotter is equipped with a Trailing Blade or Drag Knife.

Choosing this tool invokes a routine that allows for the movement of the knife-edge, which is offset from the center of the tool. Without this routine, the objects would not be cut properly, and corners would not be cut sharp. However, note that most cutters that support a Drag Knife also have their own routines that compensate. In light of this fact, never set Drag Knife mode for both the cutter and Torchmate, as this will result in a poor quality cut.

Multi Cut

Certain materials, such as sandblast film, require multiple passes of the vinyl cutting blade because the material is extraordinarily durable. Once the Multi Cut option is enabled, the # Passes field is used to specify the number of passes that should be performed.

Note that the value set here is dependent upon the material in question, and that an experienced operator will know the correct number of passes.

Pounce

During the cutting or plotting job, the Pounce setting may be used to create objects with either a perforated or broken line pattern. This pattern is created by lifting and lowering the tool during the job.

Select the Pounce option to activate the Dash and Space fields.

  • The Dash field indicates the length of the perforation or drawn line.

  • The Space field indicates the spacing between each perforation or line.


Move

This section specifies where the cutter will begin to plot on the X- and Y-axis. By default, the plotter will normally begin cutting a graphic file at the lower left-hand corner of the vinyl. The current unit of measurement will be used when setting these fields.

  • X move - Movement along the length of the vinyl (the X-axis).

  • Y move - Use this field to adjust the origin for plotting across the width of the vinyl (the Y-axis). This feature is particularly useful when cutting an "upper" section of some used vinyl.


Smoothing

Smoothing refers to the number of vectors or arcs that are used to represent the actual curves when cutting.

  • A higher smoothing setting will increase the number of vectors that represent a curve, thereby producing a smoother appearance to the finished work.

  • The consequence of higher smoothing is that the greater amount of cutting data requires a corresponding amount of computation, which increases the time to complete a given job.

  • Low - Results in a faster cut, though perhaps at the cost of some drawing resolution.

  • Medium - Results in a marginally slower cut, but a reasonable amount of smoothing is applied. This is an optimal setting that is recommended for most cutting operations.

  • High - Applies a maximum amount of smoothing to the original drawing. Cutting will be slow, but accurate.


Engrave

Cut

The Cut section determines which parts of the workspace are going to be output.

  • Page - Plot all objects on all active layers of the workspace. Objects will be shifted from the lower left of the page.

  • Sign Blank - Cut only those objects that appear on the sign plate. Objects that are partially on the sign plate will be partially cut.

  • Selected - Only selected objects will be cut. The Selected option is applied in addition to the other Machining settings.


Object Start Point

As each object is cut, the position at which cutting begins may be specified here. Setting this option is used to introduce consistency in tool movements as each shape is cut.

  • Current - This is the usual default, which uses the mouse click positions when the object was originally constructed.

  • Bottom - Use the lowest point on each object as a starting point.

  • Top - Use the highest point on each object as a starting point.

  • Left - Use the left-most point on each object as a starting point.

  • Right - Use the right-most point on each object as a starting point.


Plotter Setup

The Plotter Setup dialog provides advanced configuration for the plotter or cutter.

  1. From the Cut menu, choose Plotting Defaults to open the Plot dialog.

  2. Choose Setup to open the Plotter Setup dialog.


Plotter tab

This tab lists the available drivers. A driver is a human-readable text file that Windows uses when communicating data to a connected device, which in this case is for a cutter or plotter. Each cutter or plotter has its own driver, which should have been installed during the product installation.

    The driver version is listed at the top-right corner of the dialog.

    Machine Limits

    Custom Driver Copies

    Origin

    End Point

    Notes

    Tool Options

    Plotter ID

    Get Page Size


Machine Limits

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab

These dimensions represent the range of motion over which the tool movements are restricted during the job. Set these values to correspond with the physical limits of the router, engraver or plotter that is being used. For example, a fifteen inch plotter cannot accommodate a thirty inch wide roll of vinyl. When setting these size options, consult your operator manual for any special setting requirements. When using plotters, be aware of two important facts:

  1. The ability to accept a given width of vinyl does not imply that the device is capable of cutting across the full width. The effective width of plotters is typically at least one inch narrower than the vinyl width it can accommodate, and the plotter manual must be consulted for exact maximum-width dimensions.

  2. Some plotters will reset or stall when the maximum length is exceeded during a job. To be cautious, the maximum length setting should always be at least one-half inch (12mm) less than the maximum settings that are suggested by the plotter manufacturer. Consult the plotter manual for exact maximum length dimensions.

The Length and Width dimensions set the default size of the tiling lines.


Custom Driver Copies

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab

This is an advanced option for use in unusual device issues.

In most cases, there is no need to edit the driver file. However, if there is a need to edit the driver file, it is advisable to create a backup copy of the original driver file.


Origin

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab

This option determines the location of the plotter Origin. The options include Upper Left, Center, or Lower Left.


End Point

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab

This option determines the final resting position of the tool after drawing or cutting an image. It can be set to End or Origin.

  • The End option causes the cutter, upon finishing a given cut, to come to rest at the origin of the next section of vinyl to be cut (the extreme lower right of the job just finished).

  • Choose Origin to cause the cutting head to return to the origin of the cut just completed. An exception to this rule is when the plotting area is tiled, in which case the tool will return to the origin of the last tile cut.


Notes

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab

Clicking the Notes button will display device specific information. Important configuration information is displayed here.


Tool Options

Cut menu >> Tool Options

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab >> Tool Options

Each machine has driver options that control the movement of the tool head. The Tool Options dialog is used to adjust these options according to the currently active driver, and the dialog fields will change to represent the options that are actually available for the driver. As an example for a given machine, the Tool Options dialog can appear as follows:

The controls that appear on the Tool Options dialog are specific to the given cutter. For full details about these controls, consult the Operator Manual that was provided with the cutter.


Plotter ID

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab

Click the Plotter ID button to query the machine for its identification code. This option is not available with all machines.


Get Page Size

Cut menu >> Plotting Defaults >> Setup button >> Plotter tab

Click the Get Page Size button to query the plotter for its currently set page size. This option is not available with all plotters.


Port tab

Cut menu >> Plotting Defaults >> Setup button >> Port tab

The Port tab is used to specify the Method of sending the cut data to the cutter.

  • Direct to port – Send cut data directly to a device that is connected to this workstation

  • Use Plot Spooler – Use the Plot Spooler to manage cut jobs


Port Location

Cut menu >> Plotting Defaults >> Setup button >> Port tab

This drop down menu is used to specify the port through which the plotter is connected. To select a port, click on the required choice. There are several types of port available:

  • Serial ports are known as COMM Ports, and vice-versa. These are the recommended type of port to use. The serial port has several features which make it the best choice, including the fact that it is designed to handle bi-directional communications (i.e., it allows the computer to communicate with the device, while also allowing the device to communicate with the computer at the same time). To use the serial port to drive the plotter, set up the serial port properly from within Windows Control Panel. For more information, consult the plotter manual.

  • LPT ports, or parallel ports are essentially printer ports. They will often work with a given plotter or cutter, but, unless there is some compelling reason to use an LPT port, a serial port is always a better choice.

  • File, redirects the plot data to a file on the hard disk. See Set Path for more information on printing to a file.


Data Rate

This is an advanced option for use in unusual device issues.

The Default data rate will be acceptable for most uses. However, adjusting the Data Rate can potentially improve the buffer efficiency when sending packets of cut data over a network. As a suggestion, consult your network administrator when trying to determine the impact of sending cut data over your network. If there are no issues, then the Default data rate is likely satisfactory.


Set Path

This option is only available when the Port selection is File. Clicking the Set Path button is used to specify the path and filename to which output will saved.

Use a meaningful extension, such as PLT.


DOS option

This is an advanced option for use in unusual device issues.

The DOS option is used to compensate for the high rate of data transmission that can occur through Windows to the cutter. A symptom of this is where the plotter moves in a series of small increments and pauses (alternating every half second). In a typical case, straight lines will be cut at a reasonable speed, but the cutting slows dramatically on curves.

By enabling the DOS option, the transmission rate will be slowed slightly, but this communication problem will be eliminated.

Note: Supporting comments can be found through the CADlink web site ( www.cadlink.com ), Tech Note 1474 of the Knowledge Base.


Use Plot Spooler

Use Output Spooler

Cut menu >> Plotting Defaults >> Setup button >> Port tab

This will cause all output, regardless of the port, to be processed by the Torchmate Plot Spooler. The Plot Spooler is optimized for transmitting data that matches the specific requirements of the given router, engraver, or plotter. Sending simultaneous jobs to multiple output devices is supported, and once a job is sent, Torchmate is free to continue editing other workspace projects.

Remote Spool

If the Spool option has been enabled, then the Remote Spool option will become available. The Remote Spool option is used to plot files across a network to a device that is attached on a different computer from the design station.


Plotter Options tab

Cut menu >> Plotting Defaults >> Setup button >> Plotter Options tab

Resolution

Manual Calibration

Origin Adjust

Send Options


Resolution

Cut menu >> Plotting Defaults >> Setup button >> Plotter Options tab

This is the factory-set resolution for the number of stepper-motions that constitute one inch. In the vast majority of cases, there is no need to adjust this value. Note that setting the wrong value here will cause jobs to be highly inaccurate.


Manual Calibration

Cut menu >> Plotting Defaults >> Setup button >> Plotter Options tab

These manual calibration fields are provided as a means of compensating for a cutter that has undergone significant usage, such that the cutter movements have lost some precision. Calibration is simply done by outputting a square shape and then measuring the resulting output.

  1. Draw a square of at least 10 inches (or 250 mm) per side, and send it as output through the cutter.

  2. Measure the cut square as accurately as possible using a ruler or caliper.

  3. In the Manual Calibration fields, indicate the original size of the square, and the size of the square as it was actually output.

  4. Click the Calculate Scale button, and a new scale factor will be calculated to ensure that cut jobs are performed correctly.

At any time, the Reset button can be clicked to restore the original values.


Origin Adjust

Cut menu >> Plotting Defaults >> Setup button >> Plotter Options tab

This is an advanced option for use in unusual device issues.

These edit fields are used to change the coordinates of the plotter origin point. This is typically used where it is desirable to send a job with adjusted origin coordinates, without needing to manually change the origin from the plotter control panel.


Send Options

Cut menu >> Plotting Defaults >> Setup button >> Plotter Options tab

These checkboxes provide precise control over which job parameters will be transmitted to the machine. If a given parameter is not being sent, then the setting from the machine control panel will be used.


Tool Library

Cut menu >> Tool Library

The Tool Library is used for organizing pre-defined sets of tools that will be used with the connected engraver. As new engraving paths are created, tools may be selected from the library instead of setting new tool parameters.

The available tools will be listed at the top-left of the dialog. When a given tool is selected, a diagram that illustrates the tool type parameters will be displayed to the right of the list.

Type

Tool Parameters

Add

Change

Delete


Type

This list box includes all of the available tool types. The Types of tools available for use with Torchmate are End Mill, V-bit, Conical, Double Conical, Round, Round bottom, Flat bottom, and Engraver. This list cannot be edited or added to. The following diagrams describe the relevant dimensions of the each tool type.

End Mill | V-Bit | Conical | Double Conical
Round | Round Bottom | Flat Bottom | Engraver


Tool Parameters

The available tool parameter controls will vary according to the type of tool. Some bits have irregular parameters, such that they have either two diameters and/or two height values.


Diameter 1, Diameter 2

The Diameter settings can be edited to within 1/1000th of a measurement unit. Diameter 1 is the total width value for any given bit, and if there are two width values, then Diameter 1 will always be the greater value. Diameter 2 is the end width value for any given bit.


Height 1, Height 2

The Height scroll boxes can be edited to within 1/1000th of a measurement unit. Height 1 is the total height value for any given bit, and if there are two height values, then Height 1 will always be the greater value. Height 2 is the point height value for any given bit.


Add

To create a new tool, choose a similar tool from the list, and then set the parameters of the new tool. Type a unique Name for the new tool, and then click the Add button.


Change

To edit an existing tool, select that tool from the list, set the new parameters for that tool, and then click Change to accept the parameters.


Delete

To remove an existing tool, choose that tool from the list and click the Delete button.


Materials Library

Displays all available materials listed in the library, for which the parameters of existing materials may be edited, or new materials added to the list.

Name

The Name field displays the currently selected material. To modify a material, choose its name from the list.

Add

To add a new material to the library, enter its unique name in the Name field and then click the Add button.

Change

For a given material, if the thickness or color-coding has been modified, then click the Change button to store the modifications.

Delete

To remove a material from the library, click the Delete button.

Thickness

This field indicates the thickness of the given material.

Color

This field allows each distinct material to be color-coded. To modify the color, click in the colored box and the Color dialog will appear. Choose an appropriate color and click OK.


Convert to Online Tool Path

This command will convert the selected shape into an online tool path. The most recently applied online tool path operation will be used. If an online tool path had not been previously used, then an unnamed tool path using default settings will be applied.


Node Editing a Tool Path

As previously discussed, the Graphic Creation Tools are used to node edit polygon and polyarc shapes. Similarly, these node editing tools may be used when:

  • The tool path is simplified (Arrange menu >> Simplify command)

  • The original shape is deleted (for which the tool path had been created)

  • The tool path is converted into a polyarc

  • The tool path is converted into a polygon

Once a tool path has been simplified or converted, its previous history is lost, and the Cut Template tabbed dialogs may no longer be used to edit the tool path. However, double-clicking the tool path will access the node editing tools.

If the tool path had been converted into a polygon, then basic node editing will be available. However, when simplified or converted into a polyarc, three new node editing buttons will be available within the SmartBar, and the selected node depth may be set.

The Node Depth may be set for individually selected nodes.

The three node editing tool path commands are described as follows:

Start Point | Set the currently selected node to be the starting point at which the tool will begin routing the path.
Lead In/Out | Use this command to adjust the position of the tool path Lead In/Out.
Bridges | Use this command to place additional bridges along the tool path. These bridges will adopt the same characteristics as the bridge that is already defined for the path.


Edit Start Point

When a tool path is applied to a shape, the starting point for the tool path will be set by default. The default start point should be adequate for most jobs, though it may be modified using the Edit Start Point item.

Note that shapes need not be selected to use the Edit Start Point item. Choosing Edit Start Point will cause small, round nubs to indicate the start point for each workspace shape. To change the start point for a given shape, hold the cursor over the shape contour, such that the cursor appears as a pair of crosshairs. When the crosshairs appear, click to place the start point.


Job Analysis

The Job Analysis dialog provides a quick and simple way of ensuring that the processed tool path will cut out properly at the table, so as to minimize the time and material expended when setting up a job.

Close Open Shapes

Enabling the Close Open Shapes option will enable the Snap Tolerance field. The Snap Tolerance is a radius value that is used to determine the end-of-line-segments that may be considered to be connected. For endpoints that do not fall within this tolerance, the shape will remain open.

Note: If a shape remains open, or the shape is closed with an undesired line, then use the design software to ensure that the shape is formed of a properly closed contour.

Node Reduction

Enabling the Node Reduction option will enable the Line Tolerance field. The Node Reduction option is used to minimize the number of nodes that are used to define a given line. To accomplish this, the Line Tolerance specifies the distance from a centerline, such that nodes will be considered to be part of that centerline. Excess nodes are then considered to be part of that centerline, and then only the centerline endpoints are used to describe the replaced nodes. By eliminating excess nodes in this fashion, the number of coordinates sent to the table are minimized, which optimizes job space at the table. For large Computer Numerical Control (CNC) files, this technique is particularly efficient.

Duplicate Contour Removal

The output to some design packages can produce multiple, duplicate shapes, where only one shape is required. Enabling the Duplicate Contour Removal option will eliminate all shapes that have identical, overlapping contours, such that only one shape for that contour will remain.

Make Parts

For two-or-more selected shapes, the Make Parts option will combine these shapes into a single part. In effect, the shapes will become part of a single path. The Correct Sequence Errors option will reorder the shapes, such that outer shapes are cut after inner shapes.


Output Tool Usage

Cut Tool Usage

Cut Tool Usage is an estimation tool that collects statistical information about the performance of the tools being used in cutting or plotting. A variety of data is gathered about each tool, such as the overall distance traveled, the number of jobs completed, and the date of the last tool change. Using this data, comparisons between successive tools may be used to make an informative decision about when tools are likely to decline significantly in performance. Tools may then be replaced in advance of this decline, thereby preventing materials from being wasted by an old tool.

Choose Cut menu >> Cut Tool Usage to open the Tool Tracking dialog. Tracking will be set for the current device that is set in the Plotting Defaults, though other tools may be chosen.

Show Traveled Distance

Estimate time for current job

History of Tool Changes

Reminders


Show Traveled Distance

If the Show Traveled Distance option is enabled, then after each cut job, a dialog will state the total distance that the tool moved during the job.


Estimate time for current job

After this option is first enabled, the next job that you complete will require that you record the approximate time to complete the job. Before the job begins, the Estimated Time dialog will open. This is simply a reminder that you need to record the cutting time.

Once you click OK, the job will continue as expected. After the job is complete, you will be asked to enter the time that was expended in completing the job.

If the estimated time must be updated later, then return to the Tool Tracking dialog and click the Setup Machine Time button. For the next job that is performed, you will be asked to estimate the job time again.

Once a time estimate has been set, use Cut menu >> Show Traveled Distance to display the time that will be required the current workspace design. By using this estimate, you can better manage your own time, since you will be able to work on other tasks and return when the current job is complete.


History of Tool Changes

Tools are indexed in sequence, from the first tool that statistics were ever gathered for, to the tool that is currently loaded into the machine.

Whenever a tool is changed, click the Replace Tool to indicate that statistics are being collected for a new tool. The Replacement number will automatically increment, and the statistics fields (Days used, Jobs done, etc.) will be reset.

The replacement number indicates the tools for which statistics are available. The scroll arrows can be used to navigate through all the previously used tools.


Reminders

The Reminders are used to prompt when a tool should be changed. Reminders may be set to occur after the number of days used, the number of jobs done, the total distance traveled, as well as the total time expended when the tool was in use.

Click the Set Milestones button to specify the parameters for a given reminder.

During the regular process of cutting or plotting a job, if a milestone is encountered, then a warning dialog will prompt you before the job occurs.

In cases where the tool must be replaced:

  1. Replace the tool.

  2. In the Reminders dialog, click the Tool replacement option.

  3. Click OK to close the Reminders dialog.

By doing this, the Replacement number will be automatically incremented in the Tool Tracking dialog, and the job will proceed using the new tool. Statistics will be collected for this new tool.


Output Spooler

Plot Spooler

The Plot Spooler is a stand-alone application that is designed to make routing and engraving more efficient. The Plot Spooler operates in the background independently of Torchmate, which allows new projects to be edited while waiting for the current job to finish. Additionally, Plot Spooler allows cutting to machines on different ports simultaneously. Use the Plot Spooler to send ASCII files from sources other than Torchmate.

If a device requires non-standard handshaking or data-encryption like those from Anagraph or Gerber, the Plot Spooler is of particular value, since it will allow for spooling of jobs to these devices. The drivers for these devices do not support the use of third party plot caching programs such as the Windows Print Manager.

Using The Plot Spooler In Torchmate

Spooler Controls


Using The Output Spooler In EngraveLab

Using The Plot Spooler In Torchmate

The Plot Spooler is enabled from the Port tab of the Plotter Setup dialog. Enabling the Use Plot Spooler option will cause cut jobs to be sent to the Plot Spooler on the local computer. If the Remote Spool option is enabled, then a directory on another network computer may be specified as the output destination.

The Plot Spooler can also be run by itself. For more information on this mode of operation, see the section entitled Plot Spooler As A Stand Alone Application.


Spooler Controls

When a job managed by the Plot Spooler begins, the Plot Spooler will appear as a minimized application. When maximized, the Plot Spooler window appears as follows:


Job Queue

Within the Plot Spooler window, the status of each job is displayed in a queue:

The order, from top to bottom, indicates the priority in which jobs will be completed. The order may be modified by dragging an inactive job to a different row in the queue. The status fields are described as follows:

Color

Indicates the color currently being plotted if the Cut by Color option is used. When cutting by color, each color corresponds to a separate job, which allows jobs to be sorted by color.

Status

This column indicates the current status of each print job. Possible types of status are:

  • Receiving - Indicates that the Plot Spooler is currently receiving a new job from Torchmate.

  • Ready - Indicates that the selected job has been completely received and is ready to be cut. To begin sending this job, select it and press the Start button. This status will only appear when Auto Start is not selected under the Options menu.

  • Pending - Indicates that the selected file has been added to the queue, but is not yet sending because the required port is busy. This is different from the Ready status, since a Pending file is automatically sent to the output device as soon as the device becomes free, whereas a Ready job must be manually started.

  • Sending - Indicates that the job is being sent through the port to the device.

  • Paused - Indicates that the job has been paused either by pressing the Pause button, or from a pause command in the file (such as for a manual tool change).

  • Done - Indicates that the entire file has been sent to the device. The job may be either deleted, or saved for later spooling.

% -- Percent Complete

Indicates the percentage of the job that has been completed.

Copies

Indicates the number of copies remaining to be sent to the device.

Port

Indicates the port through which data will be sent.

File

If Torchmate began the job, then this parameter indicates the name of the Torchmate CDL file associated with the job. Otherwise, this parameter will display the DOS filename that was manually opened for spooling.

Device

Displays the name of the output device as selected in the Plotting Defaults dialog.


Job Control Buttons

Above the Job Queue are several context-sensitive buttons for controlling the spooling process. The possible button are described as follow:

  • All Stop - Stops all jobs. Data transfer from Output Spooler to the ports is halted, pending further instructions. Note that devices may appear to be continuing because they maintain a buffer of data.

  • Continue - Send output to ports that had been interrupted by the All Stop command.

  • Pause - Stop the selected job.

  • Resume - Send output to the port that had been interrupted by the Pause command.

  • Abort - Abort the selected job.

  • Delete - Remove the selected job from the queue.

  • Start - Send the selected job data to its designated port.


Advanced Cutting and Routing - ProfileLab

Advanced Cutting and Routing

Common Line Cutting

Simulate 3D

Numerical Control Manager

Weed and Power Weed

Nesting

Badges

Registration Marks

Full Axis Plotter Jog

Tiling

Rubber Stamp


Common Line Cutting

Layout menu >> Common Line Cutting

The Common Line Cutting feature is used to prepare cutting paths that will cut contiguous pieces as a long, unbroken cut operation. This feature is typically used with plasma torch cutters, where it is preferable that the cutter be in continuous operation, rather than stopping/restarting for each new piece.

Cutting Outer Contours Only

Cutting Both Inner and Outer Contours


Cutting Outer Contours Only

Layout menu >> Common Line Cutting >> Chaining

For pieces that do not have inner contours, use the Chaining command. For example, suppose that you have an array of circle shapes.

  1. Select all of the circle shapes.

  2. Choose Layout menu >> Common Line Cutting >> Chaining.

  3. Click within the first circle. A "node marker" will appear, and there will be a line drawn to your cursor.

  4. Click within the last circle, such that a "chaining line" indicates where the plasma torch should travel between cylinders.

  5. From the SmartBar, click the Apply button.

  6. The circles will be connected by a thin line, which in this case indicates that the circles are now a combined path.

  7. Select the circles and apply the desired tool path. The resulting tool path will follow the outer contours as part of a single operation.


Cutting Both Inner and Outer Contours

Layout menu >> Common Line Cutting >> Inclusion

Layout menu >> Common Line Cutting >> Chaining

For pieces that have both inner and outer contours, first use the Inclusion tool, then use the Chaining tool. For example, suppose that you have an array of cylinder shapes (i.e., circles with an inner contour).

First using the Inclusion tool:

  1. Select all of the cylinder shapes.

  2. Choose Layout menu >> Common Line Cutting >> Inclusion.

  3. For each cylinder, click outside the cylinder and then inside the cylinder.

Each click will create a "node marker" with a line that intersects the cylinder. The intersecting line will indicate where the plasma torch will travel (i.e., cutting through the shape to reach the inner contour).

  4. From the SmartBar, click the Apply button.

Then using the Chaining tool:

  5. Select all of the cylinder shapes again.

  6. Choose Layout menu >> Common Line Cutting >> Chaining.

  7. Click within the area of the first cylinder. A "node marker" will appear, and there will be a line drawn to your cursor.

  8. Click within the area of the next cylinder, such that a line intersects the two cylinders.

  9. Press ' b ' to create a "break" in the sequence of nodes that you are drawing.

Alternatively, right-click on the workspace and choose Break.

  10. For each adjacent pair of cylinders, repeat steps 7 through 9, such that a "chaining line" indicates where the plasma torch should travel between cylinders.

  11. From the SmartBar, click the Apply button.

  12. The cylinders will be connected by a thin line, which in this case indicates that the cylinders are now a combined path.

  13. Select the cylinders and apply the desired tool path. The resulting tool path will follow the outer and inner contours as part of a single operation.


Simulate 3D

This feature is used to create a simulation of the shapes being cut out of the given material. The simulated progress of the tool may be observed to verify the intended operations.

Setting up a simulation

The ViewLab Simulation Controls


Setting up a simulation

Cut menu >> Plot >> Cut Toolbox >> Simulate 3D

The Simulate 3D feature will provide an on-screen preview of the job. When activated, the ViewLab window will open, and the material will be represented by a rectangular block that takes into account the material thickness. In addition to previewing the finished job, the ViewLab controls allow you to preview the job steps from start to finish, either as a complete animation, or one tool operation at a time.

The following is a simple example that demonstrates how the Simulate 3D feature is used:

  1. Create a star shape that is about 1" in height, centered on the material. Select the star shape.

  2. Choose Cut menu >> Create Tool Path >> Male to open the dialog for editing a male cut template.

  3. On the Template tab, select the material (e.g., "Acrylic, 10mm").

  4. Tick the Filter by Material option.

  5. Click one of the cut templates that are listed for this material (e.g., "Small Shapes, Hold with Bridges, Acrylic 10mm").

(This template has a single basic cut using a 3mm End Mill tool. In addition, there is a one-inch lead in, as well as a single bridge.)

  6. Click OK to create a tool path for the star shape.

  7. Choose Cut menu >> Plot to activate Cut Preview mode.

  8. From the Cut Toolbox toolbar, click the Simulate 3D button.

  9. The ViewLab window will open, and the result of the tool operations will be displayed.

  10. At this point, the ViewLab controls can be used to inspect the job (e.g., zoom to a closeup of the job, restart the job animation, view each step of the job, etc.).


The ViewLab Simulation Controls

Animation Controls

Restart

Rewind the simulation to the beginning.

One step

Advance the simulation by one step, then pause until the left-mouse button is clicked.

Animate to end of job

Refresh the display and animate the remainder of the job.

Animate to tool up

Show the tool movements until the next tool up action, then pause until the left-mouse button is clicked.

Animate to tool change

Show the tool movements until the next tool change, then pause until the left-mouse button in clicked.

Pause

Pause the simulation. Left-click will restart the simulation.

3D Simulation / Wireframe

Toggle between 3D Simulation mode and Wireframe mode. In 3D Simulation mode, rendering can be stopped by pressing the [Esc] key.

Zoom Controls

Magnify

Use this control to zoom into a given area. Screen rendering will restart at the increased magnification.

Back

Use this control to return the point of view to the previous view prior to using the Magnify control.

Zoom to active area

Click this control to focus the display on the area that will be routed.

Revert to workspace

After having zoomed to the active area, click this control to view the entire workspace.

Printing and Export Image

Print

Print the current ViewLab view to a desktop printer.

Export Image

The current ViewLab image as either a bitmap or Corel .PCX format.

Preferences and View Settings

Preferences

Customize the simulation colors and lighting. Click OK to apply the settings, or click Save All to use the settings as default.

Viewpoint

Rotate the simulation.

View from above

View the simulation from directly above the material.

Isometric View

View from an oblique angle to emphasize the material depth.

Side View

View from the material edge.

About >> More

From the About dialog, click More for a summary of the cuts performed, the number of discreet cut segments, and the memory required for cutting.


Numerical Control Manager

The Numerical Control Manager is a simulation tool that can step through the lines of routing syntax, one line at a time. The tool movements will be rendered in the Torchmate workspace to verify the intended operations. Most operations may also be edited by double-clicking the given line of syntax. Note that by double-clicking an operation, the tool path for that operation is rendered on screen.

  1. Choose Cut menu >> Plot to activate cut preview mode.

  2. From the Cut Toolbox, click the Numerical Control Manager button.

  3. The Output Control toolbar will open, and the entire list of tool operations will be displayed along the right-hand side of the workspace.

Reset

Reset the step pointer to the first line of syntax.

One Step

Step through the lines of HPGL or G-code, one line at a time. The down-cursor key performs the same function.

Run All

Executes the entire sequence of HPGL or G-code.

Pause

After running the output file, this control will pause the simulated execution. To continue the simulation, click the Run the Output File button.

Run To

To use this control, select the line of syntax to which execution will stop. Click the Go to Line button, and all lines up to and including the selected line will be executed as if the Run the Output File button had been clicked.

Run To Tool Up

Iterate through all lines of syntax until the next tool-up operation is encountered.

Insert

Inserting a new line of syntax will open the Add Command dialog. The dialog will query for the type of command, and fields will enable the parameters for the command to be entered. The following commands are available:

  1. User Defined is used to enter a customized command that is specific to the routing equipment being used. Please note that this command will not be considered editable.

  2. The Line to Position command is used to specify the coordinates to which the tool must move.

  3. The Arc to Position command will move the tool to the specified coordinates in the X-Y coordinate plane. The Angle field will indicate the degrees of rotation that will comprise the tool arc as it progresses toward the given coordinates.

  4. 3D Line to Position is similar to the Line to Position command, with the exception being that the coordinates are also expressed in z-space, and the Pen Down option does not apply.

Delete

Delete the selected command from the list of syntax.

Save

Command syntax may be either stored in a file for later use, or sent to a routing machine to create the actual shape. The Send From Line option is useful when the output is being sent to a routing machine, since this allows a particular job to be continued or repeated in the event of breaking a tool.


Weed and Power Weed

After cutting a vinyl shape, the shape must be peeled away from its backing. However, problems may occur when the shape doesn't pull away easily from the surrounding vinyl, in which case stretching of the vinyl may occur. To avoid stretched vinyl, a weed border may be created, which is essentially an extra rectangular cut around the shape. Once cutting is done, the rectangular cut may be peeled away first, followed by the inner shape.


Weed Border

To create a rectangular cut around the selected shapes, choose Weed Border from the Shape Tools flyout.

In the SmartBar, the Border Offset value indicates the distance that will be maintained between the shapes and the weed border.

Note: The default Weed Offset value is set on the General Preferences dialog.

The terms Weed Offset and Border Offset are used interchangeably.


Power Weed

A power weed is like a weed border, except that mid-weed lines (horizontal and vertical) may also be created. These mid-weed lines will improve the ease of pulling the finished vinyl from its backing, especially where text shapes are being cut.

To apply a power weed to selected shapes, choose Power Weed from the Shape Tools flyout.

As with the weed border, the Border Offset value indicates the distance that will be maintained between the shapes and the border.

To create a horizontal mid-weed line, hold the cursor over the bottom edge of the weed border. When the cursor appears as an up/down bi-directional arrow, left-click and drag to form the weed line. Similarly, a vertical mid-weed line is created by dragging from the left edge of the weed border.

In the SmartBar, the Line Overlap indicates how close the mid-weed lines will cut towards the shapes. A Line Overlap of zero will cause the weed lines to cut flush with the shapes, whereas a negative value will leave a gap between the weed lines and the shapes.

Note: Any part of the design that is bisected by the weed is left uncut.


Weed Border in Cut Preview

If weed lines have been applied on the workspace, then they will be indicated as cut lines during the preview mode before outputting the job, and additional weed borders can be added during in preview mode.

In preview mode, the Weed button is available on the Cut Toolbox toolbar.

Left-clicking the Weed button will activate the weed border, and the preview will show the border that is created around the shapes.

The Weed offset value from the General Preferences dialog will be used. To use a different Weed offset value, right-click the Weed button, and the Weed Setup dialog will open. Changing the Weed offset value will apply to the current job being cut, but the default value will not be changed.


Nesting

The Nesting feature rearranges objects on the cutting material with the purpose of minimizing wasted material. Objects can be flipped and grouped on the Blank Size, as well as rotated to achieve optimum usage of the cutting material.

To nest the individual letters of a sentence, the Text to Graphics command must first be used. Otherwise, the sentence as a whole will be nested without rearranging the individual letters.

To use nesting, select the objects that will be cut, and then choose Nesting from the Arrange menu. The Nesting dialog will open.

If Nesting is activated during Cut Preview mode, then an abridged version of the Nesting dialog will be available. However, the available controls are used in the same fashion as on the full Nesting dialog.

Starting Corner

Direction

Rotate While Nesting

Margins

Space Between Shapes

Error Factor of Clearance

Allow Mirrored Parts

Keep Groups Intact

Block Nesting

Nest Inner Contours

Select Sheet


Starting Corner

Choose the corner from which rearranged objects will be placed. Nesting will begin in that corner and expand across the sign blank.


Direction

Choose the direction in which rearranged objects will be spread across the sign blank. The available choices are horizontally and vertically.


Rotate While Nesting

Objects may be rotated as well as rearranged.

  • Select the Allow Increment Rotation button to activate the rotation capability. Objects will then be stepped through 360 degrees of rotation in order to find the optimum rotation before placing each nested object.

  • The Increment Angle field will indicate the amount of rotation that will occur for each step. For example, if the Increment Angle were 20 degrees, then objects will be rotated as many as 18 times (i.e., 360 / 20) in an attempt to find the optimum rotation for each object.


Margins

By default, objects will be nested to the very edge of the Sign Blank. Use the Nesting Border field to indicate a minimum distance that must be maintained between nested objects and the edge of the Sign Blank.


Space Between Shapes

By default, nested objects will be placed in tight proximity to one-another. Use the Clearance Between Objects field to specify a minimum distance that must be maintained between objects.


Error Factor of Clearance

During the nesting process, approximations are made that are based partly on the magnitude of the objects being nested. Setting a small Error Factor will produce more consistent spacing between the objects, but at a cost of more processing time. The following chart provides suggested Error Factor values, which are qualified by the broad categories of Fine, Medium, and Coarse. The table is based on the average dimension of the objects that are being nested.

Average Object Dimension | Fine | Medium | Coarse
0 < Dimension < 100 | 0.1 | 0.2 | 0.5
100 < Dimension < 1000 | 0.2 | 0.5 | 1.0
1000 < Dimension < 3000 | 0.5 | 1.0 | 2.0
Dimension > 3000 | 1.0 | 2.0 | 5.0


Allow Mirrored Parts

In addition to rearranging and rotating objects, the Nesting feature can also flip objects to improve the final placement of objects. Select the Allow Mirrored Parts button to allow objects to be flipped.


Keep Groups Intact

  • Unless this option is active, then grouped objects will be separated during the nesting process.

  • Allowing objects to be separated is useful when the final arrangement of cut shapes is unimportant.

  • For paragraphs of text, these need to be manually ungrouped (or converted to graphics) before individual letters will be nested.


Block Nesting

Each object has a rectangular bounding area that is used for dragging and resizing. Block Nesting indicates that this bounding area will be considered absolute (to be the edge) when rearranging the objects. For Block Nesting, any rotation is limited to a factor of 90 degrees due to the rectangular shape of the bounding area.


Nest Inner Contours

This option allows empty space within an object to be considered as available for other objects. In this way, it may be possible for an object to be nested within another object. For example, the following two screenshots show a letter and some small objects, all of which are nested with the Nest Parts in Part’s Holes option active.

Original objects | Nesting inner contours


Choose Nest Area

Select Sheet

By default, objects are nested across the Sign Blank. As an alternative, objects may be nested across a selected shape. This allows objects to be nested into a section of the material that has yet to be used. The method for doing this is as follows:

  1. Create and resize a rectangle to match the area that objects will be nested within.

  2. Select the objects that will be nested. However, do not include the rectangle as part of the selection.

  3. From the Arrange menu, choose the Nesting command. The Nesting controls will become available in the SmartBar.

  4. From the Nesting controls, click the Select a shape button. The Nesting feature will wait for you to select the rectangular object.

  5. Click the rectangular object.

Note: Until either the rectangular object is selected, or the Select a shape button is clicked again, the Nesting controls will remain unresponsive.

  6. The dialog controls become active again. Adjust the other Nesting controls, and click the OK button when ready.


Badges

The Badges feature creates a series of workspace objects based upon a basic template design and a data file. For each badge that is produced, the data file contains one set of text data that is applied to the template. For example, badges may be used to create nameplates for doors, identification cards for employees, or adhesive labels for schematics.

The general procedure involves:

  1. Creating a badge design to use as a template file.

  2. Creating a text file with the variable data to input into the template.

  3. Entering your badge settings (for example, margins and dimensions).

  4. Attaching your text file to your template.

Create a Template

Badges Setup

Text Substitution

Paging Tool and Page Control


Create a Template

Create a template design with the graphics, static text, and the fields that you want to appear on each badge.

Tip: The text will appear in the Badge Setup dialog in the order it was created in the original template file. To ensure the text fields in the template and the data file correspond, create the text in the template in the order in which it will appear.


Badges Setup

Setting the Number of Badges

Using Score Lines

Use Plate

Plate size and margins

Spacing

Compress Equally Over Copies

Page Preview

Total Number of Pages

Replaceable Items

Replacement Data File


Setting the Number of Badges

  • The Number of copies field indicates the total number of badges that will be created.

  • Taking the badge sizes into account, the Max copies per page field indicates the maximum number of badges that can be fit onto a single piece of material.

  • The Total Number of Pages field indicates the pieces of material that will be required.

  • After badges are created, if there are more badges than will fit on a single piece of material, then additional pages of material will be created. These pages can be viewed using the Paging Tool.


Using Score Lines

Score Lines and Crop Marks

  • From the drop-list, choose whether score lines or crop marks will be created.

  • Score Lines are inserted between each badge, so as to improve the ease of separating the badges after production.

  • Crop Marks are positioned at the corners of each badge, which serve as guides for cropping the finished badge.

  • Plate Objects are special text engraving plates that are typically used for short production runs. If badges are composed of plate objects, then additional plate objects can be easily added to minimize wasted material.

  • Use the Color picker to set the score line or crop mark color.

Score Lines | Crop Marks - Type 1 | Crop Marks - Type 2 | Single Line Marks - Type 1 | Single Line Marks - Type 2


Use Plate

By default, badges are distributed to maximize usage of the sign blank area. Activating the Use Plate option will force each badge to a single sign blank. Individual badges may then be printing according to their given page number.

Note: For the Use Plate option to work, the Margins must all be cleared to zero.


Plate size and margins

Specify the Blank Size and its margins. If the Blank Size is equal to the badge size, then a single badge can be printed per blank.

Routing or Engraving...

It is recommended that the Height and Width be set to the exact dimensions of the blank.

Rendering a Sign in Vinyl...

Set Height and Width to match the page size set for the plotter.

Margins

These margins are applied to the cuttable area of material, not necessarily the actual size. As mentioned previously, these margins must be cleared to zero when the Use Plate option is active.


Spacing

When spacing multiple badges per blank, the distance between each badge is indicated by the Vertical and Horizontal fields.

Note: Spacing is between each badge. If score lines or crop marks have been chosen from the drop-list, then the spacing must be increased accordingly.


Compress Equally Over Copies

Text objects have a "text frame" that defines the bounds of the text object. When creating a text object, compression rules can be defined that prevent text from exceeding its text frame. Likewise when creating badges, any text substitution will be governed by the text frame compression rules.

If the Compress Equally Over Copies option is enabled, then all badges will be evaluated to determine the badge that requires the most text compression. All badges will then be applied with the same amount of text compression. Naturally, if no given badge had required text compression, then none of the badges text would be compressed.


Page Preview

The Page Preview controls are used to specify how multiple badges will be arranged upon the sign blank. If the Use Plate option is checked, then the badge dimensions will be set equal to the sign blank, and the preview will indicate that each badge fills the entire plate.

If the Use Plate option is unchecked, then multiple badges will be arranged either Vertically or Horizontally, depending on the chosen Page preview setting. For example, consider six-dozen badges that are arranged on a 6” by 10” plate. In this case, an entire plate was filled with badges, so the Page preview displays badges on the second plate. Notice that where the plate is not full, a grayed-out badge will be drawn to indicate that additional badges will fit on the plate.

Badges can be arranged from the top-left corner, the bottom-left, or the bottom-right.


Total Number of Pages

Once the Number of badges have been set, and the Plate size and margins have been specified, then the Total Number of Pages field will indicate how many "pages" will be filled with the resulting badges.


Replaceable Items

The Replaceable items / text list displays the text that appears on the workspace (template) and can be substituted. Select the text fields where the data will change from badge to badge. For text objects that are not selected, no substitution will take place, and the text will appear on each badge.

Note: The order of fields in the Replacement Data File should correspond to the order of text shapes on the workspace. This will allow the Badge Setup dialog to substitute text in the correct order. The order the text appears in the list corresponds to the order in which the text objects were created.


Replacement Data File

The Replacement Data File contains the text that will be substituted for each badge.

Create a Replacement Data Text File

  1. Open any text editor (for example Notepad™ or WordPad™) to create the file.

  2. Enter the variable information that will appear on your badges, with each line representing the data for one badge. The text should be in the same order as the fields in the template file.

  3. If the badge has multiple fields, then use a delimiting character to separate the fields (e.g, tab, comma, space, etc.). For example, tab-delimited data might appear as the following:

Text Field 1 <press Tab> Text Field 2 <press Tab> Text Field 3

  4. Save the text file.

Note: If there are more badges being created than there are sets of data, then the extra badges will be filled with empty data.

Attach the Replacement Data File

  1. On the Badge Setup dialog, under Replacement Data File, browse to your text file.

  2. Next to the Browse button, from the drop-down list, select the delimiting character that was used in the text file (e.g, tab, comma, space, etc.).


Text Substitution

From the Badge Setup dialog, press the OK button to continue. If one-or-more text fields were selected within the Replaceable items list, then the Text Substitution dialog will open:

Each column represents one of the elements that was previously selected within the Replaceable items list. If a Replacement data file was specified, then the column entries will be completed using the data from that file. To add new data, select an empty cell and type the data within the Edit Text field. To save new data to the text file, click Save.


Serialization

Badges may be indexed using the Serialize dialog. For example, ID numbers can be automatically incremented from badge to badge.

  1. From the Text Substitution dialog, select the range of fields for which indexing will be set, and the Serialization button will become active. Only adjacent cells may be selected, and all selected cells must be within the same column. Select an entire column by clicking the column header.

  2. When the given cells are selected, click the Serialization button to open the Serialize dialog:

Start

The Start value will default to the initial numeric data. Serialization will build an index for the badges starting from the Start value. The value here may be either numeric, alphabetic, or alphanumeric.

Increment

Enter the value by which to increment the Start value. This is the numeric value to be added to the value used on the previous badge. In most cases, set this value to one.

Note: For alphabetic series, the ASCII character set is used. If the badges have incremented through the entire ASCII character set, then subsequent badges will continue from the beginning of the set.

Base

Select either Number or Character to indicate whether the series is numeric or alphabetic.

Set Base

When serializing badge data, the value in the Start field is used as the base, to which the Increment is added for each subsequent badge. However, by using the mouse to select only part of the Start field data, then only the selection will be incremented. In this case, unselected portions remain constant. For example, suppose a series of booth labels must be created for a trade show.

As in the screen shot, the value Booth A is entered. Using the mouse, only the A was highlighted, and then the Set Base button was clicked. This indicates that the word Booth will remain constant, while the highlighted portion will be incremented for each badge.

Click OK to close the Serialize dialog, and the Text Substitution dialog will be updated as follows:

Last Job

The Last Job controls are used to remember the previous series of badges that had been created. The Next Value field indicates the next badge in the series, and clicking the Set as Start button will set this as the base.


Paging Tool and Page Control

Paging Tools

When badges are created, they will be fit to the sign blank dimensions, and additional workspace "pages" will be created if necessary. These additional pages may be viewed using the Paging Tools, which are at the bottom-right corner of the workspace.

After additional pages have been created, the objects on each page may still be edited individually, and the basic Copy and Paste commands may be used to move selected objects between pages. The Page Control dialog provides further editing functionality for deleting pages, or moving objects between pages.

After badges have been output, it may be the case that some of the badges need to be output an additional time. After identifying the badges for additional output, delete the badges that aren't needed and then click the Collapse Pages button. All of the remaining badges will be on a single page for output.

To access the Page Control dialog, at least one object must be selected on the current page. The Page Control dialog options are described as follows:

Number of Pages

The Number of Pages field indicates the total number of pages that have been created.

Delete Pages Above

If the Delete Pages Above option is checked, then clicking OK will delete any pages after the Number of Pages field.

For example, suppose that there are initially nine pages created. In the Page Control dialog, set the Number of Pages field to 7, and then click OK. The 8th and 9th pages will be deleted.

Use on All Pages

For a selected object, the Use on All Pages option is used to make duplicates of that object on all of the pages.

For example, suppose that several pages have been created, and that a bitmap is then added to one of the badge pages. The placement of the bitmap looks good, and it is desirable to have that bitmap on all of the pages. This is done as follows:

  1. Select the bitmap.

  2. Open the Page Control dialog.

  3. In the Page Control dialog, note that the Use on All Pages option is automatically checked.

  4. Click OK, and a duplicate of the bitmap will be placed on all of the pages.

Use on Page

The Use on Page field is used to move the selected object to another page. However, the Use on All Pages option must first be unchecked, which will allow the Use on Page field to be editable.

For example, suppose that some new text was created on page 6, but the text was meant to be on page 5.

  1. On page 6, select the text object.

  2. Open the Page Control dialog.

  3. Uncheck the Use on All Pages option.

  4. Set the Use on Page field to 5.

  5. Click OK to move the text object to page 5, and the current view will automatically shift to page 5.

Troubleshooting

Note: If you have a fill color on your badges, then when duplicating or moving a text object it may not immediately appear, as it may be hidden behind the fill. Press the [Alt] and [S] keys on your keyboard to toggle the fill color off and on. Select the text object and select Arrange >> Order >> To Front to move the text in front of the fill color where it will be visible.


Registration Marks

Registration marks are points of reference that confirm the tool position before cutting. In the case of vinyl material, registration marks also serve as a means of compensating for stretching or skewing that can occur as the material is fed through the machine.

Depending upon the machine model, you will either need to 1) manually confirm that the tool is above the registration mark before cutting, or 2) the machine has an optical sensor that can detect the registration marks automatically. For the type of registration marks that your machine supports, and how they are expected to be used, please refer to the Operator Manual for the given machine.

Registration marks are often placed on the workspace to aid in arranging color layers, such as when producing a full color lay up.

  • Registration marks can be cut or printed as part of the overall graphic.

  • Operations like scaling may not be applied to registration marks.

  • Where a graphic is to be printed and then cut on a stand-alone cutting device, registration marks are needed to ensure that the media is correctly aligned.

For more information about the usage of registration marks, please refer to Full Axis Plotter Jog in the following section.

Filtering Registration Marks

Registration Mark Tool

Multi-Registration Marks

Adding Registration Marks during Cut Preview


Filtering Registration Marks

There may be situations where it is not desirable to print or cut registration marks for all color layers. Whenever the Filter By Color dialog is used, disabling the Filter Registration Marks option will cause current registration marks to not be included with the output.

To later include existing registration marks again, open the Filter By Color dialog and enable the Filter Registration Marks option.


Registration Mark tool

To create a single registration mark on the workspace, choose Registration Mark from the Shape Tools flyout.

Different registration marks styles may be chosen from the SmartBar. At the far-right of the SmartBar, the dimensions of the registration marks may be set.

Create registration marks by clicking on the workspace. When finished creating registration marks, press the Spacebar to return Torchmate to the Select mode. Individual registration marks may then be selected, and their positions may be precisely set using the horizontal and vertical position fields in the SmartBar.


Multi-Registration Marks

To create a set of registration marks for the currently selected shapes, choose Multi-Registration Marks from the Shape Tools flyout.

As when creating a single registration mark, the style may be chosen from the SmartBar. The Offset amount indicates a rectangular distance about the shapes, along which the registration marks will be placed. Up to eight registration marks may be placed, as indicated by the Positions checkboxes.


Adding Registration Marks during Cut Preview

During the Cut Preview mode, registration marks may be added using the Registration Marks button on the Cut Toolbox.

  1. Right-click the Registration Marks button to open the Registration Mark Setting dialog.

  2. Set the positions, size and offset of the registration marks, as described in the previous section under Multi-Registration Marks.

  3. Click OK to save the settings, and the Registration Mark Setting dialog will close.

  4. On the Cut Manager toolbar, left-click the Registration Marks button. The Registration Marks popup to appear.

  5. Select the style of registration marks.

When the style is selected, the registration marks will be placed about the workspace shapes.


Full Axis Plotter Jog

Full Axis Jog refers to normal jogging, where you have four registration marks around the job. The 1st mark is used as a Reference Point, and the 2nd and 3rd marks are used to compensate for skew and stretching of material.

When a "print and cut" job involves a separate printer and cutter, then registration marks must be included with the print portion of the job. These registration marks are used for alignment when the printed media is loaded into the cutter. Plotter jog is then used to manually position the cutting tool with each registration mark, so as to compensate for any skewing or stretching of the material.

In addition to registration issues, plotter jog can be used to position the cutting tool with a single registration mark, so as to cut within unused sections of a given material. By cutting precisely into portions that were left unused by a previous job, waste material is thereby reduced.


Enabling Plotter Jog

To enable jogging by default, choose Plotting Defaults under the Cut menu. The Plot dialog will open, and the Jog option may be enabled for the given device.

If jogging is not enabled by default, then it may be activated in preview mode by clicking the Enable Jogging button.

Note: If jogging has been enabled by default, then the preview mode will show the Enable Jogging button as depressed.


Jogging Controls

When a job is sent for plotting, the Jog dialog will open.

When using vinyl scraps from a previous job, move the artwork origin to fit into the specific area. For example, if the leftover vinyl is oddly shaped...

...then shift the artwork origin to fit the remaining vinyl.

While this task can be accomplished by setting an X- and Y-move from within the Jog dialog box, jogging the plotter head offers a more precise setting. This is because the head of the cutter can be physically moved to the desired position before committing to the cut. Also, use the Jog option to change the angle of the baseline for a given cut.


Registration

The Registration options are used to set the Reference Point, Skew Point, and Stretch Point. Click the Walk Points button to alternate the plotter position between the different points.

If Registration Marks exist on the artwork, the Reference Points (described below) will be set to the Registration Marks.

Reference Point

The first step in jogging the plotter head is to set the Reference Point. This includes both defining a target point for the group of objects to be cut, and defining where on the material that point is to be placed.

  1. To set the Reference Point, click Reference Point in the Registration area of the Jog dialog box. This setting enables of the Reference Point’s target to be defined, as well as its actual position on the vinyl.

  2. The next step is to define the Reference Point’s target on the graphic on screen. The default Reference Point is the origin of the artwork (i.e., lower left point). This point can be moved graphically on screen to suit specific needs. Move this Reference Point to anywhere on the artwork by clicking with the left mouse button at the desired position.

Once the Reference Point is set on the artwork, set the actual position on the vinyl for the Reference Point for cutting. This involves moving the head of the plotter to the point where the target should be placed. The plotter head may be moved in five ways:

  • Holding the right mouse button while moving the mouse.

  • Positioning the mouse and pressing the right mouse button.

  • Pressing the cursor keys (hold the Shift key to move the plotter head in larger increments).

  • Entering the coordinates manually.

  • Moving the plotter head with the plotter controls.

Skew Point

If there is only a Reference Point set, Torchmate will cut the graphic with a horizontal baseline. Use a Skew Point to either cut a pre-printed piece of material accurately, or improve usage of the available vinyl by changing the angle of the baseline.

  • The procedure for setting the Skew Point is identical to setting the Reference Point. Click on Skew Point in the Registration section of the Jog dialog box to begin.

Stretch Point

The Stretch Point is used to adjust the horizontal and/or vertical perspective of the graphic. This tool is used with printers that may resize the image during the print process, in which case a Stretch Point is required to cut a pre-printed piece of material accurately.

  • The procedure for setting the Stretch Point is identical to setting the Reference and Skew Points. Click on Stretch Point in the Registration section of the Jog dialog box to begin.

Registration Mark

Pressing the Registration Mark button causes the plotter to move around to the next registration mark location on the vinyl, which is useful when Contour Cutting print jobs. The plotter head will remain in the up position during this movement. This feature is particularly useful to ensure that registration is accurate for contour cutting pre-printed graphics.

When the Registration Mark button is clicked, this will also change the currently selected registration mark on the workspace, which allows the registration mark to then be defined as either the origin, skew, or slant mark.

Walk Points

Pressing the Walk Points button causes the plotter to move through the Reference, Skew, and Stretch Points on the vinyl. The plotter head will remain in the up position during this movement. This feature is particularly useful to ensure that registration is accurate for contour cutting pre-printed graphics.

Set Position

The Set Position button (computer jogging) is used to define the origin coordinates.

Get Position

The Get Position button (machine jogging) is used to poll the plotter for the current coordinates of the tool.

Move the Cutting Head with the Mouse

Note: Moving the cutting head with the mouse is generally a coarse adjustment. For finer control use the keyboard.

To move the cutting head with the mouse, drag the target to the appropriate position using the right mouse button. As the mouse moves, the cutting head of the plotter mimics the movements.

Guide the cutter to the position for the first reference point, and release the right mouse button when the plotter head is in position. The cutting head can also be moved by [Shift] clicking the right mouse button at the first reference point position.

To check the exact position of the pen or knife, the cutting head of the plotter can be dropped to the surface of the vinyl by pressing the [Page Down] key on the keyboard. To return the head to the up position, press the [Page Up] key.

Move the Cutting Head with the Keyboard

Moving the cutting head with the mouse is generally a coarse adjustment. To supplement this type of movement with a finer control, choose to direct the cutting head to the required position from the keyboard using the Left, Right, Up, and Down arrow keys. Click in the main Torchmate view screen before using the cursor keys in order to activate this function. To increase the speed at which the cutting head is traveling, press and hold the [Shift] key while moving the head.

To check the exact position of the pen or knife, the cutting head of the plotter can be dropped to the surface of the vinyl by pressing the [Page Down] key on the keyboard. To return the head to the up position, press the [Page Up] key.

Note: The arrow keys on the keyboard can only be used to move the cutting head to the position of the Target. The Target itself can only be moved using the mouse.

Move the Cutting Head to an Absolute Position

To move the cutting head with a very high degree of precision to an absolute position on the vinyl, type the required X-axis and Y-axis coordinates in the X and Y entry boxes to set the target position. Once the first target point is specified, press the Set Position button to lock in the coordinates. This button, available only in Remote Jog mode, will immediately move the plotter head to the position set in the X and Y boxes.


Tiling

Workspace shapes may be organized into tiles, which is a useful method of sub-dividing the job into manageable sections. In addition, the amount of wasted material may be reduced by "stacking" tiles on the media.

Large shape organized into three tiles. When printed from left-to-right, notice that half the material is wasted. | By stacking the tiles, wasted material may be reduced.


Default Tile Settings

Cut menu >> Tiling

The placement of tiles is performed during the preview mode prior to outputting the job.

The Tiling dialog settings are described in the following sections:

Pause

Stack Tiles

Cut Horizontal and Vertical Edges

Overlap

Spacing


Pause

This option stops the plotter between each tile. However, not all plotters can be paused between page boundaries. Page boundaries are set in the Plotter Setup dialog.


Stack Tiles

See also

Tiles are created during the either the Cut Preview, or Print and Cut Preview modes. Enabling the Stack Tiles options will cause tiles to be automatically rearranged prior to output, such that material waste is reduced.

During the Cut Preview mode, the arrangement of tiles may be previewed by clicking the Tile Preview button on the SmartBar. The button may be clicked again to return to the Cut Preview mode.


Cut Horizontal and Vertical Edges

These options are used to cut the edge between adjacent tiles, which is useful when overlapping adjacent tiles.

If the Cut Vertical Edge option is not used, then the plotter will automatically index past the page boundary without breaking the continuity of the cut.

Note: If the Horizontal Spacing is zero, then do not use the Cut Vertical Edge option. By doing so, this will allow effective cutting of objects that are much larger than the maximum plotter page size.


Overlap

The Overlap specifies the amount of over-cut that each tile will contain, such that the end of each tile will include a portion of the adjacent tile. For example, consider a ½ inch overlap, where two tiles are being cut in sequence. In this case, the trailing ½ inch of the first tile will be identical to the leading ½ inch of the second tile.

Overlapping adjacent tiles is beneficial in preventing gaps that may appear between panels due to material shrinkage.


Spacing

Spacing indicates the amount of material left uncut between tiles during the cutting job.

  • Vertical Spacing refers to tiles that are side-by-side.

  • Horizontal Spacing refers to tiles that are above one another on the sheet.

Note: This Tiling box is the same box as where the tiling parameters for printing are specified. Therefore, the rules that are set regarding Tiling in this dialog box will also be applied to the Tiles generated when printing a file.


Creating tiles

Tiles can be created during either the Cut Preview or Print and Cut Preview modes. In either preview mode, tile editing is begun by clicking the Tile button.

By default, shapes will be placed upon a single, main tile. For example, consider the following screenshot of some shapes and text, and follow the links below.


Horizontal Tiles

  1. To create tiles horizontally, hold the cursor over the left edge of the main tile, such that a left/right bi-directional cursor appears.

  2. When the bi-directional cursor appears, left-click and drag the tile line, such that it subdivides the main tile. There will now be two tiles, which may be further subdivided to create more tiles. However, avoid dragging a tile line over a previously created tile line, since this will delete the previous tile line.

If a Horizontal Overlap amount has been set on the Tiling dialog, then the tiling line will be drawn "thick" to indicate the overlap. Similarly, a Vertical Overlap amount will be shown when creating vertical tiles.

In the above screenshot, a tiling line has subdivided the main tile into two horizontal tiles. The SmartBar indicates that the Number of Tiles is two. In addition, the Number of Tiles On field indicates that both tiles are active.


Vertical Tiles

To create vertical tiles, hold the cursor over the bottom edge of the main tile. An up/down bi-directional cursor will appear, which may be dragged to form a tile line.


Selecting Tiles

By default, all tiles will be sent as output to the given device. However, if one-or-more tiles are selected, then only the selected tiles will be sent as output. For example, consider a design that has been arranged into four tiles.

Clicking one of the tiles will cause it to be "crossed out." In the above screenshot, no tiles have been "crossed out," so it is assumed that all tiles should be sent as output. This is verified in the SmartBar, where the Number of Tiles is four, and the Number of Tiles On is also four.

Now suppose that three of the tiles are clicked, such that they are crossed out. The tiles would appear as follows:

The bottom-left tile is not crossed out, so it will not be sent as output. As confirmation, the SmartBar indicates that the Number of Tiles On is three.

For the most recent tile that was clicked, the SmartBar displays the coordinates and dimensions of the tile. This information is displayed at the far-left of the SmartBar.


Rubber Stamp

Arrange menu >> Rubber Stamp

The Rubber Stamp tool is used to prepare a reverse stamp design (e.g., a stamp composed of rubber). This feature is generally used to prepare a design for laser engraving, where a small "Tool Offset" is used to account for the beam width. The procedure for preparing a rubber stamp design is as follows:

  1. Create a shape that represents the outside border of the rubber stamp.

  2. Add shapes and text to fit within the border, such as the design should appear when a stamp impression is made by the customer.

  3. For the shapes that are within the border, apply an Arrange menu >> Make Path operation.

For text objects, apply Arrange menu >> Text to Graphics before making a path.

  4. There should now be two objects: a) the containing object that represents the bounds of the stamp, and b) the objects within the border that have been formed into a single path.

  5. Select the entire design and choose Arrange menu >> Rubber Stamp. The Rubber Stamp dialog will open.

  6. Set the Tool Offset to account for the beam diameter.

Note: For laser engraving, the offset should be equivalent to the beam diameter, which is typically in the range of 0.02 to 0.03"

  7. The resulting shape will be flipped in the horizontal plane.

On the right is the design that should appear when a customer applies the stamp. Applying the Rubber Stamp command will create the design that is on the left, which will be used when cutting the stamp design.


Sending PrintJobs

Print Dialog Controls

The Print Dialog

Printer Tab


The Print Command

The Print Dialog

File menu >> Print

Note: For both printers and laser engravers, the printer driver must be installed in the Windows control panel. Otherwise, the device will not be listed on the Printer tab.

The Print dialog provides the standard Windows print functionality that is typical of Windows applications. In most cases, the Print dialog is used for "draft" printing to a desktop printer, rather than a large format printer. The Print dialog can also "print" to a laser engraver, where the printer driver will interpret the fill and stroke colors as cutting intensities and speed. The color settings for laser engraving can be customized within the printer driver properties (i.e., Printer tab >> Setup button).

For laser engravers, refer to the setup instructions provided in the Laser Engraving chapter.

Printer tab

Preferences tab


Printer Page Tab

Printer tab

Within the Printer tab are options to select the Printer, Preview, and Setup.


Printer

The current printer selected will be shown directly under the title of the Select Printer Options dialog. A list of available printers is shown inside the Printer list box, which corresponds to the drivers that have been currently set up using the Control Panel. Click on the required printer to select it.

Note: If a printer or laser engraver is not displayed in the printer list, then refer to the installation instructions provided with the given device. Typically, a printer driver CD is included with the device, or the driver can be downloaded from the manufacturer web site.


Preview

When the Preview option is checked and OK is selected from the Printer Page tab, the Print Preview screen appears. The objects to be printed are displayed on screen along with the default tiling lines in place. Adjust the tiles where necessary, and select Print to begin printing. Select Cancel to abort the print job.

Note: On the Preferences tab of the Print dialog, if the print mode is set to Blank Size, then the preview will identify the sign blank as the object to be printed. This can be disconcerting when scaling because the nubs will be arranged about the sign blank instead of the image. To eliminate confusion, the Include Edge of Sign Blank (also available on the Preferences tab) can be activated to reveal the sign blank boundaries.

During print preview, the SmartBar is used to adjust the preview settings.

Clicking the Setup button will return to the Print dialog. In addition, information is displayed about the image and/or tiles of the image, including:

  • The position of the object relative to the edge of the page

  • The size of the selected objects to be printed

  • The unit of measurement of scale for relative sizing on screen

  • The percentage or ratio by which to scale the objects

  • The number of tile rows and columns (for reference only)

Align Images Tool

Use the Align Images tool to adjust the placement of the image upon the page, such as centering the image.

Fit To Page Tool

The Fit To Page tool will recalculate the image size, so as to maximize the image upon the page. The aspect ratio of the image will be preserved.

Zoom Tools

The only other active tools available within the Print Preview window are the Zoom tools. They function in the same manner as upon the Torchmate workspace.


Moving Objects Within the Tiles

Objects can be moved to avoid breaking up intricate work (e.g., small text) by simply dragging the objects up or down with the cursor. However, there is a maximum tile size based on the paper size used by the printer. If the paper size is exceeded, a new tile automatically appears where required.


Scaling the Objects to be Printed

The objects in the Preview screen can be scaled up or down in size to adjust the number of tiles required to print the entire image. To resize the objects:

  1. Pass the cursor over one of the corner nubs.

  2. When the cursor changes to a bi-directional arrow, click and drag the nub to either enlarge or reduce the size of the objects.

When objects are resized in this manner, then all of the tiles are re-activated.


Activating and De-Activating Tiles

Once the objects have been positioned, any of the resulting tiles may be printed. Only activated tiles are printed. Tiles that are de-activated are set to gray, though a blue outline will remain to signify the inactive tile boundaries. Clicking within the tile boundary re-activates the tile.

Two comments about activating tiles are that:

  • Overlapping sections are displayed, but cannot be selected.

  • Right-clicking within a tile will display the outer region of the tile.


Setup

From the Printer Page tab, clicking the Setup button will open the Properties dialog for the selected printer. The layout of the Properties dialog will depend upon the version of Microsoft Windows being used.

Changes made to the Properties dialog, as well as all controls that are accessed though the Properties dialog, are system-wide. All changes will be applied to the Windows Print Driver for the selected printer. Therefore, changes made here will be in effect for other Windows applications.


Preferences tab

Within the Preferences tab are options to select the number of Copies, as well as the option to Fit to Printer.

Copies

Print As Shown On Screen

Printing Mode

Include Bitmaps

Include Dimensions and Notes

Include Guidelines

Include Grid Lines

Separate Colors

Clip Separated Colors

Fit to Printer

TrueType Hinting

Anti-Aliasing


Copies

The number of copies to print.


Print As Shown On Screen

This option prints the image as it is shown on screen. Functionally, this option allows printing the image either:

  • As wire frames (no fills) if Show Fill is turned off

  • Without tool paths if Show Line Style is turned off


Printing Mode

Specify the images to be printed according to the following options:

  • Selected Objects Only - Print only those objects that are currently selected.

  • Sign Blank Area Area - Print everything that is within the confines of the sign blank. Any objects outside the sign blank are not printed. Note that objects that are partially on the sign blank will be printed accordingly.

  • Entire Area - Print everything within the open workspace, which comprises all objects both inside and outside the confines of the sign blank.


Include Bitmaps

When printing drafts, it sometimes makes sense to omit the images in order to preserve ink. Clear this checkbox to omit printing of images.


Include Dimensions and Notes

This option prints any dimensions created in the file. Dimensions include any size notations or notes generated using the Dimensioning tools from the Measure tool in the tool bar.


Include Guidelines

With this option selected any Guides placed on screen will be printed along with the Guide Labels. The Guides must be set as visible in order to be printed.


Include Grid Lines

With this option selected, the Grid placed on screen will be printed. The Grid must be set as visible in order to be printed, and will be printed as set to view (i.e., the Show Grid as Lines option).


Separate Colors

Use this option to create color separations, where each color will be printed as a separate job (e.g., print red shapes as one job, blue shapes as the next job, etc.).


Clip Separated Colors

For overlapped shapes, enabling this option will clip those shapes according to their overlying shapes.


Fit to Printer

This option will scale the image to the media that is currently loaded into the printer.


TrueType Hinting

TrueType Hinting is a font technology that allows small text sizes to be legible on low resolution devices. In addition, TrueType Hinting improves the results from scaling and rotating the text.


Anti-Aliasing

Anti-Aliasing is the smoothing of the jagged, "stair stepping" appearance that can appear in low-resolution drafts. Anti-aliasing is achieved by blurring the color of adjoining pixels to improve the transition between light and dark pixels.

The available Anti-Aliasing options are None, Coarse, Medium, and Fine. A setting of Fine will produce the highest quality smoothing, though this will incur slower printing.

Note: Anti-Aliasing should be used for dye-sublimation printing only – NOT wax, resin, or wax/resin.


Page Setup tab

Margins

Overlap

Units


Margins

Margins are the non-printable regions along the edges of a job. In cases where the printer driver does not account for non-printable regions, set Margins on the Page Setup tab.


Overlap

The Overlap options permit establishing settings for tiling large printed images. If the file to be printed is too large for the printable area, use the Overlap options to set the Horizontal and Vertical Overlaps as well as the Tile spacing.


Horizontal and Vertical Overlap

These options specify the amount of overprint each tile will contain. Each tile actually ends with the beginning portion of the next tile. For example, if an overlap of a half-inch is set the last half-inch of a given tile will be identical to the first half inch of the proceeding tile. This function is useful for particularly intricate graphics, as it provides a guide for laying the pieces of the printed file together. Each of the Horizontal and Vertical options can be set individually.


Tile Spacing

The Tile spacing setting is used to specify the amount of material to be left blank between tiles when printing a job.


Units

The Units of measurement are displayed for reference only, the unit of measurement cannot be changed from the Print window.


Production Tools

Productivity Tools

There are several productivity tools that, while not having a direct bearing on design or output quality, are something to consider when evaluating the efficiency of your shop.


Job/Cost Notes

The Job Notes Summary dialog is used to record the relevant information about a given job. This information is stored with the workspace, so that it is always available for review.

Individual company records may be stored for later use, such that this information need not be specified more than once. In addition, job information may be indexed on a per company basis.

Checkboxes

On the Job Notes Summary dialog, a checkbox is provided beside each field. If a given checkbox is disabled, then its field will not be included when printing the job/cost notes. This is a useful means of preventing sensitive information from being included as part of the documentation.

Note: Changes to these checkbox settings will be stored as part of the general Torchmate settings, such that they will not be reset when a new Torchmate session is started.


Company

The Company refers to the company for which the job is being designed. Either choose an existing company from the drop-list, or enter a new company name. If a new company name is entered, then click the Add button.

In some cases, a job request is made by an individual that does not belong to a company. This is not a problem, since their contact information may be entered as normal. However, enter their name as the "company" name as well, such that their record may be located in future jobs.

When a Company has been specified, then the Job Ticket field will become active.

Edit Address


Edit Address

Click the Edit Address button to specify the address information for the company.

Edit Contact


Edit Contact

Click the Edit Contact button to enter information about the company representative.

First and Last Name

Enter the name of the person responsible for contracting and accepting the finished job.

Contact Information

Enter the Telephone number, Fax number and E-mail address for the contact person.

Job Ticket


Job Ticket

The Job Ticket is the collection of design information about the current job. When a Company has been selected, the Job # field will become active. To maintain an inventory of jobs by number (or by any other alphanumeric code for filing purposes), enter the appropriate Job # code and then click the Add button.

The Job # will also be displayed on the Edit Job dialog. If the Job # had not been entered on the Job Notes Summary dialog, then the Job # may be entered on the Edit Job dialog. In this case, the Add button must then be clicked on the Job Notes Summary dialog to confirm that the job is valid.

Edit Job


Edit Job

Click the Edit Job button to enter specific production information for the Job Ticket.

Job #

The Job # field corresponds to the Job Ticket field on the Job Notes Summary dialog.

The Job # field only becomes active when a Company has been chosen. If an inventory number has already been entered in the Job Ticket field, then the Job # will be displayed as a static (non-editable) field.

Date

The Date field can be used to note the date the job was started or the order taken. Click the Date field to activate a calendar popup.

Material Type

Enter the type and quality of material that will be used for rendering or cutting.

Complexity

Many designers use a complexity rating in order to help set pricing on certain types of work. Rate each job for complexity and enter the complexity value in this field.

For example, consider letter welding in conjunction with intricate weeding. A graphic using script lettering would require significantly more time than had a sans serif font been used. Therefore, using the script lettering would be deemed a more complex job.

Cutting Time

This box may be used to track the amount of time required to cut a given job, which can aid in calculating job costs. This is particularly useful for routing and engraving, where machine time is a billable expense. Values are entered manually, since there is no automatic time calculation available for this function. However, use TimeSign to record the time required to complete the job.

Production Time

Enter the required production time in this field. It may reflect the estimated time required for pricing purposes, or the actual time required for job costing. Values are entered manually; there is no automatic time calculation available for this function.

Weeding Time

This field is designed to reflect the amount of time required to weed the current job. It is typically used either to note the estimated weeding time (for pricing purposes) or the actual weeding time (for reference in pricing future jobs). Values are entered manually; there is no automatic time calculation available for this function, however, it can be used in combination with TimeSign to calculate bill-able time accurately.

Travel Time

Enter the amount of time required to get to and from the current job site in this field. This feature can be particularly useful where travel time is a factor in the final cost of the sign.

Computer Time

Use this box to track the amount of computer time spent on a given job. This can be useful information when calculating the cost of a given job. Enter the value in this box manually; there is no automatic time calculation for this function.

Used in combination with TimeSign, available through the Help menu, the Computer Time field can be a crucial aid in calculating bill-able time accurately.

Printing Time

Enter the amount of time required to print the current job. This field is primarily designed as an aid for estimating or costing jobs which specify large-format digital printing, but is also useful for those jobs which require printed previews. It may be used to note estimated printing time for pricing, or actual printing time for job costing. Values are entered manually; there is no automatic time calculation available for this function, however, it can be used in combination with TimeSign to calculate bill-able time accurately.

Material Cost

Enter the actual or estimated cost of materials for the current job.

Labor Cost

Enter the cost of labor for the current job.

Selling Price

For future reference, and as an aid to job pricing and accounting, include the selling price of the current job in this space in the Job/Cost Notes dialog.

Delivery Date

Enter the due date scheduled for the current job.

Order Number


Order Number

If Purchase Orders are required prior to starting a job, then enter the Job or Customer Order number.

Order Taken By


Order Taken By

Enter the name or employee number of the person who took the order for the job. With more than one salesperson, attribute each job to a specific employee. This provides the ability to clarify details with the appropriate person on staff, or to track sales by employees.

Job Notes


Job Notes

A brief description of the job should be entered into this field. This will help identify a given job quickly and easily.

Material, Vinyl, Color Notes


Material, Vinyl, Color Notes

Enter any additional notes that pertain to the manufacturer, vinyl, grade of materials, etc. used in the job. This facilitates repairs to, or reproduction of, the job in the future.

Printing the Job Report


Printing the Job Report

Click the Print button to create a Job Report printout. Much of the Job Report fields correspond to fields on the Job Notes Summary dialog, though the printout also provides additional statistical information about the job.

Each count is automatically calculated and updated each time that the Job Notes Summary dialog is opened. The counts are described as follows:

Graphics Size

The Graphic Size indicates the finished size of the current job, including all elements of the job, except the Sign Blank.

Bitmaps

The Bitmaps count indicates the number of bitmaps currently contained in the job.

Shapes

The Shapes count indicates the number of polygon, polyarc, parametric, and other non-text objects contained in the current job. This count includes all text objects that have been converted to graphics.

Characters

The Characters count indicates the number of text characters contained in the current job – excluding both text objects that have been converted to graphics, and characters that are generated by the Dimensioning feature.

Note: Any text character converted to graphics will be recognized as graphic objects and included in the Shapes count. This includes all text that has been transformed, welded, converted to graphics, or has had the path broken or the corners rounded. In all cases, a warning dialog will appear before the text is converted, unless the warning dialog has been previously disabled (see General Preferences dialog).

Colors

The Colors count indicates the number of colors used in the current job.

Set Default Database


Set Default Database

By default, the Job/Cost Notes database file is placed in your product install directory, and it will have an (*.MDB) file extension. If there is a common database file that must be used (say) over a network, then click the Set Default Database button. A browse dialog will open, which allows you to choose the database file that must be used.


TimeSign

TimeSign is a timer application that tracks elapsed time during a job. The current system time is shown at the top-right of the dialog.

Start

Click the Start button to activate the stopwatch. Once activated, the start time will appear beside the Start button. The traffic light icon will signal green to indicate that the timer is active.

Stop

Click the Stop button to pause the timer. The time at which the Stop button was clicked will be displayed next to the Stop button. The traffic light icon will signal red to indicate that the timer has paused. The elapsed time is displayed at the bottom of the dialog box beside the Continue button.

Continue

Elapsed time is displayed next to the Continue button. Click Continue to recommence timing without resetting the elapsed time. For situations where the job is frequently interrupted, the Continue button is helpful for timing the total expended work.

Reset

Clicking the Reset button will set the elapsed time to zero.


Templates

A Template operation is used to convert a text object into a variable workspace element, which is then saved with the workspace. Later, when the workspace file is loaded, the text object will be converted into the type designated by the Template operation. For example, a template may be set to display the current date when the workspace file is loaded.

To create a template object:

  1. Create a text object. For the actual text, type something that is meaningful (e.g., if the text object represents a company name, then type "Company name").

  2. Select the text object, and then choose from Layout menu >> Templates >> Set Template.

  3. The Set Template dialog will open. Click Text and then OK.

  4. Save the file via Layout menu >> Templates >> Save.

  5. From a new workspace, open the file via Layout menu >> Templates >> Run.

  6. When the file is loaded, the template object will already be populated (e.g., the current date for a Date template), or a dialog will query for additional information.

Note: To edit a file without populating the template objects, use Layout menu >> Templates >> Edit.

File Template

Date Template

Time Template

Text Template

Run Template


File

The File Template operation will cause the text object to be replaced with an imported data file, such as a company logo or other image. The original text object may be used to determine the size and placement of the imported file.

  1. Create a text object and set it to the appropriate size for any artwork proofs.

  2. Choose Layout menu >> Templates >> Set Template.

  3. The Set Template dialog will open.

  4. Click File and then OK.

  5. The Template File dialog will open.

File / Prompt at Run Time

The file to be imported may be selected before saving the workspace, or the file may be chosen by the user when the workspace is loaded.

  • If the Prompt at run time option is disabled, then click the Browse button to choose the file that will be loaded.

  • If the Prompt at run time option is enabled, then the user will be queried for a file when the workspace file is opened.

Stretch

The Stretch options are used to determine the size and placement of the imported file.

  • The To fit option indicates that the width and height of the file will be set equal to the replaced text object, such that the entire text frame is filled. However, the aspect ratio of the imported file will not be maintained. This option assumes that the text object was originally set to the desired width and height of the anticipated file.

  • The Proportional option will scale the file to fill the text frame. Since the aspect ratio of the file is maintained, it is likely that not all of the text frame will be filled.

  • The None option will cause the file to be imported and placed at its full size. The file will be neither scaled nor resized.

Orientation

  • The Orientation is used to indicate where the file should be placed within the text frame.

  • This option is relevant when the Stretch has been set to either Proportional or None.


Date

  1. Create a text object and set it to the appropriate size for any artwork proofs.

  2. Choose Layout menu >> Templates >> Set Template.

  3. The Set Template dialog will open.

  4. Click Date and then OK.

When the workspace is loaded, this text object will be replaced with the current date, as per the system clock of the workstation.


Time

  1. Create a text object and set it to the appropriate size for any artwork proofs.

  2. Choose Layout menu >> Templates >> Set Template.

  3. The Set Template dialog will open.

  4. Click Time and then OK.

When the workspace is loaded, this text object will be replaced with the current time, as per the system clock of the workstation.


Text

  1. Create a text object and set it to the appropriate size for any artwork proofs.

  2. Choose Layout menu >> Templates >> Set Template.

  3. The Set Template dialog will open.

  4. Click Text and then OK.

When the workspace is loaded, the user will be prompted for replacement text. The original text object will then be substituted with the replacement text.

Note: The original text object will be used as part of the prompt for replacement text. Creating a meaningful text object will help as a reminder when the workspace is opened.


Run Template

  1. From a new workspace, open the file via Layout menu >> Templates >> Run.

  2. When the file is loaded, the template object will already be populated (e.g., the current date for a Date template), or a dialog will query for additional information.

Note: To edit a file without populating the template objects, use Layout menu >> Templates >> Edit.


Edit Template

Layout menu >> Templates >> Edit

Open the previously saved template without activating any of the template objects contained therein. This allows the template file to be modified without losing any of its previously set template operations.

When changes to the template file are complete, use Layout menu >> Templates >> Save to store the revised template file.


Clear Template

Layout menu >> Templates >> Clear Template

  • For a selected text object that has been previously applied with a Template operation, this will remove the Template operation.

  • The Clear Template command may not be applied to a group selection.


Hot Keys

Hot Key Summary

Functions Keys

Align Selected Shapes

Align Shapes to the Sign Blank

Guidelines

Node Editing


Hot Key Summary

The following is a summary of the default hot keys that are available when applying features and adjusting layout. To customize the hot keys, use Options menu >> Customize Shortcuts.

Generic Hot Keys

These Hot Keys have general application on the workspace:

[Arrow key] | Nudge selected object by one pixel
[Shift+arrow key] | Nudge selected object by five pixels
[Tab] | Change current focus to next object in sequence
[Shift+Tab] | Change current focus to previous object in sequence
[Ctrl+Select tool] | Move/Draw/Edit/Select with horizontal and vertical constraint

Alignment Hot Keys

These Hot Keys apply alignment to the currently selected objects:

[Alt+1] | Horizontally align objects along left-edge of bounds
[Alt+2] | Horizontally center objects within bounds
[Alt+3] | Horizontally align objects along right-edge of bounds
[Alt+4] | Vertically align objects along top-edge of bounds
[Alt+5] | Vertically center objects within bounds
[Alt+6] | Vertically align objects along bottom-edge of bounds
[Alt+7] | Center objects both horizontally and vertically

Note: The bounds refer to the rectangular outline of each object.

File Menu Hot Keys

These Hot Keys enable access to the various File menu options:

[Ctrl+N] | New workspace
[Ctrl+O] | Open workspace
[Ctrl+S] | Save workspace
[Ctrl+P] | Print workspace objects

Edit Menu Hot Keys

These Hot Keys enable access to the various Edit menu options:

[Ctrl+Z] | Undo last command
[Ctrl+Y] | Redo last command
[Ctrl+R] | Repeat last command
[Ctrl+X] | Cut selected object
[Ctrl+C] | Copy selected object
[Ctrl+V] | Paste object
[Del] | Delete selected object
[Ctrl+D] | Duplicate selected object
[Ctrl+T] | Edit selected text
[Ctrl+E] | Edit selected object
[Ctrl+I] | Edit font of selected text
[F3] or [Ctrl+A] | Select all objects on workspace
[Shift+F3] | Deselect all objects
[Alt+F3] | Inverse the selection of objects
[F4] or [Alt+D] | Refresh the workspace display

Layout Menu Hot Keys

These Hot Keys enable quick access to the Layout menu options:

[Alt+K] | Activate the Alignment feature
[Ctrl+K] | Apply the current Alignment dialog settings
[Ctrl+G] | Group the selected objects
[Alt+G] | Ungroup the selected objects

Arrange Menu Hot Keys

These Hot Keys enable quick access to the Arrange menu options:

[Ctrl+F] | Move the selected object to the top layer
[Ctrl+B] | Move the selected object to bottom-most layer
[Ctrl+U] | Move the selected object up by one layer
[Ctrl+L] | Move the selected object down by one layer
[Ctrl+M] | Reverse the layer order of the selected objects
[Ctrl+H] | Create a common path from the selected objects
[Ctrl+J] | Reverse the common path that had been applied to a group of selected objects
[Alt+B] | Convert the selected text to graphic objects
[Shift+F2] | Simplify the selected object
[Alt+C] | Clip to top-most object
[Alt+U] | Clear object clipping

Cut Menu Hot Keys

The Cut menu has a single Hot Key:

[Alt+P]

Activate Cut Preview

View Menu Hot Keys

These Hot Keys enable quick access to the View menu options:

[Alt+S] | Toggle the display of object fills
[Alt+M] | Toggle the display of bitmaps
[Alt+N] | Toggle the display of line style
[Alt+J] | Toggle the display of tool paths
[Alt+R] | Toggle the display of the ruler
[Alt+I] | Toggle the display of the InstantReplay window

Options Menu Hot Keys

The following provides Hot Key access to the Options menu:

[Ctrl+W] | Snap to grid
[Alt+W] | Use guides


Functions Keys

The function keys operate as follows:

[F1] | Help
[Shift + F1] | Context Help
[F2] | Disable all Shop Palette colors except the current target fill color
[Shift + F2] | Simplify the selected object
[F3] | Select all objects
[Alt + F3] | Inverse select
[Shift + F3] | Select none
[F4] | Refresh the workspace
[F5] | Activate the Zoom In tool
[F6] | Zoom out
[Shift+F6] | Zoom in
[F7] | Zoom to selected object
[F8] | Zoom to Sign Blank
[F9] | Toggle between current and previous zoom levels
[F10] | Select the menu bar
[F11] | Pan workspace toward current mouse position


Align_Selected_Shapes

To align selected shapes quickly, use the following hot keys:

[Alt + 1] | Align shapes along left edge of bounds
[Alt + 2] | Center shapes vertically
[Alt + 3] | Align shapes along right edge of bounds
[Alt + 4] | Align shapes along top edge of bounds
[Alt + 5] | Center shapes horizontally
[Alt + 6] | Align shapes along bottom edge of bounds
[Alt + 7] | Center shapes both horizontally and vertically


Align_Shapes_to_the_Sign_Plate

Align Shapes to the Sign Blank

To align shapes to the sign blank, use the following hot keys:

[Alt + Insert] | Align with top edge of sign blank
[Alt + Home] | Center vertically along width of sign blank
[Alt + Page Up] | Align with bottom of sign blank
[Alt + Delete] | Align with left edge of sign blank
[Alt + End] | Center horizontally along height of sign blank
[Alt + Page Down] | Align with right edge of sign blank


Guidelines1

Guidelines

When dragging shapes, guidelines are used for precise alignment. A shape will "snap" to the location when it is dragged over a guideline.

Opening the Edit Guides Dialog

  • When there is no selection, right-clicking on the workspace will open the Edit Guides dialog.

  • Under the Options menu, choosing Guides >> Edit Guides will open the Edit Guides dialog.

  • Double-click a guide for editing within the Edit Guides dialog.

Creating a Guide

  • Use the Edit Guides dialog.

  • Right-clicking a ruler will create a guide.

  • For a selected shape, press [Shift] and right-click the shape nubs to create guides (not when editing a parametric shape).

  • To add guides when node editing, press [Shift] and right-click the node.

Moving, Locking, and Hiding Guides

  • When dragging a guide, press [Shift] to constrain the guide to the nearest ruler increments.

  • To lock guides in place, right-click the workspace to open the Edit Guides dialog and check Lock Guides.

  • To temporarily hide the guides, choose Options menu >> Guides >> Use Guides. The default shortcut to toggle guides On/Off is [Alt + W].

  • To remove a guide, press [Shift] and right-click the guide (when there are no objects selected).

Guide Labels

  • To edit font labels, open the Edit Guides dialog, click either the horizontal or vertical guide button, then click the Label Font button.


Node_Editing

When node editing a polygon or polyarc object, clicking the fill region of another object will switch node editing to the other shape. When node editing an object that overlaps another object, hold the [ALT] key to prevent the accidental selection of the underlying object.


The_Node_Palette

When editing a polygon or polyarc object, pressing the right-mouse button will access the Node Palette, which provides commonly used tools for changing node type, joining and breaking nodes, and setting the start point and direction for routers and engravers.

Please note that since polyarc objects are composed only of curve nodes, the Node Palette will not allow you to change the node type for polyarcs.

Node Palette when editing a polygon object. | Node Palette when editing a polyarc object. Note that changing the node type is not available.


Polygon_Editing_Hot_Keys

In addition to the Node Palette, the following keyboard hot keys are available when editing polygon objects:

  • (A) Add node - Create a node at the current cursor location.

  • (C) Change node - Cycle the type of the selected node. The type will cycle through Corner, Curve, and Tangent type nodes.

  • (R) Remove - Delete the selected node.

  • (L) Locate origin - Set the grid origin to correspond to the selected node.

  • (G) Grid dimensions - Resize the grid increments based on the distance between the selected node and the grid origin.

  • (S) Snap to intersection - Move the selected node to the nearest grid intersection.

  • (H) Snap to horizontal grid line - Move the selected node to the nearest horizontal grid line.

  • (V) Snap to vertical grid line - Move the selected node to the nearest vertical grid line.

  • (J) Join - Join the two selected nodes with a connecting line.

  • (B) Break - Break the contour at the selected node.

  • (D) Deselect - Clear the current node selection.

  • (O) Create perfect circle - Based on existing nodes, transform an oval contour into a perfect circle. If necessary, nodes will be added to complete the circle.

  • (T) Toggle start point - Set the start point at which routing or engraving this contour will begin.

  • (K) (K)lick - Select the node under the mouse cursor.


Polyarc_Editing_Hot_Keys

In addition to the Node Palette, the following keyboard hot keys are available when editing polyarc objects:

  • (A) Add node - Create node at current cursor location.

  • (R) Remove - Delete selected node.

  • (L) Locate origin - Set grid origin to selected node.

  • (G) Grid dimensions - Set the grid size as the distance between the selected node and the grid origin.

  • (S) Snap to intersection - Move selected node to nearest grid intersection.

  • (H) Snap to horizontal grid line - Move selected node to nearest horizontal grid line.

  • (V) Snap to vertical grid line - Move selected node to nearest vertical grid line.

  • (J) Join - Join two nodes with a connecting line.

  • (B) Break - Break contour at selected node.

  • [F3] - Select all nodes.

  • [ALT + F3] - Inverse selects all nodes.

  • (U) Alternate Select - Select every other node of currently selected nodes.

  • (T) Toggle start point - Set start point for routing or engraving this object.


The_Grid_and_Align_Palette

Press the [Control] key and right-click the workspace to display the Align Palette, which is used to align shapes with respect to the grid. Typically, these tools are applied to shape nubs, though they may also be used when node editing.

Set Origin: Set the grid origin to selected location.

Resize Grid: Resize the grid increments based on the distance between the selected location and the grid origin.

Snap to Grid Intersection: Move the shape, such that the nub is at the nearest grid intersection.

Snap Vertically: Move the shape, such that the nub is at the nearest horizontal grid line.

Snap Horizontally: Move the shape, such that the nub is at the nearest vertical grid line.

Note: From the Options menu, the Reset Origin command will set the grid size according to the General Preferences setting. This is useful when the Set Origin or Resize Grid commands have been used.


Color_Palette_Tips

When clicking a color in the Shop or Job Palettes, additional tools are activated by pressing the [Shift], [Control], or [Alt] keys. The following table summarizes these modifiers:

  • Left-click - Set fill color of current object

  • Right-click - Set line style color of current object

  • [Shift] + Left-click - Select all objects of that fill color

  • [Control] + Left-click - Disable the color plate. All objects with that fill color will appear as dashed outlines.

  • [Alt] + Left-click - Disable all color plates, except for the plate that was clicked

You can also use these modifiers with the Sheet Layer Palettes.


Job_Palette_Substitutions

Job Palette Color Substitutions

In addition to listing colors, the Job Palette can be used to perform global search-and-replace of colors.

Set all red shapes to a blue fill color

  1. Suppose that you have several red shapes.

  2. In the Job Palette, click the ellipsis button and choose Color View from the context menu.

  3. Note that the red color appears in the Job Palette.

  4. From the Shop Palette, drag a blue color plate and drop it onto the red Job Palette color.


ADA_Profile

For ADA templates that are included with EngraveLab, the ADA Profile tool is used to apply tool paths according to the type of objects (ADA pictograms, raised text, visual text, and Braille) contained within the template file.

Note: For more information and a procedure that demonstrates the ADA Profile tool, please refer to The Raster Method of Braille.


Creating Braille

ADA Machine Configurations

The following are common ADA Braille creation techniques.

ADA Raised Dot Cutting

ADA Braille Punch Method

ADA Braille Photo-Resist

ADA Braille Pre-Bled Photo-Resist